<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/**
*
* @return void
* @author Christian LLanes
**/
class Caja_pago_servicio extends CI_Controller {

	public function __construct()
	{
		parent::__construct();
		$this->load->model("Caja_Model");
		$this->load->model("Proveedor_Model");
		if(!$this->session->userdata('id_usuario'))
		{
		redirect('/Login/login/');
		}
	}

	public function index()
	{	
       date_default_timezone_set("America/Asuncion");
		
		$datestring = "%Y-%m-%d";
		$time = time();
		$unix = mdate($datestring,$time);
		
			$_data       = array(
			//"formulario_agua" =>	$this->Caja_Model->vista($unix),
			//'pagination'      => $this->pagination->create_links(),
			//'lista_pagados'   =>  $this->Caja_Model->lista_pagados($config["per_page"],$offset,$unix),
			//'script'   =>  $this->Caja_Model->lista_pagados($config["per_page"],$offset,$unix),
			"ENCABEZADO"      => "Pago de Servicios",
			"usuario"         => $this->session->userdata('usuario'),
			"id_usuario"    => $this->session->userdata('id_usuario'),
			"proveedor_lista" => $this->Proveedor_Model->lista_proveedor()
		);
			$this->parser->parse('Index/head.php', $_data, FALSE);	// carga todos las url de estilo i js home	
			$this->parser->parse('Index/menu.php',$_data , false); // esta seria la barra de navegacion horizontal
			$this->parser->parse('Caja/pago_servicio_vista.php',$_data,false);
			$this->load->view('Index/pie.php');
	}
    //////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    public function add_pago_servicio()
	{	
       date_default_timezone_set("America/Asuncion");
		
		$datestring = "%Y-%m-%d";
		$time = time();
		$unix = mdate($datestring,$time);
		
			$_data       = array(
			//"formulario_agua" =>	$this->Caja_Model->vista($unix),
			//'pagination'      => $this->pagination->create_links(),
			//'lista_pagados'   =>  $this->Caja_Model->lista_pagados($config["per_page"],$offset,$unix),
			//'script'   =>  $this->Caja_Model->lista_pagados($config["per_page"],$offset,$unix),
			"ENCABEZADO"      => "Pago de Servicios",
			"usuario"         => $this->session->userdata('usuario'),
			"id_usuario"    => $this->session->userdata('id_usuario'),
			"proveedor_lista" => $this->Proveedor_Model->lista_proveedor()
		);
			$this->parser->parse('Index/head.php', $_data, FALSE);	// carga todos las url de estilo i js home	
			$this->parser->parse('Index/menu.php',$_data , false); // esta seria la barra de navegacion horizontal
			$this->parser->parse('Caja/pago_servicio_add.php',$_data,false);
			$this->load->view('Index/pie.php');
	}
    //////////////////////////////////////////////////////////////////////////////////////////////////////////////////


    public function get_empleado()
    {
		$query = $this->Pagos_Model->get_empleado($id);
		echo json_encode($query);
    }
    

    public function adding_pago_servicio()
    {
    	date_default_timezone_set("America/Asuncion");
		if ($this->input->post('control_pagina')=="7")
		{
			$descripcion=$this->input->post('descripcion_servicio_add',TRUE);
			$otro_servicio=$this->input->post('otro_servicio_add',TRUE);
			$importe=$this->input->post('importe_servicio_add',TRUE);
			$fecha_pago=$this->input->post('fecha_pago_servicio_add',TRUE);
			$observacion=$this->input->post('observacion_servicio_add',TRUE);
		}
		if ($this->input->post('control_pagina')=="6")
		{
			$descripcion=$this->input->post('descripcion_servicio',TRUE);
			$otro_servicio=$this->input->post('otro_servicio',TRUE);
			$importe=$this->input->post('importe_servicio',TRUE);
			$fecha_pago=$this->input->post('fecha_pago_servicio',TRUE);
			$observacion=$this->input->post('observacion_servicio',TRUE);
		}
		if ($otro_servicio!="")
		{
			$descripcion=$otro_servicio;
		}

		$this->db->trans_start();
		$data = array(
				
				'id_pago_servicio'  =>"",
				'descripcion'  => $descripcion,
				'importe'  =>$importe,
				'fecha_pago'  => $fecha_pago,
				'observacion'  => $observacion				
				);
 	
		$this->Caja_Model->add_pago_servicio($data);
		$id_pago_servicio = $this->db->insert_id();

		$data3 = array(
				'id_caja' =>'',
				'importe'=>$importe,
				'num_factura' => 0,
				'id_compra_venta' => null,
				'debe_haber'=>2,
				'fecha'=>date("Y-m-d"),
				'cierre'=>'0',
				'descripcion'=>'Pago de Servicio: '.$descripcion,
				'id_pago_servicio'=>$id_pago_servicio,
			
				);
				$this->db->insert('caja',$data3);
		
		 $this->db->trans_complete();
		 if  ( $this->db-> trans_status ()  ===  FALSE ) 
		 	{ 
		 		$this->db->trans_rollback ();
		 	} 
		 	else 
		 	{ 
		 		$this->db->trans_commit (); 
		 	}



		redirect('Caja/Caja_pago_servicio');
		
    }
    // editar pagos_servicios
    public function edit_pago_servicio()
    {
    	date_default_timezone_set("America/Asuncion");


    	$id_pago_servicio = $this->uri->segment(4.0);
		$descripcion=$this->input->post('descripcion_servicio_edit',TRUE);
		$otro_servicio=$this->input->post('otro_servicio_edit',TRUE);
		$importe=$this->input->post('importe_servicio_edit',TRUE);
		$importe_servicio_anterior=$this->input->post('importe_servicio_anterior',TRUE);
		$fecha_pago=$this->input->post('fecha_pago_servicio_edit',TRUE);
		$observacion=$this->input->post('observacion_servicio_edit',TRUE);

		if ($otro_servicio!="")
		{
			$descripcion=$otro_servicio;
		}

		$this->db->trans_start();

		$data = array(
				
				
				'descripcion'  => $descripcion,
				'importe'  =>$importe,
				'fecha_pago'  => $fecha_pago,
				'observacion'  => $observacion				
				);
 	
		$this->db->where('id_pago_servicio',$id_pago_servicio );
		$this->db->update('pago_servicio',$data);
		
		if (intval($importe) < intval($importe_servicio_anterior)) 
		{
			$importe = intval($importe_servicio_anterior) - intval($importe); 
			$data3 = array(
				'id_caja' =>'',
				'importe'=>$importe,
				'num_factura' => 0,
				'id_compra_venta' => null,
				'debe_haber'=>1,
				'fecha'=>date("Y-m-d"),
				'cierre'=>0,
				'descripcion'=>'Devolución Servicio:'.$descripcion,
				'id_pago_servicio'=>$id_pago_servicio,
			
				);
				$this->db->insert('caja',$data3);
		}
		else
		{
			if (intval($importe) > intval($importe_servicio_anterior)) 
			{
				$importe= intval($importe) - intval($importe_servicio_anterior);
				$data3 = array(
				'id_caja' =>'',
				'importe'=>$importe,
				'num_factura' => 0,
				'id_compra_venta' => null,
				'debe_haber'=>2,
				'fecha'=>date("Y-m-d"),
				'cierre'=>0,
				'descripcion'=>'Actualización Pago de Servicio: '.$descripcion,
				'id_pago_servicio'=>$id_pago_servicio,
			
				);
				$this->db->insert('caja',$data3);
			}
		}
		
		 $this->db->trans_complete();
		 if  ( $this->db-> trans_status ()  ===  FALSE ) 
		 	{ 
		 		$this->db->trans_rollback ();
		 	} 
		 	else 
		 	{ 
		 		$this->db->trans_commit (); 
		 	}



		redirect('Caja/Caja_pago_servicio');




    }
    ////////////save_edit_pagos//////////////////////
    public function save_edit_pagos()
    {
		if($this->input->is_ajax_request()){
				$id = $this->input->post('id_caja_pago',TRUE);
				$_data         = array(
						'id_caja' => $this->input->post('id_caja',TRUE),
						'descripcion'         => $this->input->post('descripcion',TRUE),
						'monto'    => $this->input->post('monto',TRUE),
						'fecha' => $this->input->post('fecha',TRUE),
						'hora'       => $this->input->post('hora',TRUE),
				);
				$this->Caja_Model->save_edit_pagos($_data,$id);
				
		}else{
			show_404();
		}
    }
    //////////////delete//////////////////////////
    public function delete_pago_servicio()
    {
    	$id_pago_servicio = $this->uri->segment(4.0);

    	$this->Caja_Model->delete_pago_servicio($id_pago_servicio);
    	redirect('Caja/Caja_pago_servicio');

    }
 ////////////////////////////////////////

    function fetch_pago_servicio()
    {
    	date_default_timezone_set("America/Asuncion");
    	$fetch_data = $this->Caja_Model->pago_servicio_datatables(); 

           $data = array();  
                             

           foreach($fetch_data as $row)  
           {  
           		$cadena=""; 
           		
           			    
                $sub_array = array();  
                $sub_array[] = $row->id_pago_servicio;  
                $sub_array[] = $row->descripcion;               
                $sub_array[] = $row->importe;
                $sub_array[] = $row->fecha_pago;
                $sub_array[] = $row->observacion; 
                
                 
                  
                //$ver_detalle = '<a class="btn btn-primary btn-sm" data-toggle="modal" href="#'.$row->id_pago_servicio.'"  ><i ></i>Ver detalles</a>&nbsp;'; 
                $ver_detalle ="";

                $edit = '<a class="btn btn-success btn-sm" data-toggle="modal" href="#edit'.$row->id_pago_servicio.'"  ><i class="glyphicon glyphicon-edit"></i></a>&nbsp;';
           		
           		$delete = '<a class="btn btn-danger btn-sm" onclick="delete_row_pago_servicio('.$row->id_pago_servicio.','.$this->session->userdata('id_usuario').')" ><i class="glyphicon glyphicon-trash"></i></a>&nbsp;';

           		$modal_edit_pagos_servicio=' <div class="modal fade" id="edit'.$row->id_pago_servicio.'" style="z-index: 100001"  role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered" role="document">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title" id="exampleModalLongTitle">Editar Pago de Servicio</h5>
                  <button type="button" class="close"  data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body">
                <form   method="post" name="formulario_pago_servicio_edit" id="formulario_pago_servicio_edit" 
                action="'.base_url().'index.php/Caja/Caja_pago_servicio/edit_pago_servicio/'.$row->id_pago_servicio.'" enctype="multipart/form-data">

                  <table class="table table-striped">

                    <tr>
                      <th>
                        Servicio
                      </th>
                      <td>
                        <select required  autofocus="autofocus" id="descripcion_servicio_edit" name="descripcion_servicio_edit" autofocus="autofocus" style="width:280px;" class="form-control">
                         	<option value="'.$row->descripcion.'">'.$row->descripcion.'</option>
                           <option value="Agua">Agua</option>
                           <option value="Luz">Luz</option>
                           <option value="Telefono">Teléfono</option>
                           <option value="Basura">Basura</option>
                           <option value="Sueldo">Sueldo</option>
                           <option value="Video Cable">Video Cable</option>
                            <option value="Internet">Internet</option>
                          <option value="Otros">Otros</option>
                     </select> 
                        
                      </td>
                    </tr>
                    <tr>
                      <th>
                        Otro Servicio
                      </th>
                      <td>
                         <input type="text" name="otro_servicio_edit" id="otro_servicio_edit" class="form-control" disabled="disabled">       
                      </td>
                    </tr>
                    <tr>
                      <th>
                        Importe
                      </th>
                      <td>
                        <input type="number" name="importe_servicio_edit" id="importe_servicio_edit" class="form-control" value="'. $row->importe.'" required>       
                         <input type="number" name="importe_servicio_anterior" id="importe_servicio_anterior"  value="'. $row->importe.'" hidden> 
                      </td>
                    </tr>
                    <tr>
                      <th>
                        Fecha de pago
                      </th>
                      <td>
                        <input type="date" name="fecha_pago_servicio_edit" id="fecha_pago_servicio_edit" class="form-control" required value="'.$row->fecha_pago.'">       
                      </td>
                    </tr>
                    <tr>
                      <th>
                        Observaciones
                      </th>
                      <td>
                        
                        <textarea name="observacion_servicio_edit" id="observacion_servicio_edit" rows="10" cols="40" maxlength="250" class="form-control">'.$row->observacion.'</textarea>     
                      </td>
                    </tr>
                    <tr>
                    	<th>
                        
                      </th>
                       <td>
                       	 <button type="submit" class="btn btn-success" >Confirmar</button>
                        </td>
                    </tr>

                  </table>
                    
                         
                    
                  </form>
                </div>
                <div class="modal-footer">
                  
                  <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
                
                
                </div>
               
              </div>
            </div>
          </div> ';



                $sub_array[] = $ver_detalle.$edit.$delete.$modal_edit_pagos_servicio ; 
                

				//$sub_array[] =

                
                $data[] = $sub_array;  
           }

           $output = array(  
                "draw"                    =>     intval($this->input->post("draw")),  
                "recordsTotal"          =>      $this->Caja_Model->get_all_data_pago_servicio(),  
                "recordsFiltered"     =>     $this->Caja_Model->get_filtered_data_pago_servicio(),  
                "data"                    =>     $data  
           );  
           echo json_encode($output);  
    }

}

