<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class direccion extends CI_Controller {
	public function __construct()
	{
		parent::__construct();
		// Cargamos las librerias, model, helper;
		$this->load->library('form_validation');
		$this->load->model("Direccion_Model");

		if(!$this->session->userdata('id_usuario'))
		{
		redirect('/Login/login/');
		} 

	}

	public	function index()
	{
		
		
		$data = array //arreglo para mandar datos a la vista
			(
					'titulo'=> 'Administrar Direcciones',//mi titulo 
					'formulario' =>  $this->Direccion_Model->direccion(),
					"usuario" => $this->session->userdata('usuario'),
					"permiso" => $this->session->userdata('permiso'),
					"nombre" => $this->session->userdata('nombre'),
					"id_permiso" => $this->session->userdata('id_permiso'),
					"denominacion" => $this->session->userdata('denominacion'),

			);
			
			$this->parser->parse('Index/head.php',$data, FALSE);	// carga todos las url de estilo i js home	
			$this->parser->parse('Index/menu.php',$data, FALSE); // esta seria la barra de navegacion horizontal
	 	 	$this->parser->parse('Direccion/direccion_lista.php',$data, FALSE);
			
			$this->load->view('Index/pie.php'); // pie con los js
	}

	public function add()
	{
		$data = array 
			(

					'titulo'=> 'Agregar Dirección',//mi titulo 
					"usuario" => $this->session->userdata('usuario'),
					"departamento1" => $this->Direccion_Model->departamento(),
					"permiso" => $this->session->userdata('permiso'),
					"nombre" => $this->session->userdata('nombre'),
					"id_permiso" => $this->session->userdata('id_permiso'),
					"denominacion" => $this->session->userdata('denominacion'),
					
					

			);
			
			
			$this->parser->parse('Index/head.php',$data, FALSE);	
			$this->parser->parse('Index/menu.php',$data, FALSE);
			$this->parser->parse('Direccion/direccion_add.php',$data, FALSE); 
			$this->load->view('Index/pie.php'); 
	}
	////////////////////
	public function llena_departamento()
	{

			$departamento = $this->input->post('departamento');	
			$data = array 
					(				
					'distrito' =>  $this->Direccion_Model->distrito($departamento)
					);
			$this->parser->parse('Direccion/select_distrito.php',$data);
			
	}
	///////////////////////////////////////
	public function adding (){		
		$barrio = $this->input->post('barrio');
		$departamento = $this->input->post('departamento');
		$distrito = $this->input->post('distrito1');
		$nuevo_distrito = $this->input->post('nuevo_distrito');
		$nuevo_departamento = $this->input->post('nuevo_departamento');
		
		if ( $nuevo_departamento!='' and $distrito =='' and $departamento==''  and $nuevo_distrito==''  and $barrio==''  )
		{
			$this->Direccion_Model->add_departamento($nuevo_departamento);
			
		}
		

		if ( $nuevo_distrito!='' and $departamento!='' and $distrito =='' and $nuevo_departamento==''  and $barrio==''  )
		{
			$this->Direccion_Model->add_distrito($nuevo_distrito,$departamento);
			
		}
		

		if ( $barrio!='' and $departamento!='' and $distrito !='' and $nuevo_departamento=='' and $nuevo_distrito=='' )
		{
			$this->Direccion_Model->add_barrio($barrio,$distrito,$departamento);
			
		}
				
		redirect('/Direccion/direccion/add');

		
	}
	//////////////////////
	public function delete(){
		$id=$this->uri->segment(4,0);
 		$this->Direccion_Model->delete($id);
		redirect('/Direccion/direccion/');	
	}
	////////////////////////////////////////
	public function edit()
	{
		$id    = $this->uri->segment(4,0);	 
		$query = $this->Direccion_Model->edit($id);

		$data = array 
			(

					'titulo'=> 'Agregar Dirección',//mi titulo 
					"usuario" => $this->session->userdata('usuario'),
					"formulario" => $query,
					"departamento1" => $this->Direccion_Model->departamento(),
					"permiso" => $this->session->userdata('permiso'),
					"nombre" => $this->session->userdata('nombre'),
					"id_permiso" => $this->session->userdata('id_permiso'),
					"id_direccion" => $id ,
					"denominacion" => $this->session->userdata('denominacion'),

			);
			
			
			$this->parser->parse('Index/head.php',$data, FALSE);	
			$this->parser->parse('Index/menu.php',$data, FALSE);
			$this->parser->parse('Direccion/direccion_edit.php',$data, FALSE); 
			$this->load->view('Index/pie.php'); 
	}
	///////////////////////////////////////////
	public function save_edit()
	{
		$id_direc  = $this->uri->segment(4,0);	

		$this->db->select('departamento');
		$this->db->where('id_departamento',$this->input->post('departamento'));
		$departamento1=$this->db->get('departamento');
		$row = $departamento1->row();
		$departamento=$row->departamento;

		$this->db->select('distrito');
		$this->db->where('id_departamento',$this->input->post('departamento'));
		$this->db->where('id_distrito',$this->input->post('distrito1'));
		$distrito1=$this->db->get('distrito');
		$row = $distrito1->row();
		$distrito=$row->distrito;


		$data = array(
				'id_direccion' => intval($this->input->post('departamento').$this->input->post('distrito1').$this->input->post('id_barrio')),
				'id_departamento' => intval($this->input->post('departamento')),
				'departamento' => $departamento,
				'id_distrito' => intval($this->input->post('distrito1')),
				'distrito' => $distrito,
				'barrio' => $this->input->post('barrio'),
				);

		$this->Direccion_Model->save_edit($id_direc,$data);
		redirect('/Direccion/direccion/index/');
			
	}
	///////////////////////////////////////////////////


}