<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Especialidad extends CI_Controller {
	public function __construct()
	{
		parent::__construct();
		// Cargamos las librerias, model, helper;
		$this->load->library('form_validation');
		$this->load->model("Especialidad_Model");

		if(!$this->session->userdata('id_usuario'))
		{
		redirect('/Login/login/');
		} 

	}

	public	function index()
	{
		
		
		$data = array //arreglo para mandar datos a la vista
			(
					'titulo'=> 'Administrar Especialidades',
					'formulario' =>  $this->Especialidad_Model->especialidad(),
					"usuario" => $this->session->userdata('usuario'),
					"permiso" => $this->session->userdata('permiso'),
					"nombre" => $this->session->userdata('nombre'),
					"id_permiso" => $this->session->userdata('id_permiso'),
					"denominacion" => $this->session->userdata('denominacion'),

			);
			
			$this->parser->parse('Index/head.php',$data, FALSE);	// carga todos las url de estilo i js home	
			$this->parser->parse('Index/menu.php',$data, FALSE); // esta seria la barra de navegacion horizontal
	 	 	$this->parser->parse('Especialidad/especialidad_add_lista.php',$data, FALSE);
			$this->load->view('Index/pie.php'); // pie con los js
	}
	
	public function adding (){		
		$especialidad = $this->input->post('especialidad');

		$data = array(
			"especialidad" => $especialidad,
		 	);
			$this->db->insert('especialidad',$data);

		redirect('/Especialidad/especialidad/index/');

		
	}
	public function edit(){

		$id    = $this->uri->segment(4,0);	 
		$query = $this->Especialidad_Model->edit($id);
		
		if ($query != false){
		$data = array 
			(
					
					'titulo'=> 'Modificar especialidad',
					"usuario" => $this->session->userdata('usuario'),
					'formulario' =>  $this->Especialidad_Model->especialidad(),
					'modificacion'=> $query,
					"permiso" => $this->session->userdata('permiso'),
					"nombre" => $this->session->userdata('nombre'),
					"id_especialidad" => $id,
					"denominacion" => $this->session->userdata('denominacion'),
			);
			$this->parser->parse('Index/head.php',$data, FALSE);		
			$this->parser->parse('Index/menu.php',$data, FALSE); 
			$this->parser->parse('Especialidad/especialidad_edit.php',$data, FALSE); 
			
			$this->load->view('Index/pie.php'); 
		}else{
			return false;
		}
		

	

	}
	// guardar lo editado
	public function save_edit(){
		
						$id_especialidad = $this->uri->segment(4,0);
						
						$data = array(
							
							'especialidad' => $this->input->post('especialidad'),
							
						);
						$this->Especialidad_Model->save_edit($id_especialidad,$data);
						redirect('/Especialidad/especialidad/index/');
			
	}

	// dar de baja o elminar
	public function delete(){
		$id=$this->uri->segment(4,0);
 		$this->Especialidad_Model->delete($id);
		redirect('/Especialidad/especialidad/index/');	
	}
	////////////////////
	

	
	

}