<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Examen extends CI_Controller {

	public function __construct()
	{
		parent::__construct();
				
		$this->load->model("Examen_Model");
		$this->load->library('form_validation');

		if(!$this->session->userdata('id_usuario'))
		{
		redirect('/Login/login/');
		} 

	}
	
	public function index()
	{
		

		$data = array();

        $limit_per_page = 10;
        $start_index = ($this->uri->segment(4)) ? $this->uri->segment(4) : 0;

        $total_records =$this->Examen_Model->get_all_data();  

        $data["ENCABEZADO"] ='Registros de Exámenes';
        $data["usuario"] = $this->session->userdata('usuario');
       // $data["lista_tipo_carrera"] =$this->Examen_Model->lista_tipo_examen();

        if ($total_records > 0) 
        {
          $data["id_usuario"] = $this->session->userdata('id_usuario');
          
            $data["results"] = $this->Examen_Model->get_examen(  $limit_per_page, $start_index );
            $config['base_url'] = base_url() . 'index.php/Examen/examen/index';
            $config['total_rows'] = $total_records;
            $config['per_page'] = $limit_per_page;
            $config["uri_segment"] = 4;
            $config['full_tag_open'] = '<ul class="pagination">';
            $config['full_tag_close'] = '</ul>'; 
            $config['first_link'] = 'Primero';
            $config['last_link'] = 'Último';
            $config['first_tag_open'] = '<li>';        
            $config['first_tag_close'] = '</li>';        
            $config['prev_link'] = '&laquo';        
            $config['prev_tag_open'] = '<li class="prev">';        
            $config['prev_tag_close'] = '</li>';        
            $config['next_link'] = '&raquo';        
            $config['next_tag_open'] = '<li>';        
            $config['next_tag_close'] = '</li>';        
            $config['last_tag_open'] = '<li>';        
            $config['last_tag_close'] = '</li>';        
            $config['cur_tag_open'] = '<li class="active"><a href="#">';        
            $config['cur_tag_close'] = '</a></li>';        
            $config['num_tag_open'] = '<li>';        
            $config['num_tag_close'] = '</li>';
            
            $this->pagination->initialize($config);  //inicicalia nuetra paginacion
            // build paging links
            $data["links"] = $this->pagination->create_links();
           //llamamos de nuestras vistas
      $this->parser->parse('Index/head.php',$data, FALSE);  //encabezado con nuestro css
      $this->parser->parse('Index/menu.php',$data, FALSE);  //nuestro menu  
      $this->parser->parse('Examen/examen_vista.php',$data, FALSE);  //contenedor o cueppo
      $this->load->view('Index/pie.php');   // llamar pie de pagina
        }
        else
        {
          $this->parser->parse('Index/head.php', $data, FALSE);
          $this->parser->parse('Index/menu.php',$data );
          $this->parser->parse('Examen/examen_vista_vacio.php',$data,false);
          $this->load->view('Index/pie.php'); 

        }
       
	}

    
 ///////////////////////////////////////////////////////////////

	
	public function adding ()
	{
	  
	 	 $data = array 
				(
					'id_carrera'=> '',
					"id_tipo_carrera" => $this->input->get_post('id_tipo_carrera',true),
          "codigo_carrera" => $this->input->get_post('codigo_carrera',true),
					"carrera" => $this->input->get_post('carrera',true),
					"duracion" => $this->input->get_post('duracion',true),
          "tipo_duracion" => $this->input->get_post('tipo_duracion',true),
          "regimen" => $this->input->get_post('regimen',true),
					"observacion_regimen" => $this->input->get_post('observacion_regimen',true),
					"modalidad" => $this->input->get_post('modalidad',true),
					"nivel" => $this->input->get_post('nivel',true),
          "observacion" => $this->input->get_post('observacion',true),
          "fecha_habilitacion" => $this->input->get_post('fecha_habilitacion',true),
          "estado" => $this->input->get_post('estado',true),
          "resolucion" => $this->input->get_post('resolucion',true)
          			
        );	

		
	 	$this->Carrera_Model->add_carrera($data);		
		
		redirect('/Carrera/carrera');
	 }

	public function edit_carrera()
	{
		$id_carrera=$this->uri->segment(4,0);
		
		$data = array 
				(
					"id_tipo_carrera" => $this->input->get_post('id_tipo_carrera',true),
          "codigo_carrera" => $this->input->get_post('codigo_carrera',true),
          "carrera" => $this->input->get_post('carrera',true),
          "duracion" => $this->input->get_post('duracion',true),
           "tipo_duracion" => $this->input->get_post('tipo_duracion',true),
          "regimen" => $this->input->get_post('regimen',true),
          "observacion_regimen" => $this->input->get_post('observacion_regimen',true),
          "modalidad" => $this->input->get_post('modalidad',true),
          "nivel" => $this->input->get_post('nivel',true),
          "observacion" => $this->input->get_post('observacion',true),
          "fecha_habilitacion" => $this->input->get_post('fecha_habilitacion',true),
          "estado" => $this->input->get_post('estado',true),
          "resolucion" => $this->input->get_post('resolucion',true) 
				);			
			$this->Carrera_Model->save_edit($id_carrera,$data);
			redirect('/Carrera/carrera');	
	}


	// dar de baja o elminar
	function eliminar_carrera()
	{
		$control=0;
		$id_carrera=$this->uri->segment(4,0);
		$this->db->from("inscripcion");
		$this->db->where("id_carrera", $id_carrera);
		$query = $this->db->get();

		if ($query->num_rows() > 0) 
		{
                $control=1;
        }
       
        if ($control!=1)
        {
        	$this->Carrera_Model->eliminar_carrera($id_carrera);
        	redirect('/Carrera/carrera');
        }
        else
        {
      
            $data = array 
      			(
      				'ENCABEZADO'=> 'Carrera',
              "usuario"    => $this->session->userdata('usuario'),
              "id_usuario"    => $this->session->userdata('id_usuario'),
           
      									
      			);
             $this->parser->parse('Index/head.php', $data);	
      			 $this->parser->parse('Index/menu.php',$data ); 
      	     $this->parser->parse('Carrera/carrera_error.php',$data);
      	     $this->load->view('Index/pie.php'); 

        }

			
	}
}
