<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Examen extends CI_Controller {
	public function __construct()
	{
		parent::__construct();
		// Cargamos las librerias, model, helper;
		$this->load->library('form_validation');
		$this->load->model('Examen_Model');

		if(!$this->session->userdata('id_usuario'))
		{
		redirect('/Login/login/');
		} 

	}

	public	function index()
	{
		
		$examenes=$this->Examen_Model->examenes();
		$grupo_examen=$this->Examen_Model->grupo_examen();
		if ($examenes != false)
		{
		
			$data = array //arreglo para mandar datos a la vista
				(
						'titulo'=> 'Determinaciones de Laboratorio',
						'grupo_examen' => $grupo_examen ,
						'examenes' =>  $examenes,
						"usuario" => $this->session->userdata('usuario'),
						"nombre" => $this->session->userdata('nombre'),
						"permiso" =>$this->session->userdata('permiso'),
						"id_permiso" =>$this->session->userdata('id_permiso'),
						"denominacion" => $this->session->userdata('denominacion'),
				);
				
				$this->parser->parse('Index/head.php',$data, FALSE);	// carga todos las url de estilo i js home	
				$this->parser->parse('Index/menu.php',$data, FALSE); // esta seria la barra de navegacion horizontal
		 	 	$this->parser->parse('Examen/examen_inicio.php',$data, FALSE);
				$this->load->view('Index/pie.php');
		}
		else
		{
			$data = array //arreglo para mandar datos a la vista
				(
						'titulo'=> 'Determinaciones de Laboratorio',
						'grupo_examen' => "" ,
						'examenes' =>  "",
						"usuario" => $this->session->userdata('usuario'),
						"nombre" => $this->session->userdata('nombre'),
						"permiso" =>$this->session->userdata('permiso'),
						"id_permiso" =>$this->session->userdata('id_permiso'),
						"denominacion" => $this->session->userdata('denominacion'),
				);
				
				$this->parser->parse('Index/head.php',$data, FALSE);	// carga todos las url de estilo i js home	
				$this->parser->parse('Index/menu.php',$data, FALSE); // esta seria la barra de navegacion horizontal
		 	 	$this->parser->parse('Examen/examen_inicio.php',$data, FALSE);
				$this->load->view('Index/pie.php');
		}
	}
	public function add()
	{

		$data = array //arreglo para mandar datos a la vista
			(
					'titulo'=> 'Agregar Determinacion',//mi titulo 
					"usuario" => $this->session->userdata('usuario'),
					'subgrupo_examen1' =>  $this->Examen_Model->subgrupo_examen11(),
					'grupo_examen1' =>  $this->Examen_Model->grupo_examen(),
					"permiso" =>$this->session->userdata('permiso'),
					"id_permiso" =>$this->session->userdata('id_permiso'),
					"nombre" => $this->session->userdata('nombre'),
					"denominacion" => $this->session->userdata('denominacion'),
			);
			
			

			$this->parser->parse('Index/head.php',$data, FALSE);	// carga todos las url de estilo i js home
			$this->parser->parse('Index/menu.php',$data, FALSE); // esta seria la barra de navegacion horizontal
			$this->parser->parse('Examen/examen_add.php',$data, FALSE); // este seria todo el contenido central
			$this->load->view('Index/pie.php'); // pie con los js
	}
	public function adding (){		
		$descripcion_examen = $this->input->post('descripcion_examen');
		$subgrupo_examen = $this->input->post('subgrupo_examen1');
		if ($subgrupo_examen==0) 
		{
			$subgrupo_examen=1;
		}
				
		$grupo_examen = $this->input->post('grupo_examen1');

		$nuevo_subgrupo = $this->input->post('nuevo_subgrupo');
		$nuevo_grupo = $this->input->post('nuevo_grupo');
		$tipo_dato = $this->input->post('tipo_dato');
		$u_medida = $this->input->post('u_medida');
		$rango = $this->input->post('rango');
		
		
		$this->Examen_Model->add_examen($descripcion_examen,$subgrupo_examen,$grupo_examen,$nuevo_subgrupo,$nuevo_grupo,$tipo_dato,$u_medida,$rango);		
		redirect('/Examen/examen/add');

		
	}
	public function edit(){

		$id    = $this->uri->segment(4,0);	// OCTENGO EL ID QUE LE ENVIO A TRAVES DE LA VISTA I LE PASO AL MODELO	 
		$query = $this->Examen_Model->edit($id);// OCTENGO LA CONSULTA QUE ESTA EN EL MODELO EN  FUNCTION EDIT 
		// validamos si nuestra consulta es distinto a false mostramos la vista de editar con los datos
		//$valor_rango = $this->Examen_Model->valor_rango($id);

		if ($query != false){
		$data = array //arreglo para mandar datos a la vista
			(
					
					'titulo'=> 'Modificar Determinacion',//mi titulo 
					"usuario" => $this->session->userdata('usuario'),
					
					'formulario'=> $query,
					'valor_rango'=> $this->Examen_Model->valor_rango($id),
					"especialidad1" => $this->Examen_Model->especialidad(),
					'subgrupo_examen1' =>  $this->Examen_Model->subgrupo_examen11(),
					'grupo_examen1' =>  $this->Examen_Model->grupo_examen(),
					"permiso" =>$this->session->userdata('permiso'),
					"id_permiso" =>$this->session->userdata('id_permiso'),
					"nombre" => $this->session->userdata('nombre'),
					"denominacion" => $this->session->userdata('denominacion'),

			);
			$this->parser->parse('Index/head.php',$data, FALSE);	// carga todos las url de estilo i js home	
			$this->parser->parse('Index/menu.php',$data, FALSE); // esta seria la barra de navegacion horizontal
			$this->parser->parse('Examen/examen_edit.php',$data, FALSE); // este seria todo el contenido central
			
			$this->load->view('Index/pie.php'); // pie con los js
		}else{
			return false;
		}
		

	

	}
	// guardar lo editado
	public function save_edit(){
		
						$id = $this->input->post('id_examen');
						$rango=$this->input->post('rango');


						$data = array(
							'descripcion' => $this->input->post('descripcion'),
							'id_subgrupo_examen' => $this->input->post('subgrupo_examen1'),
							'id_grupo_examen' => $this->input->post('grupo_examen1'),
							'tipo' => $this->input->post('tipo_dato'),
							'u_medida' => $this->input->post('u_medida'),
							'rango' =>""
						);
						$this->Examen_Model->save_edit($id,$data);

						$this->db->where('id_examen', $id);
						$this->db->delete('valor_rango');

						for ($i=0;$i<count($rango);$i++)    
						{
							if ( $rango[$i]<>'')
							{
							$datos = array(
							"id_valor_rango" => '',
							"id_examen" => $id,
							"valor_rango" => $rango[$i],
							);
							$this->db->insert('valor_rango',$datos);
							}
							

						}	


						redirect('/Examen/examen/index');
			
	}

	// dar de baja o elminar
	public function delete(){
		$id=$this->uri->segment(4,0);
 		$this->Examen_Model->delete($id);
		redirect('/Examen/examen/index/');	
	}
	////////////////////
	
	///////////////
	
	public function llena_subgrupo_examen()
	{

			$id_grupo_examen = $this->input->post('id_grupo_examen');	
			$data = array 
					(				
					'subgrupo_examen' =>  $this->Examen_Model->subgrupo_examen($id_grupo_examen)
					);
			$this->parser->parse('Examen/select_subgrupo_examen.php',$data);
		
	}

	public function llena_subgrupo_examen2()
	{

			$id_grupo_examen = $this->input->post('id_grupo_examen1');
			

			$data = array 
					(				
					'subgrupo_examen1' =>  $this->Examen_Model->subgrupo_examen1($id_grupo_examen)
					);
			$this->parser->parse('Examen/select_subgrupo_examen2.php',$data);
		
	}

	public function llena_examen()
	{

			$id_grupo_examen = $this->input->post('id_grupo_examen');	
			$data2 = array 
					(				
					'examen' =>  $this->Examen_Model->examen($id_grupo_examen)
					);
			$this->parser->parse('Examen/select_examen.php',$data2);
		
	}
	public function llena_examen2()
	{

			$id_subgrupo_examen = $this->input->post('id_subgrupo_examen');	
			$data3 = array 
					(				
					'examen' =>  $this->Examen_Model->examen2($id_subgrupo_examen)
					);
			$this->parser->parse('Examen/select_examen.php',$data3);
		
	}


	

}

/* End of file main.php */
/* Location: ./application/controllers/main.php */