<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Examen_Model extends CI_Model {

	public function __construct()
	{
		parent::__construct();
		
	}
	
    function grupo_examen()
    {
    	 $grupo_examen = $this->db->get('grupo_examen');
        if($grupo_examen->num_rows()>0)
		{
			return $grupo_examen->result();
		}
    }
	function especialidad()
     {
     	$consulta = $this->db->get('especialidad');
		if ($consulta->num_rows()> 0) {
			
			return true;
		}
     }
     ////////////////////////////////////////////////
     function examenes()
     {
     	$sql="select *,grupo_examen.descripcion as grupo_examen, examen1.descripcion as descricion_del_examen,
	CASE  tipo
	  WHEN 1 THEN 'Numerico'
	   WHEN 6 THEN 'Texto Alfanumerico'
	  WHEN 2 THEN 'Positivo/Negativo'
	  WHEN 3 THEN 'Reactiva/No Reactiva'
	  WHEN 4 THEN 'Se observa/No se observa'
	  WHEN 5 THEN 'Grupo Sanguineo'
	  WHEN 7 THEN 'Contiene/No contiene'
	  WHEN 8 tHEN 'Color'
	  WHEN 9 THEN 'Aspecto'
	  WHEN 10 THEN 'Celulas Epiteliales planas'
	  WHEN 11 THEN 'Dengue'
	  WHEN 12 THEN 'Cristales'
	  WHEN 13 THEN 'Toxoplasmosis'
	  WHEN 14 THEN 'Cilindros'
	  WHEN 15 THEN 'Observaciones'


	 WHEN '' THEN 'Vacio'
	 ELSE tipo
	 END as tipo2,
	CASE  u_medida
	 WHEN '' THEN 'Vacio'
	 ELSE u_medida
	 END as u_medida,

	 CASE  rango
	 WHEN '' THEN 'Vacio'
	 ELSE rango
	 END as rango

	from 
	(
	(select *,
	 CASE  id_subgrupo_examen
	  WHEN 0 THEN 'Examen'
	 END as subgrupo_examen
	from examen
	where examen.id_subgrupo_examen =0
	) UNION (select id_examen,codigo,examen.descripcion as descripcion , examen.id_subgrupo_examen as id_subgrupo_examen ,    
		examen.id_grupo_examen as  id_grupo_examen,tipo,u_medida,rango,
	 CASE  subgrupo_examen.descripcion
	  WHEN subgrupo_examen.descripcion  THEN subgrupo_examen.descripcion
	 END as subgrupo_examen
	from examen, subgrupo_examen
	where subgrupo_examen.id_subgrupo_examen=examen.id_subgrupo_examen
	) order by id_examen

	) as examen1
	inner join grupo_examen on examen1.id_grupo_examen=grupo_examen.id_grupo_examen";
     
     	$query = $this->db->query($sql);
			
			if ($query->num_rows() > 0) {
				return $query->result();
			} else
			{
				return false;
			}

     }
     ////////////////////////////////////////////////

	function add_examen($descripcion_examen,$subgrupo_examen,$grupo_examen,$nuevo_subgrupo,$nuevo_grupo,$tipo_dato,$u_medida,$rango)
	{
		$this->db->trans_start();
		if (!($tipo_dato))
		{
			$tipo_dato="Texto";
		}
		if ($nuevo_grupo)
		{
			$data = array(
				"id_grupo_examen" => '',
				"descripcion" => $nuevo_grupo,
				);
			$this->db->insert('grupo_examen',$data);
			
			$this->db->select_max('id_grupo_examen');
			$maximo=$this->db->get('grupo_examen');
			$row = $maximo->row();
			
			$id_grupo_examen=$row->id_grupo_examen;

			if ($nuevo_subgrupo)
			{
				$data1 = array(
					"id_subgrupo_examen" => '',
					"descripcion" => $nuevo_subgrupo,
					"id_grupo_examen" => $id_grupo_examen,
					);
				$this->db->insert('subgrupo_examen',$data1);

				$this->db->select_max('codigo');
				$maximo1=$this->db->get('examen');
				$row1 = $maximo1->row();
				$codigo=intval($row1->codigo)+1;

				$this->db->select_max('id_grupo_examen');
			$maximo3=$this->db->get('grupo_examen');
			$row3 = $maximo3->row();
			$id_grupo_examen=$row3->id_grupo_examen;
			
			
			$this->db->select_max('id_subgrupo_examen');
			$maximo4=$this->db->get('subgrupo_examen');
			$row4 = $maximo4->row();
			
			$id_subgrupo_examen=$row4->id_subgrupo_examen;

				
				$data4 = array(
					"id_examen" => '',
					"codigo" => $codigo,
					"descripcion" => $descripcion_examen,
					"id_subgrupo_examen" => $id_subgrupo_examen,
					"id_grupo_examen" => $id_grupo_examen,
					"tipo" => $tipo_dato,
					"u_medida" => $u_medida,
					"rango" =>""
					);
				$this->db->insert('examen',$data4);

			}
			else
			{
				$this->db->select_max('codigo');
				$maximo1=$this->db->get('examen');
				$row1 = $maximo1->row();
				$codigo=intval($row1->codigo)+1;

				$data1 = array(
					"id_examen" => '',
					"codigo" => $codigo,
					"descripcion" => $descripcion_examen,
					"id_subgrupo_examen" => $subgrupo_examen,
					"id_grupo_examen" => $id_grupo_examen,
					"tipo" => $tipo_dato,
					"u_medida" => $u_medida,
					"rango" =>""
					);
				$this->db->insert('examen',$data1);
	
			}

		}
		else
		{

			if ($nuevo_subgrupo)
			{
				if (!($grupo_examen))
				{
					$grupo_examen=99;
				}
				$data2 = array(
					"id_subgrupo_examen" => '',
					"descripcion" => $nuevo_subgrupo,
					"id_grupo_examen" => $grupo_examen,
					);
				$this->db->insert('subgrupo_examen',$data2);

				$this->db->select_max('id_subgrupo_examen');
				$maximo3=$this->db->get('subgrupo_examen');
				$row3 = $maximo3->row();
				$subgrupo_examen=$row3->id_subgrupo_examen;
			}


			
			$this->db->select_max('codigo');
			$maximo2=$this->db->get('examen');
			$row2 = $maximo2->row();
			$codigo=intval($row2->codigo)+1;
			$data3 = array(
				"id_examen" => '',
				"codigo" => $codigo,
				"descripcion" => $descripcion_examen,
				"id_subgrupo_examen" => $subgrupo_examen,
				"id_grupo_examen" => $grupo_examen,
				"tipo" => $tipo_dato,
				"u_medida" => $u_medida,
				"rango" =>""
					);
			$this->db->insert('examen',$data3);

			$id_examen_nuevo=$this->db->insert_id();

			for ($i=0;$i<count($rango);$i++)    
			{
				$datos = array(
				"id_valor_rango" => '',
				"id_examen" => $id_examen_nuevo,
				"valor_rango" => $rango[$i],
				);
				$this->db->insert('valor_rango',$datos);
				
				

			}	
						
			
		}
		
		$this->db->trans_complete();


	}
	 function edit ($id)
	{
		$sql="select *,grupo_examen.descripcion as grupo_examen, examen1.descripcion as descripcion,
CASE  tipo
  WHEN '1' THEN 'Numerico'
   WHEN '6' THEN 'Texto Alfanumerico'
  WHEN '2' THEN 'Positivo/Negativo'
  WHEN '3' THEN 'Reactivo/No Reactivo'
  WHEN '4' THEN 'Se observa/No se observa'
  WHEN '5' THEN 'Grupo Sanguineo'
  WHEN '7' THEN 'Contiene/No contiene'
  WHEN '8' THEN 'Color'
  WHEN '9' THEN 'Aspecto'
  WHEN '10' THEN 'Celulas Epiteliales planas'
  WHEN '11' THEN 'Dengue'
  WHEN '12' THEN 'Cristales'
  WHEN '13' THEN 'Toxoplasmosis'
  WHEN '14' THEN 'Cilindros'
  WHEN '15' THEN 'Observaciones'

 WHEN '' THEN ''
 ELSE tipo
 END as tipo,
CASE  u_medida
 WHEN '' THEN ''
 ELSE u_medida
 END as u_medida,

 CASE  rango
 WHEN '' THEN ''
 ELSE rango
 END as rango

from 
(
(select *,
 CASE  id_subgrupo_examen
  WHEN 1 THEN ''
 END as subgrupo_examen
from examen
where examen.id_subgrupo_examen =1
) UNION (select id_examen,codigo,examen.descripcion as descripcion , examen.id_subgrupo_examen as id_subgrupo_examen ,    
	examen.id_grupo_examen as  id_grupo_examen,tipo,u_medida,rango,
 CASE  subgrupo_examen.descripcion
  WHEN subgrupo_examen.descripcion  THEN subgrupo_examen.descripcion
 END as subgrupo_examen
from examen, subgrupo_examen
where subgrupo_examen.id_subgrupo_examen=examen.id_subgrupo_examen
) order by id_examen

) as examen1
inner join grupo_examen on examen1.id_grupo_examen=grupo_examen.id_grupo_examen
where id_examen=".$id;
     
     	$query = $this->db->query($sql);
			
			if ($query->num_rows() > 0) {
				return $query->result();
			} else
			{
				return false;
			}
	}
     function save_edit($id,$data)
    {
    	$this->db->trans_start();

    	$this->db->where('id_examen',$id);
		$this->db->update('examen',$data);

		

		$this->db->trans_complete();

    }
     function delete($id)
    {
    	$this->db->trans_start();
    	$this->db->where('id_examen',$id);
		$this->db->delete('examen');
		$query = $this->db->get('examen');
		$this->db->trans_complete();
    }
    

    function subgrupo_examen($id_grupo_examen)
    {
    	$this->db->where('id_grupo_examen',$id_grupo_examen);
		$subgrupo_examen = $this->db->get('subgrupo_examen');
		if($subgrupo_examen->num_rows()>0)
		{
			return $subgrupo_examen->result();
		}
    }

    function subgrupo_examen1($id_grupo_examen)
    {
    	$this->db->where('id_grupo_examen',$id_grupo_examen);
		$subgrupo_examen1 = $this->db->get('subgrupo_examen');
		if($subgrupo_examen1->num_rows()>0)
		{
			return $subgrupo_examen1->result();
		}
    }

    

    function examen($id_grupo_examen)
    {

    	$this->db->where('id_grupo_examen',$id_grupo_examen);
		$examen = $this->db->get('examen');
		if($examen->num_rows()>0)
		{
			return $examen->result();
		}
    }
    function examen2($id_subgrupo_examen)
    {

    	$this->db->where('id_subgrupo_examen',$id_subgrupo_examen);
		$examen = $this->db->get('examen');
		if($examen->num_rows()>0)
		{
			return $examen->result();
		}
    }
    function subgrupo_examen11()
    {

    	
		$subgrupo_examen = $this->db->get('subgrupo_examen');
		if($subgrupo_examen->num_rows()>0)
		{
			return $subgrupo_examen->result();
		}
    }
    function grupo_examen11()
    {
		$grupo_examen = $this->db->get('grupo_examen');
		if($grupo_examen->num_rows()>0)
		{
			return $grupo_examen->result();
		}
    }

    function valor_rango($id)
	{
		$sql="select * from valor_rango where id_examen=".$id;
		$query = $this->db->query($sql);
			
			if ($query->num_rows() > 0) {
				return $query->result();
			} else
			{
				return false;
			}


	}

    

}
