<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Usuario_Model extends CI_Model {

	public function __construct()
	{
		parent::__construct();
		//Do your magic here
	}


   function get_all_data()  
      {  
           $this->db->select("*");  
           $this->db->from("usuario");  
           
           return $this->db->count_all_results();  //esto esta funcion es preestablecido, funcion de codeigniter. no es nuestra pero sirve para traer todos los registros
      } 

public function get_usuario($limit, $start ) 
    {
      $this->db->select("*");
      $this->db->from("usuario"); 
      $this->db->limit($limit, $start);

        $query = $this->db->get();
 
        if ($query->num_rows() > 0)  //la cantidad ed regitros consultados
        {
            foreach ($query->result() as $row) 
            {
                $data[] = $row;  /// row tien cada una de las liseas del registro y guardamos en otra varialble array como matriz y luego retornamos en nuestro controlador.
            }
             
            return $data;
        }
 
        return false;
    }



	function dato_usuario($id_usuario)
	{
		
		$this->db->select('usuarios');
		$this->db->where('id_usuario',$id_usuario);
		$consulta = $this->db->get('usuario');
		if ($consulta->num_rows()> 0) {
			
			return true;
		}

	}

	function save_edit($id_usuario,$data)
    {
    	$this->db->trans_start();
    	$this->db->where('id_usuario',$id_usuario);
		$this->db->update('usuario',$data);
        $this->db->trans_complete();

    }
    

    function lista_usuarios()
    {
      $this->db -> select('*');
      $this->db -> from ('usuario');
      
       $lista_usuarios =  $this->db->get();
       return $lista_usuarios->result();
      
    	 
    }
    

    function add_usuario($data)
    {

			$this->db->insert('usuario',$data);
       
    }

    function edit($id)
    {
    	
    	
    	$datos = $this->db->query(' select usuarios.nombre as nombres,usuarios.usuario as nick,
    	usuarios.id_unidad as id, usuarios.permiso as permiso1, unidad_salud.denominacion as nombre_unidad,
    	usuarios.id_usuario as usuario_id, usuarios.pass as pass,usuarios.id_permiso as id_permiso

    		from usuarios 
    		inner join	 unidad_salud on unidad_salud.id_unidad=usuarios.id_unidad
    		where  usuarios.id_usuario ='.intval($id).'');
    	 if ($datos->num_rows() > 0) {
				return $datos->result();
			} else
			{
				return false;
			}

    }

    function save_edit2($usuario_id,$data)
    {
    	$this->db->trans_start();
    	$this->db->where('id_usuario',$usuario_id);
		$this->db->update('usuarios',$data);
        $this->db->trans_complete();
    }

    function delete ($id_usuario)
    {
        $this->db->where('id_usuario',$id_usuario);
        $this->db->delete('usuario');
        $query = $this->db->get('usuario');
        
    } 
    ////////////////////////////////////////////////////////////////////
    function make_query_usuario_vista()  
      {  
           $this->db->select("*");  
           $this->db->from("usuario");
           if($this->session->userdata('id_usuario')!=1)
           {
              $this->db->where('id_usuario',$this->session->userdata('id_usuario'));
            }
            if(isset($_POST["search"]["value"]))
            {  
                $this->db->like("usuario", $_POST["search"]["value"]);  
                $this->db->or_like("nombre", $_POST["search"]["value"]);
              }  
            

          if(isset($_POST["order"]))
           {  
               $this->db->order_by($_POST['order']['0']['dir']);  
           }  
           else  
           {  
                $this->db->order_by('id_usuario', 'asc');  
           }  
      }

      function consulta_usuario_vista()
      {  
           $this->make_query_usuario_vista(); 
           if(  intval($this->input->post("length"))  != -1)  
           {  
                $this->db->limit(intval($this->input->post("length")), intval($this->input->post("start")));  
           }  
           $query = $this->db->get();  
           return $query->result();  
      } 

      function get_filtered_usuario_vista()
      {  
           $this->make_query_usuario_vista();  
           $query = $this->db->get();  
           return $query->num_rows();  
      }  

      function get_all_data_usuario_vista()  
      {  
           $this->db->select("*");  
           $this->db->from("usuario"); 
           if($this->session->userdata('id_usuario')!=1)
           {
              $this->db->where('id_usuario',$this->session->userdata('id_usuario'));
            }
             
           return $this->db->count_all_results();  
      }  
     /////////////////////////////////////////////////////////////////////////

    
    
    

}

