<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Cobros_cuota extends CI_Controller {

	public function __construct()
	{
		parent::__construct();
		$this->load->model('Caja_model');
		if(!$this->session->userdata('id_usuario'))
		{
		redirect('/Login/login/');
		}

	}
	public function index()
	{
    	$data = array(
						"titulo"      => "Créditos Actuales",
						//'formulario' =>  $this->Caja_model->listar_credito(),
						"usuario"    => $this->session->userdata('usuario'),
						"proveedor_lista" => $this->Proveedor_Model->lista_proveedor()
						
        );
        $this->parser->parse('Index/head.php', $data, FALSE);	
		$this->parser->parse('Index/menu.php',$data , false); 
        $this->parser->parse('Caja/cobros_vista.php',$data,false);
     
		$this->load->view('Index/pie.php');
    
	}
	public function historial()
	{
		$num_factura=$this->uri->segment(4,0);
		$consulta = $this->db->query("  select * from credito where num_factura=".$num_factura);
		if ($consulta->num_rows() == 0)
			{	
				redirect('Factura/factura/ver_detalle/'.$num_factura);
			}


		$query = $this->db->query("  select * from credito inner join cliente on cliente.id_alumno=credito.id_alumno
			where credito.num_factura=".$num_factura."  ");	
			
		$datos=$query->row_array();
		$cliente=$datos['nombre']." ".$datos['apellido']." - CI/RUC. ".$datos['cedula_ruc'];

		$query = $this->db->query("  select * from credito where credito.num_factura=".$num_factura." and credito.pago=0");	
		$datos=$query->row_array();
		$importe_total_credito=$datos['importe'];

		$data = array(
						"titulo"      => "Créditos",
						"cliente"=> $cliente,
						"num_factura"=> $num_factura,
						"importe_total_credito"=> $importe_total_credito,
						"formulario" => $this->Caja_model->historial($num_factura),
						"usuario"    => $this->session->userdata('usuario'),
						"proveedor_lista" => $this->Proveedor_Model->lista_proveedor()
						
        );
        $this->parser->parse('Index/head.php', $data, FALSE);	// carga todos las url de estilo i js home	
		$this->parser->parse('Index/menu.php',$data , false); // esta seria la barra de navegacion horizontal
        $this->parser->parse('Caja/historial.php',$data,false);
		$this->load->view('Index/pie.php');

	}

	public function cobros()
	{
		
		
			$id = $this->uri->segment(3.0);
			$query1 = $this->db->query(" select * from credito0 where id_credito=".$id);
			$row=$query1->row();
			
		if ($row->pago==0)
			{
				$_data       = array(
			//		"for_modal" => $this->Caja_model->cobros($id),
					"usuario"    => $this->session->userdata('usuario'),
					);
					
					//$this->parser->parse('Caja/modal.php',$_data,false);
			}
			else
			{
				$_data       = array(
					"error" => "Este importe ya se ha pagado...",
					"usuario"    => $this->session->userdata('usuario'),
					
					"id_alumno"=> $row->id_alumno
				);
					
					$this->parser->parse('Caja/modal_error.php',$_data,false);
			}
			
		
	}
	public function cobrar()
	{
		
		$num_factura=$this->input->post('num_factura');
		$id_credito=$this->input->post('row_id_credito');
		$nuevo_monto=$this->input->post('nuevo_monto'.$id_credito);
		$num_recibo_historial=$this->input->post('num_recibo_historial');
		if ($this->input->post('num_recibo_historial')<>null && $this->input->post('num_recibo_historial')>0) 
		{
			$num_recibo_historial=$this->input->post('num_recibo_historial');
		}
		else
			{
			$num_recibo_historial=0;
			}
		
		if ($this->input->post('observacion_historial')<>"" ) 
			{
				$observacion_historial=$this->input->post('observacion_historial');
			}
			else
			{
				$observacion_historial="";
			}
		
		if ($this->input->post('fecha_pago_historial')<>"" ) 
			{
				$fecha_pago_historial=$this->input->post('fecha_pago_historial');
			}
			else
				{
					$fecha_pago_historial=date("Y-m-d");
				}
		
		$query1 = $this->db->query("SELECT * from credito where num_factura=".$num_factura." and pago=0 and id_credito=".$id_credito);
		$row=$query1->row();

		$query2 = $this->db->query("SELECT max(num_cuota) as max_num_cuota from credito where num_factura=".$num_factura);
		$row2=$query2->row();
		$max_num_cuota=intval($row2->max_num_cuota);
		
	
		$num_cuota=intval($row->num_cuota);
		$id_alumno=$row->id_alumno;
		$importe=$row->importe;
		$descripcion_anterior=$row->descripcion;

		if ($this->input->post('descripcion_historial')<>"" ) 
			{
				$descripcion_historial=$this->input->post('descripcion_historial');
			}
			else
			{
				$descripcion_historial=$descripcion_anterior;
			}

		date_default_timezone_set("America/Asuncion");
		
		if ($nuevo_monto!='' and $nuevo_monto<$importe)
		{
		    	$query3 = $this->db->query("SELECT num_cuota from credito where id_credito=".$id_credito);
		        $row3=$query3->row();
		        $num_cuota=intval($row3->num_cuota);

			$data=array (
				'id_alumno'=>$id_alumno,
				'num_factura'=>intval($num_factura),
				'importe'=>intval($nuevo_monto),
				'fecha_venc'=>"", 
				'pago'=>1,
				'num_recibo'=>$num_recibo_historial,
				'fecha_pago'=>$fecha_pago_historial,
				'num_cuota'=>$num_cuota,
				'descripcion'=>$descripcion_historial,
				'observacion'=>$observacion_historial,


			);
			$this->db->insert('credito',$data);

			$importe=$importe-$nuevo_monto;

			$data_1=array (

				'importe'=> $importe,
				

				);
			$this->db->where('id_credito',$id_credito);
			$this->db->update('credito',$data_1);

			$importe= $nuevo_monto;
			$descripcion="Pago Parcial Crédito ";


		}
		else
		{

			$data_2=array (
				'pago'=>1,
				'fecha_pago'=>$fecha_pago_historial,
				'num_recibo'=>$num_recibo_historial,
				'observacion'=>$observacion_historial,
				'descripcion'=>$descripcion_historial
				
				);
			$this->db->where('id_credito',$id_credito);
			$this->db->update('credito',$data_2);
			$descripcion="Cancelacion Crédito ";

		}
		
		
		///////////////////////////////////
		$data_3=array (
				'id_caja'=>"",
				'descripcion'=>$descripcion,
				'importe'=>$importe,
				'num_factura'=> $num_factura,
				'fecha'=> date('Y-m-d'),
				'debe_haber'=>1,
				'cierre'=>0
				);
			$this->db->insert('caja',$data_3);
		//////////////////////////////////

		$this->db->select("*");
		$this->db->from('credito');	
		$this->db->where('num_factura',$num_factura);
		$this->db->where('pago',0);
		$query = $this->db->get();
		
		/*
		$num_factura_buscar= $this->input->post('num_factura_buscar'); 
		$alumno_buscar= $this->input->post('alumno_buscar');
			$data["alumno_buscar"]=$alumno_buscar;
        $data["num_factura_buscar"]=$num_factura_buscar;
        */
		
		

//	$this->parser->parse('Factura/factura_vista.php',$data, FALSE);
		redirect('/Factura/index');

		
		
	}

	 

	

}

