<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Producto extends CI_Controller {
	//varaible global 

	//
	
	public function __construct()
	{
		parent::__construct();
		
	$this->load->model("Producto_model");
	$this->load->model("Proveedor_model");
	$this->load->model("Caja_model");
	$this->load->library('session');
	$this->load->library('cart');
		
	$this->load->helper('form');
		if(!$this->session->userdata('id_usuario'))
		{
		redirect('/Login');
		} 
	}
	public function index()
	{
		$data = array();
        $limit_per_page = 10;
        $start_index = ($this->uri->segment(4)) ? $this->uri->segment(4) : 0;
        $total_records =$this->Producto_model->get_all_data();
        $data["ENCABEZADO"] ='Listado de Productos';
        $data["id_usuario"] = $this->session->userdata('id_usuario');
        $data["usuario"] = $this->session->userdata('usuario');
        $data["nombre"] = $this->session->userdata('nombre');
        $data["rol"] = $this->session->userdata('rol');
        $data["total_records"] =$total_records;
        $data["proveedor_lista"] =$this->Proveedor_model->lista_proveedor();

            $data["results"] = $this->Producto_model->get_producto($limit_per_page, $start_index );
             
            $config['base_url'] = base_url() . 'index.php/Producto/index';
            $config['total_rows'] = $total_records;
            $config['per_page'] = $limit_per_page;
            $config["uri_segment"] = 4;
            $config['full_tag_open'] = '<ul class="pagination">';
            $config['full_tag_close'] = '</ul>'; 
            $config['first_link'] = 'Primero';
            $config['last_link'] = 'Último';
            $config['first_tag_open'] = '<li>';        
	        $config['first_tag_close'] = '</li>';        
	        $config['prev_link'] = '&laquo';        
	        $config['prev_tag_open'] = '<li class="prev">';        
	        $config['prev_tag_close'] = '</li>';        
	        $config['next_link'] = '&raquo';        
	        $config['next_tag_open'] = '<li>';        
	        $config['next_tag_close'] = '</li>';        
	        $config['last_tag_open'] = '<li>';        
	        $config['last_tag_close'] = '</li>';        
	        $config['cur_tag_open'] = '<li class="active"><a href="#">';        
	        $config['cur_tag_close'] = '</a></li>';        
	        $config['num_tag_open'] = '<li>';        
	        $config['num_tag_close'] = '</li>';
            
            $this->pagination->initialize($config);
             
            // build paging links
            $data["links"] = $this->pagination->create_links();
            $this->parser->parse('Index/head.php', $data, FALSE);	
			$this->parser->parse('Index/menu.php',$data );	
			
	        $this->parser->parse('Producto/producto_vista',$data,false);
	        $this->load->view('Index/pie.php'); 
        
	}

	public function busqueda_avanzada()
	{
		$codigo_buscar= $this->input->post('codigo_buscar'); 
		$descripcion_buscar= $this->input->post('descripcion_buscar');
		$marca_buscar= $this->input->post('marca_buscar');
		$categoria_buscar= $this->input->post('categoria_buscar');
		

		$data = array();
        $limit_per_page = 10;
        $start_index = ($this->uri->segment(4)) ? $this->uri->segment(4) : 0;
        $total_records =$this->Producto_model->get_all_data_busqueda($codigo_buscar,$descripcion_buscar,$marca_buscar,$categoria_buscar);
         $data["ENCABEZADO"] ='Resultados de la Búsqueda';
         $data["total_records"] =$total_records;
        $data["id_usuario"] = $this->session->userdata('id_usuario');
        $data["usuario"] = $this->session->userdata('usuario');
        $data["nombre"] = $this->session->userdata('nombre');
        $data["rol"] = $this->session->userdata('rol');
        if ($total_records > 0) 
        {
           
            
            $data["usuario"] = $this->session->userdata('usuario');
             $data["proveedor_lista"] =$this->Proveedor_model->lista_proveedor();

            $data["results"] = $this->Producto_model->get_producto_busqueda($limit_per_page, $start_index,$codigo_buscar,$descripcion_buscar,$marca_buscar,$categoria_buscar );
             
            $config['base_url'] = base_url() . 'index.php/Producto/busqueda_avanzada';
            $config['total_rows'] = $total_records;
            $config['per_page'] = $limit_per_page;
            $config["uri_segment"] = 4;
            $config['full_tag_open'] = '<ul class="pagination">';
            $config['full_tag_close'] = '</ul>'; 
            $config['first_link'] = 'Primero';
            $config['last_link'] = 'Último';
            $config['first_tag_open'] = '<li>';        
	        $config['first_tag_close'] = '</li>';        
	        $config['prev_link'] = '&laquo';        
	        $config['prev_tag_open'] = '<li class="prev">';        
	        $config['prev_tag_close'] = '</li>';        
	        $config['next_link'] = '&raquo';        
	        $config['next_tag_open'] = '<li>';        
	        $config['next_tag_close'] = '</li>';        
	        $config['last_tag_open'] = '<li>';        
	        $config['last_tag_close'] = '</li>';        
	        $config['cur_tag_open'] = '<li class="active"><a href="#">';        
	        $config['cur_tag_close'] = '</a></li>';        
	        $config['num_tag_open'] = '<li>';        
	        $config['num_tag_close'] = '</li>';
            
            $this->pagination->initialize($config);
             
            // build paging links
            $data["links"] = $this->pagination->create_links();
            $this->parser->parse('Index/head.php', $data, FALSE);	
			$this->parser->parse('Index/menu.php',$data );	
			
	        $this->parser->parse('Producto/producto_vista',$data,false);
	        $this->load->view('Index/pie.php'); 
        }
        else
        {
        	$this->parser->parse('Index/head.php', $data, FALSE);	
			$this->parser->parse('Index/menu.php',$data );	
			
	        $this->parser->parse('Producto/producto_vista_vacio',$data,false);
	        $this->load->view('Index/pie.php'); 

        }
	}


	


	
    ///////////////////////////////////////////////////////////////////////////////////////  
	public function add()
	{
		
		$data = array 
				(
					'titulo'=> 'Producto',	
					'subtitulo'=>'Agregar Producto',
				
					'marca'=> $this->Producto_model->marca(),
					'categoria'=> $this->Producto_model->categoria(),
					'proveedor'=> $this->Producto_model->proveedor(),
					"descripcion" =>"",
					"cantidad" =>"",
					"minimo" =>"",
					"id_marca" =>"1",
					"marca2" =>"Sin Marca",
					"id_categoria" =>"1",
					"categoria2" =>"Sin Categoria",
					"iva" =>"10",
					"nombre_iva" =>"10%",
					"precio_costo" =>"",
					"precio_vip" =>"",
					"precio_mayorista" =>"",
					"precio_normal" =>"",
					"usuario" => $this->session->userdata('usuario'),
					"id_usuario"    => $this->session->userdata('id_usuario'),
					"proveedor_lista" => $this->Proveedor_model->lista_proveedor()
				);
				
		$this->parser->parse('Index/head.php', $data, FALSE);	
		$this->parser->parse('Index/menu.php',$data );
		$this->parser->parse('Producto/producto_add.php', $data);
		$this->load->view('Index/pie.php'); 
	}
	//public function adding ($id_proveedor,$fecha_compra,$num_factura,$tipo_compra,$estado,$nuevo_proveedor,$nuevo_vendedor,$nuevo_direccion,$nuevo_telefono,$nuevo_correo,$nuevo_ruc, $proveedor)
	public function adding ()
	{
		
		$fecha_compra=$this->input->post('fecha_compra'); 
		
		if($this->input->post('num_factura')!="" && $this->input->post('num_factura')!=null )
		{	
			$num_factura=$this->input->post('num_factura'); 

		}
		else
		{
			$num_factura=0; 
		}

		
		$tipo_compra=$this->input->post('tipo_compra'); 
		$estado=$this->input->post('estado');
		


		if($fecha_compra=="" || $fecha_compra==null )
		{	date_default_timezone_set("America/Asuncion");
			$fecha_compra=date("Y-m-d");

		}
		//agregamos los proveedorres si es que hay nuevo

		if ($this->input->post('nuevo_proveedor')!="" && $this->input->post('nuevo_direccion')!="" )
		{
			//redirect('/Producto/producto/EDITAR'."CACA"."*".$nuevo_proveedor);
			$nuevo_proveedor=$this->input->post('nuevo_proveedor');
			$nuevo_vendedor=$this->input->post('nuevo_vendedor');
			$nuevo_direccion=$this->input->post('nuevo_direccion');
			$nuevo_telefono=$this->input->post('nuevo_telefono');
			$nuevo_correo=$this->input->post('nuevo_correo');
			$nuevo_ruc=$this->input->post('nuevo_ruc');

			
			$data = array (
					'id_proveedor'=> '',	
					"proveedor" => $nuevo_proveedor,
					"vendedor" => $nuevo_vendedor,
					"direccion" => $nuevo_direccion,
					"telefono" => $nuevo_telefono,
					"correo" => $nuevo_correo,
					"ruc" => $nuevo_ruc
					 );
			$this->db->insert( 'proveedor',$data );
			$this->db->select_max('id_proveedor');
			$max = $this->db->get('proveedor');
			$fila = $max->row_array(); 
			$id_proveedor= $fila['id_proveedor'];
		
		}
		else
		{
			$id_proveedor=$this->input->post('proveedor'); 
		}
			
		$cart = $this->cart->contents();
		$importe=0;
		foreach ($cart as $item)
			{
				//conseguimos el importe total primero para TABLA COMPRA
				$importe = $importe + $item['subtotal'];
			}
			//GUARDAMOS PRIMERO LO DATOS DE ARRAY DE FACTURA DE COMPRA PARA GUARDAR EN LA BASE DE DATOS
			if( is_null($num_factura)  || empty($num_factura)) 	{$num_factura=0;}
			if( is_null($id_proveedor)  || empty($id_proveedor) || $id_proveedor==0 ) 	{$id_proveedor=1;}
			if( is_null($tipo_compra)  || empty($tipo_compra)) 	{$tipo_compra=1;}
			if( is_null($estado)  || empty($estado)) 	{$estado=1;}
			if( is_null($importe)  || empty($importe))
			 	{
			 		$importe=0;
			 		$data = array 
						(
							'ENCABEZADO'=> 'Editar Producto',
							'id_producto'=> $id_producto,
							'url'=> '<?php echo base_url();?>index.php/Producto/add',
							'mensaje'=> 'Ocurrio un error en el importe total !!!',
							"id_usuario"    => $this->session->userdata('id_usuario'),
							"usuario"    => $this->session->userdata('usuario'),
							"proveedor_lista" => $this->Proveedor_model->lista_proveedor()
												
						);
			        	 $this->parser->parse('Index/head.php', $data);	
						 $this->parser->parse('Index/menu.php',$data ); 
				         $this->parser->parse('Producto/producto_error.php',$data);
				         $this->load->view('Index/pie.php'); 
			 	}

			$data = array (
				"id_compra" => "",
				"num_factura" => intval($num_factura),
				"id_proveedor" => intval($id_proveedor),
				"fecha_compra" => $fecha_compra,
				"tipo_compra" => intval($tipo_compra),
				"estado" => intval($estado),
				"importe" => intval($importe)
				);
			//confimamos el APPEND EN LA TABLA COMPRA.(compra de productos) 
			$this->Producto_model->add_compra($data);
			//obtenemos el id_compra para inserta mas adelante enm los detalles
			$consulta = $this->db->query("SELECT MAX(id_compra) AS id_compra FROM compra");
			$fila = $consulta->row_array();
			$id_compra= $fila['id_compra'];

			

			
		//obtenermos los contenidos de nuevo por seguridad nomas porque usamos arriba	
		$cart = $this->cart->contents();
			foreach ($cart as $item)
			{
				

				$consulta = "select max(cantidad) as stock, id_producto from producto where codigo='".$item['id']."'";
				$query = $this->db->query($consulta);
				$fila  = $query->row_array();
				$stock = $fila['stock'];
				if($stock<0)
				{
					$stock=0;
				}

				if ($query->num_rows() > 0  && $stock!=NULL) 
				{
					//redirect('/Producto/producto/EDITAR');
					$fila  = $query->row_array();
					$stock = $fila['stock'];
					$id_producto = $fila['id_producto'];
					$stock_actual=intval($stock)+intval($item['qty']);

					//aca actualizamos el STOCK DE PRODUCTO Y SI HAY ALGUN CAMBIO MODIFICAMOS los productos
					if( is_null($item['options']['precio_costo'])  || empty($item['options']['precio_costo']) ) 	{$item['options']['precio_costo']=0;}
					if( is_null($item['options']['precio_vip'])  || empty($item['options']['precio_vip']) ) 	{$item['options']['precio_vip']=0;}
					if( is_null($item['options']['precio_mayorista'])  || empty($item['options']['precio_mayorista']) ) 	{$item['options']['precio_mayorista']=0;}
					if( is_null($item['price'])  || empty($item['price']) ) 	{$item['price']=0;}


					$data = array (
								//"id_producto" => $id_producto,
								"codigo" =>  $item['id'],
								"descripcion" => $item['name'],
								"id_marca" => intval($item['options']['id_marca']),
								"id_categoria" =>intval($item['options']['id_categoria']),
								"cantidad" => intval($stock_actual),
								"minimo" =>   intval($item['options']['minimo']),
								"precio_costo" =>  intval($item['options']['precio_costo']),
								"iva" => intval( $item['options']['iva']),
								
								"precio_vip" => intval($item['options']['precio_vip']),
								"precio_mayorista" => intval($item['options']['precio_mayorista']),
								"precio_normal" =>intval($item['price']),
								"id_proveedor" =>intval($id_proveedor),
								"id_usuario" => intval($item['options']['id_usuario']),
								"imagen" =>  $item['options']['imagen']
								 );
					$this->Producto_model->save_edit($item['id'],$data);	


				}
				else
				{
					if( is_null($item['options']['precio_costo'])  || empty($item['options']['precio_costo'])) 	{$item['options']['precio_costo']=0;}
					if( is_null($item['options']['precio_vip'])  || empty($item['options']['precio_vip'])) 	{$item['options']['precio_vip']=0;}
					if( is_null($item['options']['precio_mayorista'])  || empty($item['options']['precio_mayorista'])) 	{$item['options']['precio_mayorista']=0;}
					if( is_null($item['price'])  || empty($item['price'])) 	{$item['price']=0;}


					//aca AGREGAMOS EL NUEVO PRODUCTO EN CASO QUE NO HAYA 
					$data = array (
								'id_producto'=> '',	
								"codigo" =>  $item['id'],
								"descripcion" => $item['name'],
								"id_marca" => intval($item['options']['id_marca']),
								"id_categoria" =>intval($item['options']['id_categoria']),
								"cantidad" => intval($item['qty']),
								"minimo" =>   intval($item['options']['minimo']),
								"precio_costo" =>  intval($item['options']['precio_costo']),
								"iva" => intval( $item['options']['iva']),
								"precio_vip" => intval($item['options']['precio_vip']),
								"precio_mayorista" => intval($item['options']['precio_mayorista']),
								"precio_normal" =>intval($item['price']),
								"id_proveedor" =>intval($id_proveedor),
								"id_usuario" => intval($item['options']['id_usuario']),
								"imagen" =>  $item['options']['imagen']
								 );
					$this->Producto_model->add_producto($data);	

					$consulta = $this->db->query("SELECT MAX(id_producto) AS id_producto FROM producto 
						where codigo='".$item['id']."'");

				//	$consulta = mysql_query("SELECT MAX(id_producto) AS id_producto FROM producto 	where codigo='".$item['id']."'");
					if ($consulta->num_rows() > 0)
					{
						$datos2=$consulta->row_array();
						$id_producto= $datos2['id_producto'];
					}

					

					/*if ($row = mysql_fetch_row($consulta)) {
						$id_producto = $row[0];
					}*/

				}
				//ACA ASIGNAREMOS LOS DATOS PARA LA TABLA DE DETALLE_COMPRA, YA OBTUVIMOS EL ID_COMPRA ARRIBA
				$data = array (
					'id_detalle_compra'=> '',	
					'id_compra'=> $id_compra,
					'cantidad'=> intval($item['qty']),
					'id_producto'=> intval($id_producto),
					'precio'=> intval($item['price']),
					'iva'=> intval( $item['options']['iva']),

				);
				$this->Producto_model->add_detalle_compra($data);
			}
			$this->cart->destroy();

			//SI AL COMRA ES LA CONTADO CARGAMOS CAJA

			if ($tipo_compra==1)
			{
						

				$data3 = array(
				'id_caja' =>'',
				'importe'=>intval($importe),
				'num_factura' => intval($num_factura),
				'id_compra_venta' => $id_compra,
				'debe_haber'=>2,
				'fecha'=>date("Y-m-d"),
				'cierre'=>'0',
				'descripcion'=>'Compra Mercaderia',
			
				);
				$this->db->insert('caja',$data3);


			}
			
			redirect('/Producto/producto/add');
			//redirect('/Producto/producto/add99999');

	}	

	/////////////////////////////////
	public function edit()
	{
		$id_producto=$this->uri->segment(3,0);
		$data = array 
				(
					'titulo'=> 'Producto',	
					"subtitulo"=>"Editar Producto",
					"formulario"=>$this->Producto_model->edit($id_producto),
					'marca'=> $this->Producto_model->marca(),
					'categoria'=> $this->Producto_model->categoria(),
					'proveedor_lista_edit'=> $this->Proveedor_model->lista_proveedor(),
					"id_usuario"    => $this->session->userdata('id_usuario'),
					"proveedor_lista" => $this->Proveedor_model->lista_proveedor(),
					"usuario" => $this->session->userdata('usuario')
				);
		$this->parser->parse('Index/head.php', $data, FALSE);	
		$this->parser->parse('Index/menu.php',$data );
		$this->parser->parse('Producto/producto_edit.php', $data);
		$this->load->view('Index/pie.php'); 
		
	}
	

	

	
	function save_edit()
	{
		
		$id_producto = $this->input->post('id_producto');
		$codigo_anterior = intval($this->input->post('codigo_anterior'));
		$codigo = intval($this->input->post('codigo2'));
		if ($codigo!=$codigo_anterior)
		{
			$query = $this->Producto_model->consulta($codigo);
		}
		else
		{
			$query = false;
		}

		
		/////Verifico si hay el codigo para no guardar dos veces
		

		if($query!= false)
		{
			
			$data = array 
			(
				'ENCABEZADO'=> 'Editar Producto',
				'url'=> '<?php echo base_url();?>index.php/Producto/edit/{id_producto}',
				'mensaje'=> 'No puede actualizar el Código. Ya existe !!!',
				'id_producto'=> $id_producto,
				"id_usuario"    => $this->session->userdata('id_usuario'),
				"usuario"    => $this->session->userdata('usuario'),
				"proveedor_lista" => $this->Proveedor_model->lista_proveedor()
									
			);
        	 $this->parser->parse('Index/head.php', $data);	
			 $this->parser->parse('Index/menu.php',$data ); 
	         $this->parser->parse('Producto/producto_error.php',$data);
	         $this->load->view('Index/pie.php'); 
		}
		else
		{
			
			////////////////////////////////////////////////////
			//proveedor
			if ($this->input->post('nuevo_proveedor')!='')
			{

				$data = array (
						'id_proveedor'=> '',	
						"proveedor" => $this->input->post('nuevo_proveedor'),
						"vendedor" => $this->input->post('nuevo_vendedor'),
						"direccion" => $this->input->post('nuevo_direccion'),
						"telefono" => $this->input->post('nuevo_telefono'),
						"correo" => $this->input->post('nuevo_correo'),
						 );
				$this->db->insert( 'proveedor',$data );
				$this->db->select_max('id_proveedor');
				$max = $this->db->get('proveedor');
				$fila = $max->row_array(); 
				$id_proveedor= $fila['id_proveedor'];

				$this->db->where('id_proveedor', $id_proveedor);
				$consulta=$this->db->get('proveedor');
				$fila = $consulta->row_array(); 
				$proveedor_nombre= $fila['proveedor'];
			}
			else
			{
				if ($this->input->post('proveedor')!='')
				{
					$id_proveedor=$this->input->post('proveedor');
					$this->db->where('id_proveedor', $id_proveedor);
					$consulta=$this->db->get('proveedor');
					$fila = $consulta->row_array(); 
					$proveedor_nombre= $fila['proveedor'];
				}
				else
				{
					$id_proveedor=1;
					$proveedor_nombre="Sin proveedor";
				}
				
			}

			////////////////////////////////////////////////////
			//marca
			if ($this->input->post('nuevo_marca')!='')
			{
				$query=$this->db->query('select * from marca where marca="'.$this->input->post('nuevo_marca').'"'); 			
				if ($query->num_rows() > 0)
				{
					$fila = $query->row_array();
					$id_marca= $fila['id_marca'];
					$marca_nombre= $fila['marca'];
				}
				else
				{
					$data = array ('marca'=> $this->input->post('nuevo_marca') );
					$this->db->insert('marca',$data);
					$this->db->select_max('id_marca');
					$max = $this->db->get('marca');
					$fila = $max->row_array(); 
					$id_marca= $fila['id_marca'];
					

					$this->db->where('id_marca', $id_marca);
					$consulta=$this->db->get('marca');
					$fila = $consulta->row_array(); 
					$marca_nombre= $fila['marca'];

				}	
			}
			else
			{
				if ($this->input->post('marca')!='')
				{
					$id_marca=$this->input->post('marca');
					$this->db->where('id_marca', $id_marca);
					$consulta=$this->db->get('marca');
					$fila = $consulta->row_array(); 
					$marca_nombre= $fila['marca'];
				}
				else
				{
					$id_marca=1;
					$marca_nombre="Sin Marca";
				}
				
			}

			////////////////////////////////////////////////////
			/// categoria
			if ($this->input->post('nuevo_categoria')!='')
			{
				$query=$this->db->query('select id_categoria from categoria where categoria="'.$this->input->post('nuevo_categoria').'"'); 			
				if ($query->num_rows() > 0)
				{
					$fila = $query->row_array();
					$id_categoria= $fila['id_categoria'];
					$categoria_nombre= $fila['categoria'];
				}
				else
				{
					$data = array 
							(
								'categoria'=> $this->input->post('nuevo_categoria') 
							);
					$this->db->insert( 'categoria', $data );
					$this->db->select_max('id_categoria');
					$max = $this->db->get('categoria');
					$fila = $max->row_array(); 
					$id_categoria= $fila['id_categoria'];
					

					$this->db->where('id_categoria', $id_categoria);
					$consulta=$this->db->get('categoria');
					$fila = $consulta->row_array(); 
					$categoria_nombre= $fila['categoria'];
				}
			}
			else
			{
				if ($this->input->post('categoria')!='')
				{
					$id_categoria=$this->input->post('categoria');
					$this->db->where('id_categoria', $id_categoria);
					$consulta=$this->db->get('categoria');
					$fila = $consulta->row_array(); 
					$categoria_nombre= $fila['categoria'];

				}
				else
				{
					$id_categoria=1;
					$categoria_nombre="Sin Categoria";
				}
				
			}
			////////////////////////////////////////////////////

	    	$data = array (
						
						"codigo" =>  $this->input->post('codigo2'),
						"descripcion" =>  $this->input->post('descripcion'),
						"id_marca" => $id_marca,
						"id_categoria" => $id_categoria,
						"cantidad" => $this->input->post('cantidad'),
						"minimo" => $this->input->post('minimo'),
						"iva" => $this->input->post('iva'),
						"precio_costo" => $this->input->post('precio_costo'),
						"iva" => $this->input->post('iva'),
						"precio_vip" => $this->input->post('precio_vip'),
						"precio_mayorista" => $this->input->post('precio_mayorista'),
						"precio_normal" => $this->input->post('precio_normal'),
						"id_proveedor" => $id_proveedor,
						"id_usuario" => $this->session->userdata('id_usuario')
						 );
	    	
	   		$this->Producto_model->save_edit($id_producto,$data);
			redirect('/Producto');
		}
					
	}
				
	function delete()

	{
		$id=$this->uri->segment(4,0);
		$this->Producto_model->delete($id);
		redirect('/Producto');
	}
	///////////////////////////7
	public function add_cart_compra_producto ()
	{
		//proveedor
		if ($this->input->post('nuevo_proveedor')!='')
		{

			$data = array (
					'id_proveedor'=> '',	
					"proveedor" => $this->input->post('nuevo_proveedor'),
					"vendedor" => $this->input->post('nuevo_vendedor'),
					"direccion" => $this->input->post('nuevo_direccion'),
					"telefono" => $this->input->post('nuevo_telefono'),
					"correo" => $this->input->post('nuevo_correo'),
					 );
			$this->db->insert( 'proveedor',$data );
			$this->db->select_max('id_proveedor');
			$max = $this->db->get('proveedor');
			$fila = $max->row_array(); 
			$id_proveedor= $fila['id_proveedor'];

			$this->db->where('id_proveedor', $id_proveedor);
			$consulta=$this->db->get('proveedor');
			$fila = $consulta->row_array(); 
			$proveedor_nombre= $fila['proveedor'];
		}
		else
		{
			if ($this->input->post('proveedor')!='')
			{
				$id_proveedor=$this->input->post('proveedor');
				$this->db->where('id_proveedor', $id_proveedor);
				$consulta=$this->db->get('proveedor');
				$fila = $consulta->row_array(); 
				$proveedor_nombre= $fila['proveedor'];
			}
			else
			{
				$id_proveedor=1;
				$proveedor_nombre="Sin proveedor";
			}
			
		}

		//marca
		if ($this->input->post('nuevo_marca')!='')
		{
			$query=$this->db->query('select * from marca where marca="'.$this->input->post('nuevo_marca').'"'); 			
			if ($query->num_rows() > 0)
			{
				$fila = $query->row_array();
				$id_marca= $fila['id_marca'];
				$marca_nombre= $fila['marca'];
			}
			else
			{
				$data = array ('marca'=> $this->input->post('nuevo_marca') );
				$this->db->insert('marca',$data);
				$this->db->select_max('id_marca');
				$max = $this->db->get('marca');
				$fila = $max->row_array(); 
				$id_marca= $fila['id_marca'];
				

				$this->db->where('id_marca', $id_marca);
				$consulta=$this->db->get('marca');
				$fila = $consulta->row_array(); 
				$marca_nombre= $fila['marca'];

			}	
		}
		else
		{
			if ($this->input->post('marca')!='')
			{
				$id_marca=$this->input->post('marca');
				$this->db->where('id_marca', $id_marca);
				$consulta=$this->db->get('marca');
				$fila = $consulta->row_array(); 
				$marca_nombre= $fila['marca'];
			}
			else
			{
				$id_marca=1;
				$marca_nombre="Sin Marca";
			}
			
		}

		/// categoria
		if ($this->input->post('nuevo_categoria')!='')
		{
			$query=$this->db->query('select id_categoria from categoria where categoria="'.$this->input->post('nuevo_categoria').'"'); 			
			if ($query->num_rows() > 0)
			{
				$fila = $query->row_array();
				$id_categoria= $fila['id_categoria'];
				$categoria_nombre= $fila['categoria'];
			}
			else
			{
				$data = array 
						(
							'categoria'=> $this->input->post('nuevo_categoria') 
						);
				$this->db->insert( 'categoria', $data );
				$this->db->select_max('id_categoria');
				$max = $this->db->get('categoria');
				$fila = $max->row_array(); 
				$id_categoria= $fila['id_categoria'];
				

				$this->db->where('id_categoria', $id_categoria);
				$consulta=$this->db->get('categoria');
				$fila = $consulta->row_array(); 
				$categoria_nombre= $fila['categoria'];
			}
		}
		else
		{
			if ($this->input->post('categoria')!='')
			{
				$id_categoria=$this->input->post('categoria');
				$this->db->where('id_categoria', $id_categoria);
				$consulta=$this->db->get('categoria');
				$fila = $consulta->row_array(); 
				$categoria_nombre= $fila['categoria'];

			}
			else
			{
				$id_categoria=1;
				$categoria_nombre="Sin Categoria";
			}
			
		}
		
		$fecha_compra=$this->input->post('fecha_compra');
		
		$codigo=$this->input->post('codigo1');
		$cantidad=$this->input->post('cantidad');
		$descripcion=$this->input->post('descripcion');

		//$id_marca=$id_marca;
		//$id_categoria=$id_categoria;
		$minimo=$this->input->post('minimo');

		$precio_costo=$this->input->post('precio_costo');
		$precio_vip=$this->input->post('precio_vip');
		$precio_mayorista=$this->input->post('precio_mayorista');
		$precio_normal=$this->input->post('precio_normal');
		$iva=$this->input->post('iva');
		
		$id_usuario= $this->session->userdata('id_usuario');
		$usuario= $this->session->userdata('usuario');
		date_default_timezone_set('America/Asuncion');
    	$timestamp = time()+date("Z");

		if($fecha_compra=!""){	$fecha_compra=gmdate("Y-m-d",$timestamp);}
		

		//redirect(base_url().'index.php/Home/home'.$minimo);	

		//INICIO SUBIR FOTOS DE PRODUCTO
		if(!empty($_FILES[ 'subir_img']['name']))
		{
			
			$file_name = $_FILES['subir_img']['name'];
            $tmp = explode('.', $file_name);
            $extension_img = end($tmp);
            //redirect($extension_img);
            $nombreCompleto =  'subir_img';
			$config['upload_path']          =  'uploads/';
			$config['allowed_types']        = 'gif|jpg|jpeg|png';
			$config['max_size']             = 50000;
			$config['max_width']            = 5000;
			$config['max_height']           = 5000;
			$config['file_name'] = $codigo.'.'.$extension_img;
			$config['overwrite'] = TRUE;
			$this->upload->initialize($config);

			if (!$this->upload->do_upload($nombreCompleto)) 
			        {
			        	$data['uploadError'] = $this->upload->display_errors();
			        	echo $this->upload->display_errors();
			        	//echo $config['upload_path'] ;
			        
			    	}
			    	else
			    	{
			    		$nombre_image=$codigo.'.'.$extension_img;
			    	}
			
		}
		else
		{
			$nombre_image="";
		}
		//FIN SUBIR FOTOS DE PRODUCTO
		

		$data = array (
					"id" =>  $codigo,
					"qty" => $cantidad,
					"price" => $precio_normal,
					"name" => $descripcion,
					"options" =>array(
									'fecha_compra' => $fecha_compra,
									'id_proveedor' => $id_proveedor,
									'proveedor' => $proveedor_nombre,
									'id_marca' => $id_marca,
									'marca' => $marca_nombre,
									'id_categoria' => $id_categoria,
									'categoria' => $categoria_nombre,
									'minimo' => $minimo,
									'precio_costo' => $precio_costo,
									'precio_vip' => $precio_vip,
									'precio_mayorista' => $precio_mayorista,
									'precio_normal' => $precio_normal,

									'iva' => $iva,
									'id_usuario' => $id_usuario,
									'usuario' => $usuario,
									'imagen' => $nombre_image

									) 
					
					 );
		
		$this->cart->insert($data);

	
   		redirect('/Producto/producto/add');
	}
////////////////////////////////FIN FUINCION 

	////////////////////////////////////////////
	function eliminar($rowid) 
	{
		// Check rowid value.
		if ($rowid==="all"){
		// Destroy data which store in session.
		$this->cart->destroy();
		}else{
		// Destroy selected rowid in session.
		$data = array(
		'rowid' => $rowid,
		'qty' => 0
		);
		// Update cart data, after cancel.
		$this->cart->update($data);
		}

		// This will show cancel data in cart.
		redirect('Producto/add');
	}
	function actualizar_carro()
	{

		// Recieve post values,calcute them and update
		$cart_info = $_POST['cart'] ;
		foreach( $cart_info as $id => $cart)
		{
			$rowid = $cart['rowid'];
			$qty = $cart['qty'];
			$data = array(
			'rowid' => $rowid,
			'qty' => $qty
			
			);

			$this->cart->update($data);
		}
		redirect('Producto/add');
	}
	//////////////////////////////////////////
	public function busqueda_codigo()
	{
		$id=$this->uri->segment(4,0);

		//$this->db->query("select * from marca9".$id);

		$consulta = "SELECT  *,
						CASE producto.iva
				        WHEN  '10' THEN '10%'
				        WHEN  '5' THEN '5%'
				        WHEN  '0' THEN 'Exento'
				        END as nombre_iva
					FROM producto 
					inner join marca on marca.id_marca=producto.id_marca
					inner join categoria on categoria.id_categoria=producto.id_categoria
					WHERE producto.codigo =".$id;
		$query = $this->db->query($consulta);										
			
				if ($query->num_rows() > 0) 
				{  

					$row = $query->row(); 
					$data = array 
					(	
					'marca'=> $this->Producto_model->marca(),
					'categoria'=> $this->Producto_model->categoria(),
					'proveedor'=> $this->Producto_model->proveedor(),

					'descripcion'=> $row->descripcion,
					'marca2'=> $row->marca,
					'id_marca'=> $row->id_marca,
					'id_categoria'=> $row->id_categoria,
					'categoria2'=> $row->categoria,
					'cantidad'=> $row->cantidad,
					'minimo'=> $row->minimo,
					'precio_costo'=> $row->precio_costo,
					'iva'=> $row->iva,
					'nombre_iva'=> $row->nombre_iva,
					'precio_vip'=> $row->precio_vip,
					'precio_mayorista'=> $row->precio_mayorista,
					'precio_normal'=> $row->precio_normal,
					
					);
					$this->parser->parse('Producto/busqueda_codigo.php',$data);

					
				} 
				else
				{
					$data = array
					(
					'marca'=> $this->Producto_model->marca(),
					'categoria'=> $this->Producto_model->categoria(),
					'proveedor'=> $this->Producto_model->proveedor(),

					'descripcion'=> "",
					'marca2'=> "Sin Marca",
					'id_marca'=> "1",
					'id_categoria'=> "1",
					'categoria2'=> "Sin Categoria",
					'cantidad'=>"",
					'minimo'=> "",
					'precio_costo'=> "",
					'iva'=> "10",
					'nombre_iva'=> "10%",
					'precio_vip'=> "",
					'precio_mayorista'=> "",
					'precio_normal'=> "",
						
					);
					$this->parser->parse('Producto/busqueda_codigo.php',$data);				 
				}		

	 }
	 ///////////////////////////////////////////

	  ///////////////////////////////////////////
	 public function consulta()
	{
		
			//$q = $this->input->post('cedula');
			$codigo =$this->uri->segment(4,0);
			//$sql="select cedula from paciente where cedula =".$q;

			$query = $this->Producto_model->consulta($codigo);

			if($query!= false)
			{
				
				$data = array 
					(				
					'result' =>  '',
					);
				$this->parser->parse('Producto/consulta.php',$data);
				

			}

	}
	 ///////////////////////////////////////////
	
	///////////////////////////////////////////
	public function errores()
	{
		$control_codigo =$this->uri->segment(4,0); 	
		if($control_codigo!= false)
		{
			$data = array 
			(				
					'control_codigo' =>  $control_codigo,
					);
				$this->parser->parse('Producto/errores.php',$data);
				

			}
	}
	///////////////////////////////////////////


	///////////////////////////////////////////////////////////////////////////////////////
	function fetch_buscar_producto(){  
          
           $fetch_data = $this->Producto_model->make_datatables_buscar_producto();  
           $data = array();  
           foreach($fetch_data as $row)  
           {  
           		$ver_detalle="";
           		$edit="";
           		$delete="";
           		

                $sub_array = array();  
               
                $sub_array[] = $row->codigo;  
                $sub_array[] = $row->descripcion; 
               
                $sub_array[] = $row->cantidad;  
              
                $sub_array[] = $row->precio_normal;

                $ver_detalle= '<a class="btn btn-primary btn-sm" data-toggle="modal" href="#ver'.$row->id_producto.'"  ><i ></i>Ver</a>&nbsp;';

                $edit= '<a class="btn btn-success btn-sm" href="../Producto/producto/edit/'.$row->id_producto.'"><i class="glyphicon glyphicon-edit"></i></a>&nbsp;';

                $delete='<a class="btn btn-danger btn-sm" onclick="return delete_row('.$this->session->userdata('id_usuario').')" href="../Producto/producto/delete/'.$row->id_producto.'"><i class="glyphicon glyphicon-trash"></i></a>&nbsp;'; 

                $sub_array[]=$ver_detalle.$edit.$delete;


                $data[] = $sub_array;  
           }

           $output = array(  
                "draw"                    =>     intval($this->input->post("draw")),  
                "recordsTotal"          =>      $this->Producto_model->get_all_data_buscar_producto(),  
                "recordsFiltered"     =>     $this->Producto_model->get_filtered_data_buscar_producto(),  
                "data"                    =>     $data  
           );  
           echo json_encode($output);  
      }  
    ///////////////////////////////////////////////////////////////////////////////////////  
      ///////////////////////////////////////////////////////////////////////////////////////
	function fetch_producto_stock0()
	{  
         
         //redirect($buscador); 

           $fetch_data = $this->Producto_model->producto_stock0();  
           $data = array();  
           foreach($fetch_data as $row)  
           {  
           		$ver_detalle="";
           		$edit="";
           		$delete="";
           		

                $sub_array = array();  
               
                $sub_array[] = $row->id_producto;  
                $sub_array[] = $row->codigo;  
                $sub_array[] = $row->descripcion; 
                $sub_array[] = $row->cantidad;  
                $sub_array[] = $row->minimo; 
                $sub_array[] = $row->precio_normal;

                $ver_detalle= '<a class="btn btn-primary btn-sm" data-toggle="modal" href="#ver'.$row->id_producto.'"  ><i ></i>Ver</a>&nbsp;';

                $edit= '<a class="btn btn-success btn-sm" href="../Producto/edit/'.$row->id_producto.'"><i class="glyphicon glyphicon-edit"></i></a>&nbsp;';

                $delete='<a class="btn btn-danger btn-sm" onclick="return delete_row('.$this->session->userdata('id_usuario').')" href="../Producto/delete/'.$row->id_producto.'"><i class="glyphicon glyphicon-trash"></i></a>&nbsp;'; 

               // $sub_array[]=$ver_detalle.$edit.$delete;


                $data[] = $sub_array;  
           }

           $output = array(  
                "draw"                    =>     intval($this->input->post("draw")),  
                "recordsTotal"          =>      $this->Producto_model->get_all_data_stock0(),  
                "recordsFiltered"     =>     $this->Producto_model->get_filtered_data_stock0(),  
                "data"                    =>     $data  
           );  
           echo json_encode($output);  
      }  
    /////////////////////////////////////////////////////////////////////////////////////// 





}




