<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
 
class Reporte_caja extends CI_Controller {
 
    public function index()
    {
		date_default_timezone_set("America/Asuncion");
		$hoy = $this->uri->segment(4,0);

		if ($hoy=="hoy") 
		{ 

			$fecha_buscar = date("Y-m-d"); 
		}
		else
		{
			$fecha_buscar = $this->input->get_post('fecha_buscar1',true); 
		}
		

		
       
        $this->load->model('Reporte_model');
        // Se carga la libreria fpdf
        $this->load->library('pdf1');
        $cajas = $this->Reporte_model->llamarcaja($fecha_buscar);
		$cajas2 = $this->Reporte_model->llamarcaja2($fecha_buscar);
		if ($cajas)
		{
	         $this->pdf1 = new Pdf1();
	        // Agregamos una página
	        $this->pdf1->AddPage();
	        // Define el alias para el número de página que se imprimirá en el pie
	        $this->pdf1->AliasNbPages();
	 
	        /* Se define el titulo, márgenes izquierdo, derecho y
	         * el color de relleno predeterminado
	         */
	       
	        $this->pdf1->SetLeftMargin(15);
	        $this->pdf1->SetRightMargin(15);
	        $this->pdf1->SetFillColor(200,200,200);
	 
	        // Se define el formato de fuente: Arial, negritas, tamaño 9
	        $this->pdf1->SetFont('Arial', 'B', 9);
			
	        /*
	         * TITULOS DE COLUMNAS
	         *
	         * $this->pdf->Cell(Ancho, Alto,texto,borde,posición,alineación,relleno);
			 */
	         $this->pdf1->Ln(5);
	         $this->pdf1->Cell(0,5,'REPORTE DE CAJA DEL DIA: '.date("d-m-Y", strtotime($fecha_buscar)),'',0,'L',0);
			 $this->pdf1->Ln(5);
			// $this->pdf1->Cell(0,5,'ESTADO DE CAJA: ','',0,'L',0);
			// $this->pdf1->Ln(5);
			$this->pdf1->SetAligns('L','L','R','J');
			$this->pdf1->SetWidths(array(10,100,30,30,30));
			$this->pdf1->Row(array("Nro","CONCEPTO", "FECHA", "INGRESO","EGRESO" ));
			 
			 $this->pdf1->Ln();
			$x = 1;
			foreach ($cajas as $caja) 
			{
				$entrada=$caja->debe_haber;
				$importe=$caja->importe;
				if($caja->num_factura<0)
				{
						$valor_factura=" Nº Factura: ".$caja->num_factura;
				}		
				else
				{
					$valor_factura="";
				}

				if($entrada=="1")
				{
					$this->pdf1->Row(array(utf8_decode($x++),utf8_decode($caja->descripcion.$valor_factura),utf8_decode($caja->fecha), utf8_decode($caja->importe),utf8_decode("")));

				}
				else
				{
					$this->pdf1->Row(array(utf8_decode($x++),utf8_decode($caja->descripcion.$valor_factura),utf8_decode($caja->fecha),utf8_decode(""),utf8_decode($caja->importe)));

				}
				
			}
			$x = 1;
			$this->pdf1->Ln(10);
			$debe=0;
			$haber=0;
			foreach ($cajas2 as $caja2) 
			{
				IF ($caja2->debe_haber == 1)
				{
					$debe=$caja2->importe;
				
				}
				ELSE
				{
				
				 $haber=$caja2->importe;
				}
			}
			 $this->pdf1->Row(array("","TOTALES: ","",$debe,$haber));
			
			
	         $this->pdf1->Output("reporte_caja".$fecha_buscar.".pdf", 'I');
		 }
		 else
		 {
			$this->pdf1 = new Pdf1();
	        // Agregamos una página
	        $this->pdf1->AddPage();
	        // Define el alias para el número de página que se imprimirá en el pie
	        $this->pdf1->AliasNbPages();
			$this->pdf1->Cell(0,5,'No existe  ','B',0,'L',0);
			$this->pdf1->Output("reporte_caja".$fecha_buscar.".pdf", 'I');
		
		 }
    }
	

	public function caja_por_mes()
    {
		date_default_timezone_set("America/Asuncion");
		

		$anho_caja= $this->input->get_post('anho_caja',true); 
		$mes_caja= $this->input->get_post('mes_caja',true); 
		if($anho_caja<=date("Y") && $anho_caja>2019 )
		{
			$anho_caja=$anho_caja;
		}
		else
		{
			$anho_caja=date("Y");
		}		
       
        $this->load->model('Reporte_model');
        // Se carga la libreria fpdf
        $this->load->library('pdf1');
        $cajas = $this->Reporte_model->caja_por_mes($anho_caja,$mes_caja );
		$cajas2 = $this->Reporte_model->caja_por_mes2($anho_caja,$mes_caja );
		if ($cajas)
		{
	         $this->pdf1 = new Pdf1();
	        // Agregamos una página
	        $this->pdf1->AddPage();
	        // Define el alias para el número de página que se imprimirá en el pie
	        $this->pdf1->AliasNbPages();
	 
	        /* Se define el titulo, márgenes izquierdo, derecho y
	         * el color de relleno predeterminado
	         */
	       
	        $this->pdf1->SetLeftMargin(15);
	        $this->pdf1->SetRightMargin(15);
	        $this->pdf1->SetFillColor(200,200,200);
	 
	        // Se define el formato de fuente: Arial, negritas, tamaño 9
	        $this->pdf1->SetFont('Arial', 'B', 9);
			
	        /*
	         * TITULOS DE COLUMNAS
	         *
	         * $this->pdf->Cell(Ancho, Alto,texto,borde,posición,alineación,relleno);
			 */
	         $this->pdf1->Ln(5);
	         $this->pdf1->Cell(0,5,'REPORTE DE CAJA: '.$mes_caja.'/'.$anho_caja,0,'L',0);
			 $this->pdf1->Ln(5);
			// $this->pdf1->Cell(0,5,'ESTADO DE CAJA: ','',0,'L',0);
			// $this->pdf1->Ln(5);
			 $this->pdf1->SetAligns('L','L','R','J');
			$this->pdf1->SetWidths(array(10,100,30,30,30));
			$this->pdf1->Row(array("Nro","CONCEPTO", "FECHA", "INGRESO","EGRESO" ));
			 
			 $this->pdf1->Ln();
			$x = 1;
			foreach ($cajas as $caja) 
			{
				$entrada=$caja->debe_haber;
				$importe=$caja->importe;
				if($caja->num_factura<0)
				{
						$valor_factura=" Nº Factura: ".$caja->num_factura;
				}		
				else
				{
					$valor_factura="";
				}

				if($entrada=="1")
				{
					$this->pdf1->Row(array(utf8_decode($x++),utf8_decode($caja->descripcion.$valor_factura),utf8_decode($caja->fecha),utf8_decode($caja->importe),utf8_decode("")));

				}
				else
				{
					$this->pdf1->Row(array(utf8_decode($x++),utf8_decode($caja->descripcion.$valor_factura),utf8_decode($caja->fecha),utf8_decode(""),utf8_decode($caja->importe)));

				}
				
			}
			$x = 1;
			$this->pdf1->Ln(10);
			$debe=0;
			$haber=0;
			foreach ($cajas2 as $caja2) 
			{
				IF ($caja2->debe_haber == 1)
				{
					$debe=$caja2->importe;
				
				}
				ELSE
				{
				
				 $haber=$caja2->importe;
				}
			}
			 $this->pdf1->Row(array("","TOTALES: ","",$debe,$haber));
			
			
	         $this->pdf1->Output("reporte_caja".$mes_caja.$anho_caja.".pdf", 'I');
		 }
		 else
		 {
			$this->pdf1 = new Pdf1();
	        // Agregamos una página
	        $this->pdf1->AddPage();
	        // Define el alias para el número de página que se imprimirá en el pie
	        $this->pdf1->AliasNbPages();
			$this->pdf1->Cell(0,5,'No existe  ','B',0,'L',0);
			$this->pdf1->Output("reporte_caja".$mes_caja.$anho_caja.".pdf", 'I');
		
		 }
    }

    public function caja_rango_fecha()
    {
		date_default_timezone_set("America/Asuncion");
		

		$fecha_desde= $this->input->get_post('fecha_desde',true); 
		$fecha_hasta= $this->input->get_post('fecha_hasta',true); 

		if($fecha_desde < $fecha_hasta)
		{
			$this->load->model('Reporte_model');
	        
	        $this->load->library('pdf1');
	        $cajas = $this->Reporte_model->caja_rango_fecha($fecha_desde,$fecha_hasta );
			$cajas2 = $this->Reporte_model->caja_rango_fecha2($fecha_desde,$fecha_hasta );
			if ($cajas)
			{
		        $this->pdf1 = new Pdf1();
		        // Agregamos una página
		        $this->pdf1->AddPage();
		        // Define el alias para el número de página que se imprimirá en el pie
		        $this->pdf1->AliasNbPages();
		 
		        /* Se define el titulo, márgenes izquierdo, derecho y
		         * el color de relleno predeterminado
		         */
		       
		        $this->pdf1->SetLeftMargin(15);
		        $this->pdf1->SetRightMargin(15);
		        $this->pdf1->SetFillColor(200,200,200);
		 
		        // Se define el formato de fuente: Arial, negritas, tamaño 9
		        $this->pdf1->SetFont('Arial', 'B', 9);
				
		        /*
		         * TITULOS DE COLUMNAS
		         *
		         * $this->pdf->Cell(Ancho, Alto,texto,borde,posición,alineación,relleno);
				 */
		         $this->pdf1->Ln(5);
		         $this->pdf1->Cell(0,5,'REPORTE DE CAJA: '.$fecha_desde.' a '.$fecha_hasta,0,'L',0);
				 $this->pdf1->Ln(5);
				// $this->pdf1->Cell(0,5,'ESTADO DE CAJA: ','',0,'L',0);
				// $this->pdf1->Ln(5);
				 $this->pdf1->SetAligns('L','L','C','J','J');
				$this->pdf1->SetWidths(array(10,100,30,30,30));
				 $this->pdf1->Row(array("Nro","CONCEPTO", "FECHA", "INGRESO","EGRESO" ));
				 
				 $this->pdf1->Ln();
				$x = 1;
				foreach ($cajas as $caja) 
				{
					$entrada=$caja->debe_haber;
					$importe=$caja->importe;
					if($caja->num_factura<0)
					{
							$valor_factura=" Nº Factura: ".$caja->num_factura;
					}		
					else
					{
						$valor_factura="";
					}

					if($entrada=="1")
					{
						$this->pdf1->Row(array(utf8_decode($x++),utf8_decode($caja->descripcion.$valor_factura),utf8_decode($caja->fecha),utf8_decode($caja->importe),utf8_decode("")));

					}
					else
					{
						$this->pdf1->Row(array(utf8_decode($x++),utf8_decode($caja->descripcion.$valor_factura),utf8_decode($caja->fecha), utf8_decode(""),utf8_decode($caja->importe)));

					}
					
				}
				$x = 1;
				$this->pdf1->Ln(10);
				$debe=0;
				$haber=0;
				foreach ($cajas2 as $caja2) 
				{
					IF ($caja2->debe_haber == 1)
					{
						$debe=$caja2->importe;
					
					}
					ELSE
					{
					
					 $haber=$caja2->importe;
					}
				}
				 $this->pdf1->Row(array("","TOTALES: ","",$debe,$haber));
				
				
		         $this->pdf1->Output("reporte_caja".$fecha_desde.$fecha_hasta.".pdf", 'I');
			 }
			 else
			 {
				$this->pdf1 = new Pdf1();
		        // Agregamos una página
		        $this->pdf1->AddPage();
		        // Define el alias para el número de página que se imprimirá en el pie
		        $this->pdf1->AliasNbPages();
				$this->pdf1->Cell(0,5,'No existe  ','B',0,'L',0);
				$this->pdf1->Output("reporte_caja.pdf", 'I');
			
			 }
		}
		else
			 {
				$this->pdf1 = new Pdf1();
		        // Agregamos una página
		        $this->pdf1->AddPage();
		        // Define el alias para el número de página que se imprimirá en el pie
		        $this->pdf1->AliasNbPages();
				$this->pdf1->Cell(0,5,'No existe  ','B',0,'L',0);
				$this->pdf1->Output("reporte_caja".$fecha_inicio.$fecha_hasta.".pdf", 'I');
			
			 }

			
       
        
    }





	
}
