<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
 
class Reporte1 extends CI_Controller {
 
    public function index()
    {
	
		$fecha_buscar = $this->input->get_post('fecha_buscar1',true); 
       
        $this->load->model('reporte_modelo1');
        // Se carga la libreria fpdf
        $this->load->library('pdf1');
        $cajas = $this->reporte_modelo1->llamarcaja($fecha_buscar);
		$cajas2 = $this->reporte_modelo1->llamarcaja2($fecha_buscar);
		if ($cajas)
		{
         $this->pdf1 = new Pdf1();
        // Agregamos una página
        $this->pdf1->AddPage();
        // Define el alias para el número de página que se imprimirá en el pie
        $this->pdf1->AliasNbPages();
 
        /* Se define el titulo, márgenes izquierdo, derecho y
         * el color de relleno predeterminado
         */
       
        $this->pdf1->SetLeftMargin(15);
        $this->pdf1->SetRightMargin(15);
        $this->pdf1->SetFillColor(200,200,200);
 
        // Se define el formato de fuente: Arial, negritas, tamaño 9
        $this->pdf1->SetFont('Arial', 'B', 9);
		
        /*
         * TITULOS DE COLUMNAS
         *
         * $this->pdf->Cell(Ancho, Alto,texto,borde,posición,alineación,relleno);
		 */
         $this->pdf1->Cell(0,5,'REPORTE DE CAJA DEL DIA: '.date("d-m-Y", strtotime($fecha_buscar)),'',0,'L',0);
		 $this->pdf1->Ln(5);
		// $this->pdf1->Cell(0,5,'ESTADO DE CAJA: ','',0,'L',0);
		// $this->pdf1->Ln(5);
		 $this->pdf1->Cell(10,5,'Nro','B',0,'C',0);
		 $this->pdf1->Cell(60,5,'CONCEPTO','B',0,'C',0);
		 $this->pdf1->Cell(35,5,'IMPORTE','B',0,'C',0);
		 $this->pdf1->Cell(35,5,'ENTRADA/SALIDA','B',0,'C',0);
		 $this->pdf1->Ln(5);
		$x = 1;
		foreach ($cajas as $caja) 
		{
		$entrada=$caja->debe_haber;
		$importe=$caja->importe;
		
		
			$this->pdf1->Cell(10,5,$x++,'',0,'C',0);
			$this->pdf1->Cell(60,5,$caja->descripcion." Pedido: ".$caja->num_factura,'',0,'L',0);
			$this->pdf1->Cell(35,5,$caja->importe,'',0,'R',0);
			$this->pdf1->Cell(35,5,$caja->entrada,'',0,'R',0);
			$this->pdf1->Ln(5);
		}
		$x = 1;
		$this->pdf1->Ln(10);
		foreach ($cajas2 as $caja2) 
		{
			IF ($x == 1)
			{
			 $this->pdf1->Cell(0,5,'TOTAL INGRESO:  '.$caja2->importe,'B',0,'R',0);
			 $this->pdf1->Ln(5);
			 $x++;
			 $debe=$caja2->importe;
			}
			ELSE
			{
			$this->pdf1->Cell(0,5,'TOTAL EGRESO:  '.$caja2->importe,'B',0,'R',0);
			$this->pdf1->Ln(5);
			 $haber=$caja2->importe;
			}
		}
		//$this->pdf1->Cell(0,5,'Saldo Actual:  '.($debe-$haber),'B',0,'R',0);
		
         $this->pdf1->Output("reporte_caja".$fecha_buscar.".pdf", 'I');
		 }
		 else
		 {
			 $this->pdf1 = new Pdf1();
        // Agregamos una página
        $this->pdf1->AddPage();
        // Define el alias para el número de página que se imprimirá en el pie
        $this->pdf1->AliasNbPages();
		$this->pdf1->Cell(0,5,'No existe  ','B',0,'L',0);
		$this->pdf1->Output("reporte_caja".$fecha_buscar.".pdf", 'I');
		
		 }
    }
	
	
}
