<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
 
class Reporte_resultado extends CI_Controller {
 
    public function index($num_referencia)
    {
	
	$this->load->model('Reporte_Model');
	$this->load->library('pdf');
	
	$resultado = $this->Reporte_Model->resultado($num_referencia);
	$examenes=$this->Reporte_Model->obtener_examen($num_referencia);
	$grupos=$this->Reporte_Model->obtener_grupo($num_referencia);

	foreach ($resultado as $result) 
	   {
	   		$paciente=$result->paciente;
	   		$profesional=$result->profesional;
	   		$fecha=$result->fecha;
	   		$tipo_profesional=$result->tipo;
	   		$fecha_nac=$result->fecha_nac;
	   		$hora=$result->hora;
	   		 date_default_timezone_set('America/Asuncion');
    			$timestamp = time()+date("Z");

	   		//$edad = tiempo_transcurrido($result->fecha_nac, gmdate ("Y-m-d",$timestamp));

	   		//$edad= calculaedad ($result->fecha_nac);
	   		$edad=CalculaEdad( $result->fecha_nac );
	   		

	   		
	   }

		$this->pdf = new Pdf();
		$this->pdf->AddPage();
		$this->pdf->AliasNbPages();
	    $this->pdf->SetLeftMargin(15);
	    $this->pdf->SetAutoPageBreak(true, 15);

        $this->pdf->SetRightMargin(15);

        $this->pdf->SetFillColor(200,200,200);
        $this->pdf->SetFont('Times', 'B', 11);       
        $this->pdf->Cell(0,7,'Referencia  Nro: '.$num_referencia,0,0,'C','1');
		$this->pdf->Ln();
		$this->pdf->SetWidths(array(110,80));
		$this->pdf->Row(array('Nombre: '.utf8_decode($paciente),'Edad actual: '.utf8_decode($edad) ));
		$this->pdf->SetWidths(array(110,80));
		$this->pdf->Row(array('Profesional: '.utf8_decode($tipo_profesional).utf8_decode($profesional),'Fecha: '.$fecha."   ".$hora ));
		$this->pdf->Ln();
		

		$this->pdf->SetWidths(array(60,50));
		$this->pdf->SetAligns('L','C');
		 $this->pdf->Row(array(utf8_decode("DETERMINACIÓN"),"RESULTADOS"));

		$this->pdf->Cell(0,0,'',1,'C',false); //linea
		$this->pdf->Ln();
		
					
		$id_anterior=0;
		$id_anterior2=0;
        $senal=1;
        $senal2=1;

      

        foreach ($examenes as $examen) 
		{

			$id_grupo_examen=$examen->id_grupo_examen;
			$id_subgrupo_examen=$examen->id_subgrupo_examen;
			////////////////////////////////////7
			if($id_anterior2==$id_subgrupo_examen)
			{
				$senal2=1;
			}
			else
			{
				$senal2=0;
			}
			////////////////////////////777
			if($id_anterior==$id_grupo_examen)
			{
				$senal=1;
			}
			else
			{
				$senal=0;
			}
			/////////////////////////////////////
			if ($senal==0)
			{
				if ($senal2==0)
				{
					//$this->pdf->Ln();
					$this->pdf->SetFont('Times', 'B', 11); 
					$this->pdf->Cell(0,0,'',1,'C',false); //linea
					$this->pdf->Ln(5);
					$this->pdf->Cell(70,5,utf8_decode($examen->grupo),0,0,'L','0');
					$this->pdf->Ln();
					$this->pdf->SetFont('Times', 'B', 10);
					if ($examen->subgrupo!="") 
					{
						$this->pdf->Cell(70,5,utf8_decode($examen->subgrupo),0,0,'L','0');
						$this->pdf->Ln();	
					}
					$senal=1;
					$id_anterior=$id_grupo_examen;
					
					$senal2=1;
					$id_anterior2=$id_subgrupo_examen;
				}
				else
				{
					//$this->pdf->Ln();
					$this->pdf->SetFont('Times', 'B', 11); 
					$this->pdf->Cell(0,0,'',1,'C',false); //linea
					$this->pdf->Ln(5);
					$this->pdf->Cell(70,5,utf8_decode($examen->grupo),0,0,'L','0');
					//$this->pdf->Cell(70,5,"PRUEBA2",0,0,'L','0');
					$this->pdf->Ln();
					$senal=1;
					$id_anterior=$id_grupo_examen;

				}
			}
			else
			{
				if ($senal2==0)
				{
					//$this->pdf->Ln();
					$this->pdf->SetFont('Times', 'B', 10);
					$this->pdf->Cell(70,5,utf8_decode($examen->subgrupo),0,0,'L','0');
					//$this->pdf->Cell(70,5,"PRUEBA3",0,0,'L','0');
					$this->pdf->Ln();
					$senal2=1;
					$id_anterior2=$id_subgrupo_examen;
				}
			}
			
			
			$this->pdf->SetFont('Times', 'I', 10); 
			$string="";
			if (strlen($examen->resultado)<60 ) 
			{
				if(is_numeric($examen->resultado)) 
				{
					$string=(string)$examen->resultado;
					
					if (strlen($string)==1)
					{
						//echo "holaacarola";
						$string[1]=" ";
					}


					//echo $string[0]."  ----- ".$string[1]."----- ".$string[1];

					if ($string[0]=="0" && $string[1]!="," && $string[1]!="." && $string[1]=="0" ) 
					{
					//	$this->pdf->SetWidths(array(60));$this->pdf->Row(array("cero cero"));  //buscar error
						//$resultado= number_format($examen->resultado, 0, ',', ' ');
						$this->pdf->SetAligns('L','L','L','L');
						$this->pdf->SetWidths(array(60,60,15,50));
						$this->pdf->Row(array(utf8_decode($examen->examen),utf8_decode($examen->resultado)." ".utf8_decode($examen->resultado2)." ".utf8_decode($examen->resultado3),utf8_decode($examen->u_medida),utf8_decode($examen->rango)));
					}
					else
					{
						if ($string[0]=="0" && $string[1]!="," && $string[1]!="." && $string[1]!="0" )  
						{
						//	$this->pdf->SetWidths(array(60));$this->pdf->Row(array("cero y numero"));  //buscar error 
							$this->pdf->SetAligns('L','L','L','L');
							$this->pdf->SetWidths(array(60,60,15,50));
							$this->pdf->Row(array(utf8_decode($examen->examen),utf8_decode($examen->resultado)." ".utf8_decode($examen->resultado2)." ".utf8_decode($examen->resultado3),utf8_decode($examen->u_medida),utf8_decode($examen->rango)));
						}
						else
						{
							if ( $string[0]!="0" )
							{
								//$this->pdf->SetWidths(array(60));$this->pdf->Row(array("numero comun sin cero al inicio"));  //buscar error
								//$resultado= number_format($examen->resultado, 0, ',', ' ');
								$this->pdf->SetAligns('L','L','L','L');
								$this->pdf->SetWidths(array(60,60,15,50));
								
								$this->pdf->Row(array(utf8_decode($examen->examen),utf8_decode($examen->resultado)." ".utf8_decode($examen->resultado2)." ".utf8_decode($examen->resultado3),utf8_decode($examen->u_medida),utf8_decode($examen->rango)));
							}
							else
							{
								$this->pdf->SetAligns('L','L','L','L');
								$this->pdf->SetWidths(array(60,60,15,50));
								
								$this->pdf->Row(array(utf8_decode($examen->examen),utf8_decode($examen->resultado)." ".utf8_decode($examen->resultado2)." ".utf8_decode($examen->resultado3),utf8_decode($examen->u_medida),utf8_decode($examen->rango)));
							
							}

						}
						
						

					}
					
					
				}
				else
				{	
					//texto  comun
					//$this->pdf->SetWidths(array(60));$this->pdf->Row(array("texto menor a 60"));  //buscar error
						
					$this->pdf->SetAligns('L','L','L','L');
					$this->pdf->SetWidths(array(60,60,15,50));
					$this->pdf->Row(array(utf8_decode($examen->examen),utf8_decode($examen->resultado)." ".utf8_decode($examen->resultado2)." ".utf8_decode($examen->resultado3),utf8_decode($examen->u_medida),utf8_decode($examen->rango)));
					
				}
												
			}
			else
			{
				$this->pdf->SetAligns('L','J');
				$this->pdf->SetWidths(array(60,120));
				$this->pdf->Row(array(utf8_decode($examen->examen),utf8_decode($examen->resultado)));
			}
			
		}

        $this->pdf->Output("Resultado".utf8_decode($paciente).".".$fecha.".pdf", 'I');
		
    }
	
	
}

/////////////////
function tiempo_transcurrido($fecha_nacimiento, $fecha_control)
{
	//$fecha_control=date_format($fecha_control, 'd-m-y');
	//$fecha_nacimiento=date_format($fecha_nacimiento, 'd-m-y');

   $fecha_actual = $fecha_control;
    date_default_timezone_set('America/Asuncion');
   
   if(!strlen($fecha_actual))
   {
      $fecha_actual = date('d-m-Y');
   }
$partes= explode("-", $fecha_nacimiento); 
 if ($fecha_nacimiento<$fecha_control && checkdate ($partes[1],$partes[2],$partes[0])  )
 {
 	

 	// separamos en partes las fechas 
   $array_nacimiento = explode ( "-", $fecha_nacimiento ); 

   $array_actual = explode ( "-", $fecha_actual ); 


   $anos =  $array_actual[2] - $array_nacimiento[2]; // calculamos años 
   $meses = $array_actual[1] - $array_nacimiento[1]; // calculamos meses 
   $dias =  $array_actual[0] - $array_nacimiento[0]; // calculamos días 

 //  echo "fecha_actual:" .$fecha_actual."    año: ".$array_actual[0]." mese:".$array_actual[1]." dias:".$array_actual[2];
   //echo "\nfecha_nac:" .$fecha_nacimiento."    año: ".$array_nacimiento[0]." mese:".$array_nacimiento[1]." dias:".$array_nacimiento[2];

   //echo "años:".$anos." mes:".$meses." diass:".$dias;
   //ajuste de posible negativo en $días 
   if ($dias < 0) 
   { 
      --$meses; 

      //ahora hay que sumar a $dias los dias que tiene el mes anterior de la fecha actual 
      switch ($array_actual[1]) { 
         case 1: 
            $dias_mes_anterior=31;
            break; 
         case 2:     
            $dias_mes_anterior=31;
            break; 
         case 3:  
            if (bisiesto($array_actual[2])) 
            { 
               $dias_mes_anterior=29;
               break; 
            } 
            else 
            { 
               $dias_mes_anterior=28;
               break; 
            } 
         case 4:
            $dias_mes_anterior=31;
            break; 
         case 5:
            $dias_mes_anterior=30;
            break; 
         case 6:
            $dias_mes_anterior=31;
            break; 
         case 7:
            $dias_mes_anterior=30;
            break; 
         case 8:
            $dias_mes_anterior=31;
            break; 
         case 9:
            $dias_mes_anterior=31;
            break; 
         case 10:
            $dias_mes_anterior=30;
            break; 
         case 11:
            $dias_mes_anterior=31;
            break; 
         case 12:
            $dias_mes_anterior=30;
            break; 
      } 

      $dias=$dias + $dias_mes_anterior;

      if ($dias < 0)
      {
         --$meses;
         if($dias == -1)
         {
            $dias = 30;
         }
         if($dias == -2)
         {
            $dias = 29;
         }
      }
   }

   //ajuste de posible negativo en $meses 
   if ($meses < 0) 
   { 
      --$anos; 
      $meses=$meses + 12; 
   }

   $tiempo[0] = $anos;
   $tiempo[1] = $meses;
   $tiempo[2] = $dias;
   echo " año  ".$tiempo[0]."  meses".$tiempo[1]."   dias". $tiempo[2];
   if ($tiempo[2]==0) //dias
   {
   		if ($tiempo[1]!=0) //años
   		{
   			$edad = "$tiempo[1] meses y $tiempo[0] días";
   		}
   		else
   		{
   			$edad = "$tiempo[0] días";
   		}
   	 
   }
   else
   {
   		if ($tiempo[1]==0)// meses
   		{
   			$edad = "$tiempo[2] años";
   		}
   		else
   		{
   			if ($tiempo[2]<5)
   			{
   				$edad = "$tiempo[2] años con $tiempo[1] meses";
   			}
   			else
   			{
   				$edad = "$tiempo[2] años".$fecha_control;
   				//$edad = "$tiempo[2] años con $tiempo[1] meses";
   			}
   		}
   		
   }
  
   return $edad;
 }
 else
 {
 	
    $edad = "N/A" ;

   return $edad;
 }
   
}

function bisiesto($anio_actual){ 
   $bisiesto=false; 
   //probamos si el mes de febrero del año actual tiene 29 días 
     if (checkdate(2,29,$anio_actual)) 
     { 
      $bisiesto=true; 
   } 
   return $bisiesto; 
}


function calculaedad1($fechanacimiento)
{
	if ($fechanacimiento!="0000-00-00") 
	{
		list($ano,$mes,$dia) = explode("-",$fechanacimiento);
	    $ano_diferencia  = date("Y") - $ano;
	    $mes_diferencia = date("m") - $mes;
	    $dia_diferencia   = date("d") - $dia;
	    if ($dia_diferencia < 0 || $mes_diferencia < 0)
	        $ano_diferencia--;

	    return "años: ".$ano_diferencia." meses:". $mes_diferencia." dias:". $dia_diferencia;
	}
	else
	{
		return "n/a";
	}
    
}
 
function CalculaEdad( $fecha ) {
	if ($fecha!="0000-00-00") 
	{

    list($Y,$m,$d) = explode("-",$fecha);
    return( date("md") < $m.$d ? date("Y")-$Y-1 : date("Y")-$Y );
    }
	else
	{
		return " ";
	}
}
