<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Usuario extends CI_Controller {
	public function __construct()
	{
		parent::__construct();
		// Cargamos las librerias, model, helper;
		$this->load->library('form_validation');
		$this->load->model("Usuario_model");
		

		if(!$this->session->userdata('id_usuario'))
		{
		redirect('/Login');
		} 

	}

	public	function index()
	{
	    
	    $id_usuario_buscar= $this->input->post('id_usuario_buscar'); 
		$nombre_usuario_buscar= $this->input->post('nombre_usuario_buscar');
		$usuario_buscar= $this->input->post('usuario_buscar');
		$rol_buscar= $this->input->post('rol_buscar');
		$rol = $this->session->userdata('rol');
		
		$data = array();

        $limit_per_page = 10;
        $start_index = ($this->uri->segment(3)) ? $this->uri->segment(3) : 0;

        $total_records =$this->Usuario_model->get_all_data($id_usuario_buscar,$nombre_usuario_buscar,$usuario_buscar,$rol_buscar,$rol,$this->session->userdata('id_usuario'));  
        $data["ENCABEZADO"] ='Registros de Usuarios';
        $data["usuario"] = $this->session->userdata('usuario');
        $data["id_usuario"] = $this->session->userdata('id_usuario');
        $data["nombre"] = $this->session->userdata('nombre');
        $data["rol"] = $this->session->userdata('rol');
        $data["lista_rol"] = $this->Usuario_model->lista_rol();
        $data["total_records"]=$total_records;
       

            $data["results"] = $this->Usuario_model->get_usuario(  $limit_per_page, $start_index, $id_usuario_buscar,$nombre_usuario_buscar,$usuario_buscar,$rol_buscar,$rol,$this->session->userdata('id_usuario'));
            $config['base_url'] = base_url() . 'index.php/Usuario/index';

            $config['total_rows'] = $total_records;
            $config['per_page'] = $limit_per_page;
            $config["uri_segment"] = 3;
            $config['full_tag_open'] = '<ul class="pagination">';
            $config['full_tag_close'] = '</ul>'; 
            $config['first_link'] = 'Primero';
            $config['last_link'] = 'Último';
            $config['first_tag_open'] = '<li>';        
	        $config['first_tag_close'] = '</li>';        
	        $config['prev_link'] = '&laquo';        
	        $config['prev_tag_open'] = '<li class="prev">';        
	        $config['prev_tag_close'] = '</li>';        
	        $config['next_link'] = '&raquo';        
	        $config['next_tag_open'] = '<li>';        
	        $config['next_tag_close'] = '</li>';        
	        $config['last_tag_open'] = '<li>';        
	        $config['last_tag_close'] = '</li>';        
	        $config['cur_tag_open'] = '<li class="active"><a href="#">';        
	        $config['cur_tag_close'] = '</a></li>';        
	        $config['num_tag_open'] = '<li>';        
	        $config['num_tag_close'] = '</li>';
            
            $this->pagination->initialize($config);
          
            $data["links"] = $this->pagination->create_links();
            $this->parser->parse('Index/head.php',$data, FALSE);
            if ($this->session->userdata('id_rol')==5)
			 {
					$this->parser->parse('Index/menu_director.php',$data, FALSE);
				}
				
			if ($this->session->userdata('id_rol')==3)
			 {
					$this->parser->parse('Index/menu_alumno.php',$data, FALSE);
				}	
		    if ($this->session->userdata('id_rol')==1)
				{
					$this->parser->parse('Index/menu.php',$data, FALSE);
				}
			$this->parser->parse('Usuario/usuario_datos.php',$data, FALSE);
            $this->load->view('Index/pie.php'); 		
			
	}
		

	public function save_edit()
	{
	    $nuevo_pass =  $this->input->post('nuevo_pass');
		$repetir_pass =  $this->input->post('repetir_pass');
		$id_usuario =  $this->input->post('id_usuario_edit');
		$id_usuario_nuevo_pass =  $this->input->post('id_usuario_nuevo_pass');
		
		$id_rol = $this->db->query('select id_rol from rol where rol="'.$this->input->post('rol_edit').'"' );
		$id_rol=$id_rol->row();
		$id_rol=$id_rol->id_rol;
	    if ($cambiar_pass!="" and $cambiar_pass!="")
	    {
    		
    		$data = array(
    	    	 	'usuario' => $this->input->post('usuario_edit') , 
    	    	 	'pass' => $this->input->post('pass_edit') , 
    	    	 	'nombre' =>$this->input->post('nombre_edit'),
    	    	 	'rol' =>$this->input->post('rol_edit'),
    	    	 	'id_rol' =>$id_rol,
    	    	 	);
    	    $this->Usuario_model->save_edit($data,$id_usuario);
    	        
	    }else
	    { 
	        $data2 = array(
    	    	  
    	    	 	'pass' => $nuevo_pass , 
    	    	 	
    	    	 	);
    	    $this->Usuario_model->save_edit($data2,$id_usuario_nuevo_pass);
	        
	    }
	    
	    
	
	
	    if ($this->session->userdata('id_usuario')!=1)
	    {redirect('/Login/logout');}
	    else { {redirect('/Usuario');}}
	    
	    
	}
	
	public function adding ()
	{
		$datos = $this->db->query('select * from usuario where usuario="'.$this->input->post('usuario_add').'"' );
		$consulta_rol = $this->db->query('select * from rol where id_rol='.$this->input->post('rol') );
		$row=$consulta_rol->row();
	
		if (isset($row))
		{
		    $id_rol=$row->id_rol;
		    }
	
		if ($datos->num_rows() > 0) 
		{
			$data = array 
			(
				'ENCABEZADO'=> 'Usuario',
				"id_usuario"    => $this->session->userdata('id_usuario'),
				"usuario"    => $this->session->userdata('usuario'),
			
				"error_usuario" => "El Usuario ya existe. !!!"
									
			);
        	 $this->parser->parse('Index/head.php', $data);	
			 $this->parser->parse('Index/menu.php',$data ); 
	         $this->parser->parse('Usuario/usuario_error.php',$data);
	         $this->load->view('Index/pie.php');
		} 
		else
		{
			$data = array 
			(
				'usuario'=> $this->input->post('usuario_add'),
				'pass' =>   $this->input->post('pass_add'),
				"nombre" => $this->input->post('nombre_add'),
				"rol" => $this->input->post('rol'),
				"id_rol" => $id_rol,
			
			);
			$this->Usuario_model->add_usuario($data);
			redirect('/Usuario');
		}

		

		
	}

	public function edit()
	{

		$id    = $this->uri->segment(4,0);	
		$query = $this->Usuario_model->edit($id);
		$unidades= $this->Usuario_model->unidades2();
	
		if ($query != false)
		{
			$data = array 
			(
					
					'titulo'=> 'Modificar Usuario',//mi titulo 
					"usuario" => $this->session->userdata('usuario'),
					'formulario'=> $query,
					"unidad2" => $unidades,
					"permiso" => $this->session->userdata('permiso'),
					"nombre" => $this->session->userdata('nombre'),
					"denominacion" => $this->session->userdata('denominacion'),
					
			);
			$this->parser->parse('Index/head.php',$data, FALSE);	// carga todos las url de estilo i js home	
			$this->parser->parse('Index/menu.php',$data, FALSE); // esta seria la barra de navegacion horizontal
			$this->parser->parse('Usuario/usuario_edit.php',$data, FALSE); // este seria todo el contenido central
			$this->load->view('Index/pie.php'); // pie con los js
		}
		else
		{

			return false;			
		}
		
	}


	
	function delete_usuario()
	{
		
		$id_usuario=$this->uri->segment(3,0);
		
		
        if ($id_usuario==1)
        {
        	$data = array 
			(
				'ENCABEZADO'=> 'Usuario',
				"id_usuario"    => $this->session->userdata('id_usuario'),
				"usuario"    => $this->session->userdata('usuario'),
				"proveedor_lista" => $this->Proveedor_Model->lista_proveedor(),
				"error_usuario" => "El Usuario Administrador no puede ser eliminado. !!!"
									
			);
        	 $this->parser->parse('Index/head.php', $data);	
			 $this->parser->parse('Index/menu.php',$data ); 
	         $this->parser->parse('Usuario/usuario_error.php',$data);
	         $this->load->view('Index/pie.php'); 
        }
        else
        {
        	$this->Usuario_model->delete($id_usuario);
        	redirect('/Usuario');
        }

			
	}


}

