<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Direccion_Model extends CI_Model {

	public function __construct()
	{
		parent::__construct();
		
	}
	
    
     function direccion()
     {
     	$this->db->trans_start();
     	$sql='select *
     	 from direccion  ';
          	$query = $this->db->query($sql);
          return $query->result_array();
         $this->db->trans_complete();
     }

     ////////////////////////////////////////////////
     function departamento()
    {
    	$this->db->trans_start();
    	 $departamento = $this->db->get('departamento');
        if($departamento->num_rows()>0)
		{
			return $departamento->result();
		}
		$this->db->trans_complete();
    }

    ////////////////////////////////7
    function distrito($departamento)
    {
    	$this->db->trans_start();
    	$this->db->where('id_departamento',$departamento);
		$distrito = $this->db->get('distrito');
		if($distrito->num_rows()>0)
		{
			return $distrito->result();
		}
		$this->db->trans_complete();
    }
    ///////////////////////////////////////
    function add_departamento($nuevo_departamento_div)
	{
		$this->db->trans_start();
		$data = array(
					"departamento" => $nuevo_departamento_div,
					);
				$this->db->insert('departamento',$data);
		$this->db->trans_complete();
	}
	///////////////////////////////////////
	function add_distrito($nuevo_distrito,$departamento)
	{
		$this->db->trans_start();
		$this->db->select_max('id_distrito');
		$this->db->where('id_departamento',$departamento);
		$max=$this->db->get('distrito');
		$row = $max->row();
		$id_distrito=$row->id_distrito+1;

		$data = array(
					"id_distrito" => $id_distrito,
					"id_departamento" => $departamento,
					"distrito" => $nuevo_distrito,

					);
		$this->db->insert('distrito',$data);
		$this->db->trans_complete();
	}
	///////////////////////////////////////////

    function add_barrio($barrio,$distrito,$departamento)
	{
		$this->db->trans_start();
		$this->db->select_max('id_barrio');
		$this->db->where('id_departamento',$departamento);
		$this->db->where('id_distrito',$distrito);
		$max=$this->db->get('direccion');
		$row = $max->row();
		$id_barrio=$row->id_barrio+1;

		$this->db->select('departamento');
		$this->db->where('id_departamento',$departamento);
		$nombre=$this->db->get('departamento');
		$row = $nombre->row();
		$nombre_departamento=$row->departamento;

		$this->db->select('distrito');
		$this->db->where('id_departamento',$departamento);
		$this->db->where('id_distrito',$distrito);
		$nombre=$this->db->get('distrito');
		$row = $nombre->row();
		$nombre_distrito=$row->distrito;



		$data = array(
					"id_direccion" => intval($departamento.$distrito.$id_barrio),
					"id_departamento" => intval($departamento),
					"departamento" => $nombre_departamento,
					"id_distrito" => intval($distrito),
					"distrito" => $nombre_distrito,
					"id_barrio" => $id_barrio,
					"barrio" => $barrio,

					);
		$this->db->insert('direccion',$data);
		$this->db->trans_complete();

	}
	////////////////////////////////////////
	function delete($id)
    {
    	$this->db->trans_start();
    	$this->db->where('id_direc',$id);
		$this->db->delete('direccion');
		$query = $this->db->get('direccion');
		$this->db->trans_complete();
    }
    function edit($id)
     {

     	$sql='select *
     	 from direccion where id_direc='.$id;
          	$query = $this->db->query($sql);
          return $query->result_array();
     }
     function save_edit($id_direc,$data)
    {
    	$this->db->trans_start();
    	$this->db->where('id_direc',$id_direc);
		$this->db->update('direccion',$data);
		$this->db->trans_complete();
    }

	
    

}
