<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Resultado_Model extends CI_Model {

	public function __construct()
	{
		parent::__construct();
		
	}
	
     
    function resultado()
    {
    	$resultado = $this->db->query(' select *,DATE_FORMAT(fecha,"%d-%m-%Y") as fecha,
        
    	concat (paciente.nombre," ",paciente.apellido,"/CI. ",paciente.cedula) as paciente,

    	concat (profesional.nombre," ",profesional.apellido,"/Mat. ",profesional.matricula) as profesional
       
       from paciente_examen
		inner join paciente on paciente.id_paciente=paciente_examen.id_paciente
		inner join profesional on profesional.id_profesional=paciente_examen.id_profesional 
		order by fecha desc ');
    	
        return $resultado->result_array();
    }

    function ver_resultado($num_referencia)
    {
    	$resultado = $this->db->query('select *    
    	from referencia_grupo
		inner join examen on examen.id_examen=referencia_grupo.id_examen where num_referencia='.$num_referencia.' ORDER BY referencia_grupo.
		id_grupo_examen,referencia_grupo.id_subgrupo_examen,referencia_grupo.id_examen');

        if($resultado->num_rows()>0)
		{
			return $resultado->result();
		}
    }
    


   function subgrupo_examen_resultado($id_grupo_examen)
    {

    	$this->db->where('id_grupo_examen',$id_grupo_examen);
		$subgrupo_examen_resultado = $this->db->get('subgrupo_examen');
		if($subgrupo_examen_resultado->num_rows()>0)
		{
			return $subgrupo_examen_resultado->result();
		}
    }


     function grupo_examen()
    {
    	 $grupo_examen = $this->db->query("select * from grupo_examen order by id_grupo_examen");

        if($grupo_examen->num_rows()>0)
		{
			return $grupo_examen->result();
		}
    }
	function especialidad()
     {
     	$consulta = $this->db->get('especialidad');
		if ($consulta->num_rows()> 0) {
			
			return true;
		}
     }

     ////////////////////////////////////////////////


	 function edit ($id)
	{
		$sql='select referencia_grupo.num_referencia as num_referencia,
		 examen.descripcion as descripcion, 
         referencia_grupo.resultado as resultado,
         referencia_grupo.resultado2 as resultado2,
         referencia_grupo.resultado3 as resultado3,
         referencia_grupo.id_referencia_grupo as id_referencia_grupo  

        from referencia_grupo
		inner join examen on examen.id_examen=referencia_grupo.id_examen

		 where id_referencia_grupo='.$id;
     
     	$query = $this->db->query($sql);
			
			if ($query->num_rows() > 0) {
				return $query->result();
			} else
			{
				return false;
			}
	}
    function edit_paciente_examen ($id)
    {
        $sql='select paciente_examen.fecha as fecha1, paciente_examen.hora as hora1, paciente.cedula as cedula,paciente.id_paciente as id_paciente,
        paciente_examen.num_referencia as num_referencia,
        profesional.id_profesional as id_profesional,
        

        concat (profesional.nombre," ",profesional.apellido," / Mat. ",profesional.matricula) as profesional,
        concat (paciente.nombre," ",paciente.apellido," / CI. ",paciente.cedula) as paciente

         from paciente_examen
        inner join paciente on  paciente.id_paciente=paciente_examen.id_paciente
        inner join profesional on profesional.id_profesional=paciente_examen.id_profesional

         where num_referencia='.$id;
     
        $query = $this->db->query($sql);
            
            if ($query->num_rows() > 0) {
                return $query->result();
            } else
            {
                return false;
            }
    }
    //////////////////////////////////////////////////
     function buscar_datos ($id)
    {
        $sql='select paciente_examen.fecha as fecha1, paciente_examen.hora as hora1, paciente.id_paciente as id_paciente,
        paciente_examen.num_referencia as num_referencia,
        profesional.id_profesional as id_profesional,
        
        concat (profesional.nombre," ",profesional.apellido," / Mat. ",profesional.matricula) as profesional,
        concat (paciente.nombre," ",paciente.apellido," / CI. ",paciente.cedula) as paciente
        


         from paciente_examen
        inner join paciente on  paciente.id_paciente=paciente_examen.id_paciente
        inner join profesional on profesional.id_profesional=paciente_examen.id_profesional

         where num_referencia='.$id;
     
        $query = $this->db->query($sql);
            
            if ($query->num_rows() > 0) {
                return $query->result();
            } else
            {
                return false;
            }
    }

	////////////////////////////////////////////////////
     function save_edit($id_referencia_grupo,$data)
    {
    	$this->db->trans_start();
    	$this->db->where('id_referencia_grupo',$id_referencia_grupo);
		$this->db->update('referencia_grupo',$data);
        $this->db->trans_complete();

    }
     function save_edit_paciente_examen($num_referencia,$data)
    {
        $this->db->trans_start();
        $this->db->where('num_referencia',$num_referencia);
        $this->db->update('paciente_examen',$data);
        $this->db->trans_complete();
    }
    function delete($id)
    {
    	$this->db->trans_start();
    	$this->db->where('num_referencia',$id);
		$this->db->delete('referencia_grupo');
		$this->db->get('referencia_grupo');
		$this->db->where('num_referencia',$id);
		$this->db->delete('paciente_examen');
		$this->db->get('paciente_examen');
        $this->db->trans_complete();

    }
    function delete_examen($id)
    {
    	$this->db->trans_start();
		$this->db->where('id_referencia_grupo',$id);
		$this->db->delete('referencia_grupo');
		$this->db->get('referencia_grupo');
        $this->db->trans_complete();

    }
    function delete_sobrante($id)
    {
        $this->db->trans_start();
        $this->db->where('num_referencia',$id);
        $this->db->delete('paciente_examen');
        $this->db->get('paciente_examen');
        $this->db->trans_complete();
    }


    function examen($id_grupo_examen)
    {

    	$this->db->where('id_grupo_examen',$id_grupo_examen);
		$examen = $this->db->get('examen');
		if($examen->num_rows()>0)
		{
			return $examen->result();
		}
    }
    function examen2($id_subgrupo_examen)
    {

    	$this->db->where('id_subgrupo_examen',$id_subgrupo_examen);
		$examen = $this->db->get('examen');
		if($examen->num_rows()>0)
		{
			return $examen->result();
		}
    }
    function subgrupo_examen11()
    {

    	
		$subgrupo_examen = $this->db->get('subgrupo_examen');
		if($subgrupo_examen->num_rows()>0)
		{
			return $subgrupo_examen->result();
		}
    }
    function grupo_examen11()
    {
		$grupo_examen = $this->db->get('grupo_examen');
		if($grupo_examen->num_rows()>0)
		{
			return $grupo_examen->result();
		}
    }
    function paciente()
    {

		$paciente = $this->db->query(' select cedula,id_paciente,
    	concat (paciente.nombre," ",paciente.apellido,"/CI. ",paciente.cedula) as paciente	
    	from paciente');
    	return $paciente->result();

    }
     function profesional()
    {

		$profesional = $this->db->query(' select *,
    	concat (profesional.nombre," ",profesional.apellido," / Mat. ",profesional.matricula) as profesional	
    	from profesional');
    	return $profesional->result();

    }
    function cargar_input_examen($id_grupo)
    {
    	$this->db->where('id_grupo_examen', $id_grupo); 
		$cargar_input_examen= $this->db->get('examen');
 		
    	
		if($cargar_input_examen->num_rows()>0)
		{
			return $cargar_input_examen->result();
		}
    	
    		
    }
   
     function cargar_input_subgrupo($id_grupo2)
    {
        $this->db->where('id_grupo_examen', $id_grupo2); 
    	$cargar_input_subgrupo= $this->db->get('subgrupo_examen');

    	if($cargar_input_subgrupo->num_rows()>0)
		{
			return $cargar_input_subgrupo->result();
		}
    		
    }

    function subgrupo_examen($id_grupo_examen)
    {
        $this->db->where('id_grupo_examen',$id_grupo_examen);
        $subgrupo_examen = $this->db->get('subgrupo_examen');
        if($subgrupo_examen->num_rows()>0)
        {
            return $subgrupo_examen->result();
        }
    }
    ////////////////////////77
    function examenes($id_grupo_examen,$id_subgrupo_examen)
    {
        $this->db->where('id_grupo_examen',$id_grupo_examen);
        
            // $this->db->where('id_subgrupo_examen',$id_subgrupo_examen);
       

        $examenes = $this->db->get('examen');
        if($examenes->num_rows()>0)
        {
            return $examenes->result();
        }
    }


    function examenes1($id_grupo_examen,$id_subgrupo_examen)
    {
          
             $this->db->where('id_subgrupo_examen',$id_subgrupo_examen);
       

        $examenes = $this->db->get('examen');
        if($examenes->num_rows()>0)
        {
            return $examenes->result();
        }
    }




    ////////////////////////

    function consulta_para_cart($id_grupo_examen,$id_subgrupo_examen, $id_examen)
    {

        $this->db->where('id_grupo_examen',$id_grupo_examen);
        
        if ($id_subgrupo_examen<>'') 
        {
            $this->db->where('id_subgrupo_examen',$id_subgrupo_examen);
        }
        if ($id_examen<>'') 
        {
            $this->db->where('id_examen',$id_examen);
        }



        $query = $this->db->get('examen');
        if($query->num_rows()>0)
        {
            return $query->result();
        }
    }
    /////////////////////////////////
    public function maximo_num_referencia()
    {
        $this->db->select_max('num_referencia');
        $maximo_num_referencia = $this->db->get('paciente_examen');
        if($maximo_num_referencia->num_rows()>0)
        {
            return $maximo_num_referencia->result();
        }
        
    }
    public function adding_paciente_examen($detalle)
    {
        $this->db->insert('paciente_examen',$detalle);
    }

    public function buscar_datos_examen($id_examen)
    {
        $this->db->where('id_examen',$id_examen);
        $query = $this->db->get('examen');
        if($query->num_rows()>0)
        {
            return $query->result();
        }

    }
    public function adding_detalle_resultado($detalle1)
    {
        $this->db->insert('referencia_grupo',$detalle1);
    }

    //////////////////////7

    function determinaciones()
    {
         $determinaciones = $this->db->query(' (select examen.id_examen as id_examen,examen.descripcion as examen,
examen.id_subgrupo_examen as id_subgrupo_examen,subgrupo_examen.descripcion as subgrupo_examen,
examen.id_grupo_examen as id_grupo_examen,grupo_examen.descripcion as grupo_examen
from examen
inner join subgrupo_examen on subgrupo_examen.id_subgrupo_examen=examen.id_subgrupo_examen
inner join grupo_examen on grupo_examen.id_grupo_examen=examen.id_grupo_examen
where examen.id_grupo_examen=1 
)
union  (select examen.id_examen as id_examen,examen.descripcion as examen,
examen.id_subgrupo_examen as id_subgrupo_examen,subgrupo_examen.descripcion as subgrupo_examen,
examen.id_grupo_examen as id_grupo_examen,grupo_examen.descripcion as grupo_examen
from examen
inner join subgrupo_examen on subgrupo_examen.id_subgrupo_examen=examen.id_subgrupo_examen
inner join grupo_examen on grupo_examen.id_grupo_examen=examen.id_grupo_examen
where examen.id_grupo_examen=7 

) union
(select examen.id_examen as id_examen,
examen.descripcion as examen,
examen.id_subgrupo_examen as id_subgrupo_examen,
subgrupo_examen.descripcion as subgrupo_examen,
examen.id_grupo_examen as id_grupo_examen,
grupo_examen.descripcion as grupo_examen
from examen
inner join subgrupo_examen on subgrupo_examen.id_subgrupo_examen=examen.id_subgrupo_examen
inner join grupo_examen on grupo_examen.id_grupo_examen=examen.id_grupo_examen
where examen.id_grupo_examen<>1 and examen.id_grupo_examen<>7
order by id_grupo_examen,id_subgrupo_examen,id_examen
)
order by id_grupo_examen,id_subgrupo_examen,id_examen');
        if($determinaciones->num_rows()>0)
        {
            return $determinaciones->result();
        }
    }




    

}
