<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Unidad_Model extends CI_Model {

	public function __construct()
	{
		parent::__construct();
		
	}
	function unidades()
     {
     	$unidades = $this->db->query('select  id_unidad, departamento.departamento as departamento, 
     		distrito.distrito as distrito, codigo, denominacion,tipo  from unidad_salud
		inner join departamento on departamento.id_departamento=unidad_salud.id_departamento
		inner join distrito on distrito.id_distrito=unidad_salud.id_distrito and distrito.id_departamento=unidad_salud.id_departamento
		order by unidad_salud.id_departamento, unidad_salud.id_distrito,codigo ');
		if ($unidades->num_rows()> 0) {
			
			return $unidades->result();
		}
     }

     ////////////////////////////////////////////////
     function departamento()
    {
    	 $departamento = $this->db->get('departamento');
        if($departamento->num_rows()>0)
		{
			return $departamento->result();
		}
    }
    function distrito($departamento)
    {

    	$this->db->where('id_departamento',$departamento);
		$distrito = $this->db->get('distrito');
		if($distrito->num_rows()>0)
		{
			return $distrito->result();
		}
    }

	
	 function edit ($id)
	{
		$unidad = $this->db->query('select  id_unidad, departamento.departamento as departamento, 
			distrito.distrito as distrito, codigo, denominacion,tipo,
			unidad_salud.id_departamento as id_departamento,
			unidad_salud.id_distrito as id_distrito
  from unidad_salud
		inner join departamento on departamento.id_departamento=unidad_salud.id_departamento
		inner join distrito on distrito.id_distrito=unidad_salud.id_distrito 
		and distrito.id_departamento=unidad_salud.id_departamento
		where id_unidad='.$id);
		if ($unidad->num_rows()> 0) {
			
			return $unidad->result();
		}
	}
     function save_edit($id_unidad,$data)
    {
    	$this->db->trans_start();
    	$this->db->where('id_unidad',$id_unidad);
		$this->db->update('unidad_salud',$data);
		$this->db->trans_complete();
    }
     function delete($id)
    {
    	$this->db->trans_start();
    	$this->db->where('id_unidad',$id);
		$this->db->delete('unidad_salud');
		$query = $this->db->get('unidad_salud');
		$this->db->trans_complete();
    }
    
    

}

