<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');


class Alumno extends CI_Controller {
	public function __construct()
	{
		parent::__construct();
		$this->load->model("Alumno_Model");// cargar nuestro modelo de alumno. para poder utilizar las funciones que son definidas para las consultas de la base de datos


		if(!$this->session->userdata('id_usuario'))  //no spreguntamos si, existen en sesion un usuario
		{
			//redirige a login
			redirect('/Login/login/');
		}


	}
	//que mi index me llame a mi lista de alumnos
	//por TANTO debo buscar en la bd los registroS y mostrar en nuestra vista
	public	function index()
	{
		
		$data = array();

        $limit_per_page = 10;
        $start_index = ($this->uri->segment(4)) ? $this->uri->segment(4) : 0;

        $total_records =$this->Alumno_Model->get_all_data();  //este modelo me trae la cantidad de registros. get_all_data() es una fucnion que nosotros creamos. la funcion indica que me traigan la cantidad(numero de registros) de la base de datos
        $data["ENCABEZADO"] ='Registros de Alumnos';

        if ($total_records > 0) 
        {
            
            
            $data["usuario"] = $this->session->userdata('usuario');
            $data["id_usuario"] = $this->session->userdata('id_usuario');

            //$data["proveedor_lista"] =$this->Proveedor_Model->lista_proveedor();

            $data["results"] = $this->Alumno_Model->get_alumno(  $limit_per_page, $start_index );



            $config['base_url'] = base_url() . 'index.php/Alumno/alumno/index';

            $config['total_rows'] = $total_records;
            $config['per_page'] = $limit_per_page;
            $config["uri_segment"] = 4;
            $config['full_tag_open'] = '<ul class="pagination">';
            $config['full_tag_close'] = '</ul>'; 
            $config['first_link'] = 'Primero';
            $config['last_link'] = 'Último';
            $config['first_tag_open'] = '<li>';        
	        $config['first_tag_close'] = '</li>';        
	        $config['prev_link'] = '&laquo';        
	        $config['prev_tag_open'] = '<li class="prev">';        
	        $config['prev_tag_close'] = '</li>';        
	        $config['next_link'] = '&raquo';        
	        $config['next_tag_open'] = '<li>';        
	        $config['next_tag_close'] = '</li>';        
	        $config['last_tag_open'] = '<li>';        
	        $config['last_tag_close'] = '</li>';        
	        $config['cur_tag_open'] = '<li class="active"><a href="#">';        
	        $config['cur_tag_close'] = '</a></li>';        
	        $config['num_tag_open'] = '<li>';        
	        $config['num_tag_close'] = '</li>';
            
            $this->pagination->initialize($config);  //inicicalia nuetra paginacion

             
            // build paging links
            $data["links"] = $this->pagination->create_links();


           //llamamos de nuestras vistas
			$this->parser->parse('Index/head.php',$data, FALSE);	//encabezado con nuestro css
			$this->parser->parse('Index/menu.php',$data, FALSE); 	//nuestro menu  
			$this->parser->parse('Alumno/alumno_vista.php',$data, FALSE);  //contenedor o cueppo
	 	 	$this->load->view('Index/pie.php');   // llamar pie de pagina
        }
        else
        {
        	$this->parser->parse('Index/head.php', $data, FALSE);	
			$this->parser->parse('Index/menu.php',$data );	
			
	       $this->parser->parse('Alumno/alumno_vista_vacio.php',$data,false);
	        $this->load->view('Index/pie.php'); 

        }
	 	 	
	} 


	public function add()
	{
		
		$data = array 
				(
					'titulo'=> '',	
					'ENCABEZADO'=>'Agregar NUEVO alumno',

					"usuario" => $this->session->userdata('usuario'),
					"id_usuario"    => $this->session->userdata('id_usuario'),
					

				);
				
		$this->parser->parse('Index/head.php', $data, FALSE);	
		$this->parser->parse('Index/menu.php',$data );
		$this->parser->parse('Alumno/alumno_add.php', $data);
		$this->load->view('Index/pie.php'); 
	}

	public function adding()
	{
		
		//primer paso es recibbir u obtener los datos que cargue en mi formulario
		//como obtengo los datos????
		//LA FORMA DE PHP ESTANDAR ES $_POST['base'];  ENTRE COMLLAS COLOCABAMOS EL NOMBRE/ID DEL INPUT.
		// EN CONDEIGNITER  HACEMOS CON PSOT   $this->input->get_post('n_casa',true) O TAMBIEN PODRIA SE
		//$this->input->post('n_casa');
		//CREAMOS UN ARRAY DONDE ALMACENAMOS TOD SLOS INPUT Y SELECTO SI EXISTEN Y GUARDAMOS EN UNA CADENA DE ARRAY

		

		$data = array 
				(
					'id_alumno'=> '',
					 
					"cedula" => $this->input->get_post('cedula',true),
					"nombre" => $this->input->get_post('nombre',true),
					"apellido" => $this->input->get_post('apellido',true),
					"fecha_nac" => $this->input->get_post('fecha_nac',true),
					"direccion" => $this->input->get_post('direccion',true),
					"telefono" => $this->input->get_post('telefono',true),
					"nombre_tutor" => $this->input->get_post('nombre_tutor',true),
					"direccion_tutor" => $this->input->get_post('direccion_tutor',true),
					"telefono_tutor" => $this->input->get_post('telefono_tutor',true),
					"observacion" => $this->input->get_post('observacion',true),
					"fecha_ingreso" => $this->input->get_post('fecha_ingreso',true),

				);	

		//llamar a una funcion del nuestro modelo( eb donde provesaremos a la base de datos)
	 	$this->Alumno_Model->guardar_alumno($data);		
		//redirecciona a otro controlador o sl mismo controlador-
		redirect('/Alumno/alumno');


	}

	public function edit_alumno()
	{

		$id_alumno=intval($this->uri->segment(4));  

	//con uri obtebemnos el valor qu eurl el cual enviamos desde nuestro formulrio editar
		//guardamos en una variable $id_alumno para luego enviar a la base de datos
		//y con el saber cual es el registro que ddebo modificar
		
		//con metodo post obtengo los datos de los input de mi formulario, en este caso
		// de mi formlario editar
		$data = array 
				(
					
					"cedula" => $this->input->get_post('cedula',true),
					"nombre" => $this->input->get_post('nombre',true),
					"apellido" => $this->input->get_post('apellido',true),
					"fecha_nac" => $this->input->get_post('fecha_nac',true),
					"direccion" => $this->input->get_post('direccion',true),
					"telefono" => $this->input->get_post('telefono',true),
					"nombre_tutor" => $this->input->get_post('nombre_tutor',true),
					"direccion_tutor" => $this->input->get_post('direccion_tutor',true),
					"telefono_tutor" => $this->input->get_post('telefono_tutor',true),
					"observacion" => $this->input->get_post('observacion',true),
					"fecha_ingreso" => $this->input->get_post('fecha_ingreso',true)
				);	

		//ENVIAMOS LOS DATOS(QUE STAN EN EL ARRAY $data), con el id:alumno
				//`para que actualiecemos en la base de datos.
	 	$this->Alumno_Model->save_editar_alumno($data, $id_alumno);		
		//rediregccionamos a algun lugar, ejemplo index de alumno
		//el index del alumno tien la lista de alumno
		redirect('/Alumno/alumno');




	} 

	public function eliminar_alumno()
	{ 
		$id_alumno=intval($this->uri->segment(4));  

		$this->Alumno_Model->eliminar_alumno($id_alumno);
		redirect('/Alumno/alumno');

	} 

	

			




} 




