<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Profesional extends CI_Controller {
	public function __construct()
	{
		parent::__construct();
		// Cargamos las librerias, model, helper;
		$this->load->library('form_validation');
		$this->load->model('Profesional_Model');

		if(!$this->session->userdata('id_usuario'))
		{
		redirect('/Login/login/');
		} 

	}

	public	function index()
	{
		
		
		$data = array //arreglo para mandar datos a la vista
			(
					'titulo'=> 'Administrar Profesionales',//mi titulo 
					'formulario' =>  $this->Profesional_Model->getProfesional(),
					"usuario" => $this->session->userdata('usuario'),
					"permiso" => $this->session->userdata('permiso'),
					"id_permiso" => $this->session->userdata('id_permiso'),
					"nombre" => $this->session->userdata('nombre'),
					"denominacion" => $this->session->userdata('denominacion'),

			);
			
			$this->parser->parse('Index/head.php',$data, FALSE);	// carga todos las url de estilo i js home	
			$this->parser->parse('Index/menu.php',$data, FALSE); // esta seria la barra de navegacion horizontal
	 	 	$this->parser->parse('Profesional/profesional_lista.php',$data, FALSE);
			
			$this->load->view('Index/pie.php'); // pie con los js
	}
	public function add()
	{

		$data = array //arreglo para mandar datos a la vista
			(

					'titulo'=> 'Agregar Datos del Profesional',//mi titulo 
					"usuario" => $this->session->userdata('usuario'),
					"especialidad" =>  $this->Profesional_Model->especialidad(),
					"permiso" => $this->session->userdata('permiso'),
					"nombre" => $this->session->userdata('nombre'),
					"denominacion" => $this->session->userdata('denominacion'),

			);
			
			
			$this->parser->parse('Index/head.php',$data, FALSE);	// carga todos las url de estilo i js home
			$this->parser->parse('Index/menu.php',$data, FALSE); // esta seria la barra de navegacion horizontal
			$this->parser->parse('Profesional/profesional_add.php',$data, FALSE); // este seria todo el contenido central
			$this->load->view('Index/pie.php'); // pie con los js
	}
	public function adding (){		
		$matricula = $this->input->post('matricula');
		$nombre = $this->input->post('nombre');
		$apellido = $this->input->post('apellido');
		$especialidad = $this->input->post('especialidad');
		$direccion = $this->input->post('direccion');
		$telefono = $this->input->post('telefono');
		$lugar_trabajo = $this->input->post('lugar_trabajo');
		$fecha_nac = $this->input->post('fecha_nac');
		$tipo_profesional = $this->input->post('tipo_profesional');
		$sexo = $this->input->post('sexo');
		$this->Profesional_Model->add_profesional($matricula,$nombre,$apellido,$especialidad,$direccion,$telefono,$lugar_trabajo,$fecha_nac,$tipo_profesional,$sexo);		
		redirect('/Profesional/profesional/index/');

		
	}
	public function edit()
	{

		$id    = $this->uri->segment(4,0);	// OCTENGO EL ID QUE LE ENVIO A TRAVES DE LA VISTA I LE PASO AL MODELO	 
		$query = $this->Profesional_Model->edit($id);// OCTENGO LA CONSULTA QUE ESTA EN EL MODELO EN  FUNCTION EDIT 
		// validamos si nuestra consulta es distinto a false mostramos la vista de editar con los datos
		if ($query != false){
		$data = array //arreglo para mandar datos a la vista
			(
					
					'titulo'=> 'Modificar Profesional',//mi titulo 
					"usuario" => $this->session->userdata('usuario'),
					'formulario'=> $query,
					"especialidad1" => $this->Profesional_Model->especialidad(),
					"permiso" => $this->session->userdata('permiso'),
					"nombre" => $this->session->userdata('nombre'),
					"denominacion" => $this->session->userdata('denominacion'),
			);
			$this->parser->parse('Index/head.php',$data, FALSE);	// carga todos las url de estilo i js home	
			$this->parser->parse('Index/menu.php',$data, FALSE); // esta seria la barra de navegacion horizontal
			$this->parser->parse('Profesional/profesional_edit.php',$data, FALSE); // este seria todo el contenido central
			
			$this->load->view('Index/pie.php'); // pie con los js
		}else{
			return false;
		}
		
	}
	// guardar lo editado
	public function save_edit(){
		
						$id = $this->input->post('id_profesional');
						$data = array(
							'matricula' => $this->input->post('matricula'),
							'nombre' => $this->input->post('nombre'),
							'apellido' => $this->input->post('apellido'),
							'especialidad' => $this->input->post('especialidad'),
							'direccion' => $this->input->post('direccion'),
							'telefono' => $this->input->post('telefono'),
							'lugar_trabajo' => $this->input->post('lugar_trabajo'),
							'fecha_nac' => $this->input->post('fecha_nac'),
							'tipo_profesional' => $this->input->post('tipo_profesional'),
							'sexo' => $this->input->post('sexo'),
							

						);
						$this->Profesional_Model->save_edit($id,$data);
						redirect('/Profesional/profesional/index/');
			
	}

	// dar de baja o elminar
	public function delete(){
		$id=$this->uri->segment(4,0);
 		$this->Profesional_Model->delete($id);
		redirect('/Profesional/profesional/index/');	
	}
	////////////////////
	

	

}
