<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Profesor extends CI_Controller {

	public function __construct()
	{
		parent::__construct();
				
		$this->load->model("Profesor_Model");
		$this->load->library('form_validation');

		if(!$this->session->userdata('id_usuario'))
		{
		redirect('/Login/login/');
		} 

	}
	
	public function index()
	{
		

		$data = array();

        $limit_per_page = 10;
        $start_index = ($this->uri->segment(4)) ? $this->uri->segment(4) : 0;

        $total_records =$this->Profesor_Model->get_all_data();  //este modelo me trae la cantidad de registros. get_all_data() es una fucnion que nosotros creamos. la funcion indica que me traigan la cantidad(numero de registros) de la base de datos
        $data["ENCABEZADO"] ='Registros de Profesores';

        if ($total_records > 0) 
        {
            
            
            $data["usuario"] = $this->session->userdata('usuario');
            $data["id_usuario"] = $this->session->userdata('id_usuario');

            //$data["proveedor_lista"] =$this->Proveedor_Model->lista_proveedor();

            $data["results"] = $this->Profesor_Model->get_profesor(  $limit_per_page, $start_index );



            $config['base_url'] = base_url() . 'index.php/Profesor/profesor/index';

            $config['total_rows'] = $total_records;
            $config['per_page'] = $limit_per_page;
            $config["uri_segment"] = 4;
            $config['full_tag_open'] = '<ul class="pagination">';
            $config['full_tag_close'] = '</ul>'; 
            $config['first_link'] = 'Primero';
            $config['last_link'] = 'Último';
            $config['first_tag_open'] = '<li>';        
          $config['first_tag_close'] = '</li>';        
          $config['prev_link'] = '&laquo';        
          $config['prev_tag_open'] = '<li class="prev">';        
          $config['prev_tag_close'] = '</li>';        
          $config['next_link'] = '&raquo';        
          $config['next_tag_open'] = '<li>';        
          $config['next_tag_close'] = '</li>';        
          $config['last_tag_open'] = '<li>';        
          $config['last_tag_close'] = '</li>';        
          $config['cur_tag_open'] = '<li class="active"><a href="#">';        
          $config['cur_tag_close'] = '</a></li>';        
          $config['num_tag_open'] = '<li>';        
          $config['num_tag_close'] = '</li>';
            
            $this->pagination->initialize($config);  //inicicalia nuetra paginacion

             
            // build paging links
            $data["links"] = $this->pagination->create_links();


           //llamamos de nuestras vistas
      $this->parser->parse('Index/head.php',$data, FALSE);  //encabezado con nuestro css
      $this->parser->parse('Index/menu.php',$data, FALSE);  //nuestro menu  
      $this->parser->parse('Profesor/profesor_vista.php',$data, FALSE);  //contenedor o cueppo
      $this->load->view('Index/pie.php');   // llamar pie de pagina
        }
        else
        {
          $this->parser->parse('Index/head.php', $data, FALSE); 
      $this->parser->parse('Index/menu.php',$data );  
      
         $this->parser->parse('Profesor/profesor_vista_vacio.php',$data,false);
          $this->load->view('Index/pie.php'); 

        }
       
	}

    
 ///////////////////////////////////////////////////////////////

	
	public function adding ()
	{
	  
	 	 $data = array 
				(
					'id_profesor'=> '',
					"cedula" => $this->input->get_post('cedula',true),
          "registro" => $this->input->get_post('registro',true),
					"nombre" => $this->input->get_post('nombre',true),
					"apellido" => $this->input->get_post('apellido',true),
          "fecha_nac" => $this->input->get_post('fecha_nac',true),
					"direccion" => $this->input->get_post('direccion',true),
					"telefono" => $this->input->get_post('telefono',true),
					"correo" => $this->input->get_post('correo',true),
          "formacion" => $this->input->get_post('formacion',true),
          "especialidad" => $this->input->get_post('especialidad',true),
					"observacion" => $this->input->get_post('observacion',true),
          "id_curriculum" => $this->input->get_post('id_curriculum',true)				
        );	

		
	 	$this->Profesor_Model->add_profesor($data);		
		
		redirect('/Profesor/profesor');
	 }

	public function edit_profesor()
	{
		$id_profesor=$this->uri->segment(4,0);
		
		$data = array 
				(
					"cedula" => $this->input->get_post('cedula',true),
          "registro" => $this->input->get_post('registro',true),
          "nombre" => $this->input->get_post('nombre',true),
          "apellido" => $this->input->get_post('apellido',true),
          "fecha_nac" => $this->input->get_post('fecha_nac',true),
          "direccion" => $this->input->get_post('direccion',true),
          "telefono" => $this->input->get_post('telefono',true),
          "correo" => $this->input->get_post('correo',true),
          "formacion" => $this->input->get_post('formacion',true),
          "especialidad" => $this->input->get_post('especialidad',true),
          "observacion" => $this->input->get_post('observacion',true),
          "id_curriculum" => $this->input->get_post('id_curriculum',true) 
				);			
			$this->Profesor_Model->save_edit($id_profesor,$data);
			redirect('/Profesor/profesor');	
	}


	// dar de baja o elminar
	function eliminar_profesor()
	{
		$control=0;
		$id_profesor=$this->uri->segment(4,0);
		$this->db->from("examen");
		$this->db->where("id_profesor", $id_profesor);
		$query = $this->db->get();

		if ($query->num_rows() > 0) 
		{
                $control=1;
        }
       
        if ($control!=1)
        {
        	$this->Profesor_Model->eliminar_profesor($id_profesor);
        	redirect('/Profesor/profesor');
        }
        else
        {
      
            $data = array 
      			(
      				'ENCABEZADO'=> 'Profesor',
      				
      				"usuario"    => $this->session->userdata('usuario'),
              "id_usuario"    => $this->session->userdata('id_usuario'),
           
      									
      			);
             $this->parser->parse('Index/head.php', $data);	
      			 $this->parser->parse('Index/menu.php',$data ); 
      	     $this->parser->parse('Profesor/profesor_error.php',$data);
      	     $this->load->view('Index/pie.php'); 

        }

			
	}
}
