<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
 
class Reporte_producto_reposicion extends CI_Controller {
 
    public function index()
    {
        // Se carga el modelo cliente
        $this->load->model('Reporte_producto_reposicion_model');
       
        $this->load->library('pdf1');
 
     
        $stocks = $this->Reporte_producto_reposicion_model->produto_reposicion();
         $this->pdf1 = new Pdf1();
        // Agregamos una página
        $this->pdf1->AddPage();
        
        $this->pdf1->AliasNbPages();
 
        $this->pdf1->SetTitle("Stock");
        $this->pdf1->SetLeftMargin(15);
        $this->pdf1->SetRightMargin(15);
        $this->pdf1->SetFillColor(200,200,200);
        $this->pdf1->SetFont('Arial', 'B', 9);
       

        $this->pdf1->SetAligns('L','L','L','R','R');
        $this->pdf1->SetWidths(array(10,40,80,30,30));
        $this->pdf1->Row(array("Nro","CODIGO", "PRODUCTO", "STOCK ACTUAL","STOCK MINIMO" ));
        $this->pdf1->SetFont('Arial', 'B', 7);
        $this->pdf1->Ln();
       
        $x = 1;
      
            foreach ($stocks as $stock) 
            {
                    $this->pdf1->Row(array(utf8_decode($x++),utf8_decode($stock->codigo),utf8_decode($stock->descripcion), utf8_decode($stock->cantidad),utf8_decode($stock->minimo)));

            }
        
        
        $this->pdf1->Output("Stock.pdf", 'I');
    }
	
	
}
