<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Unidad extends CI_Controller {
	public function __construct()
	{
		parent::__construct();
		// Cargamos las librerias, model, helper;
		$this->load->library('form_validation');
		$this->load->model("Unidad_Model");

		if(!$this->session->userdata('id_usuario'))
		{
		redirect('/Login/login/');
		} 

	}

	public	function index()
	{
		
		
		$data = array //arreglo para mandar datos a la vista
			(
					'titulo'=> 'Administrar Unidades de Salud',
					'formulario' =>  $this->Unidad_Model->unidades(),
					"usuario" => $this->session->userdata('usuario'),
					"permiso" => $this->session->userdata('permiso'),
					"nombre" => $this->session->userdata('nombre'),
					"id_permiso" => $this->session->userdata('id_permiso'),
					"denominacion" => $this->session->userdata('denominacion'),

			);
			
			$this->parser->parse('Index/head.php',$data, FALSE);	// carga todos las url de estilo i js home	
			$this->parser->parse('Index/menu.php',$data, FALSE); // esta seria la barra de navegacion horizontal
	 	 	$this->parser->parse('Unidad/unidad_lista.php',$data, FALSE);
			$this->load->view('Index/pie.php'); // pie con los js
	}
	public function add()
	{
		$data = array //arreglo para mandar datos a la vista
			(

					'titulo'=> 'Agregar Datos Unidad',
					"usuario" => $this->session->userdata('usuario'),
					"departamento1" => $this->Unidad_Model->departamento(),
					"permiso" => $this->session->userdata('permiso'),
					"nombre" => $this->session->userdata('nombre'),
					"id_permiso" => $this->session->userdata('id_permiso'),
					"denominacion" => $this->session->userdata('denominacion'),

			);
					
			$this->parser->parse('Index/head.php',$data, FALSE);	// carga todos las url de estilo i js home
			$this->parser->parse('Index/menu.php',$data, FALSE); // esta seria la barra de navegacion horizontal
			$this->parser->parse('Unidad/unidad_add.php',$data, FALSE); // este seria todo el contenido central
			$this->load->view('Index/pie.php'); // pie con los js
	}

	
	public function adding (){		
		$denominacion = $this->input->post('denominacion');
		$id_departamento = $this->input->post('departamento');
		$id_distrito = $this->input->post('distrito');
		$tipo = $this->input->post('tipo');

		$consulta = $this->db->query('select MAX(codigo) as codigo from unidad_salud where
		 id_departamento='.$id_departamento.' and id_distrito='.$id_distrito);
		$fila = $consulta->row_array(); 
		$codigo= $fila['codigo'] + 1;

		$data = array(
			"id_departamento" => $id_departamento,
			"id_distrito" => $id_distrito,
			"codigo" => $codigo,
			"denominacion" => $denominacion,
			"tipo" => $tipo,

		 	);
			$this->db->insert('unidad_salud',$data);

		redirect('/Unidad/unidad/index/');

		
	}
	public function edit(){

		$id    = $this->uri->segment(4,0);	 
		$query = $this->Unidad_Model->edit($id);
		
		if ($query != false){
		$data = array 
			(
					
					'titulo'=> 'Modificar Unidad de Salud',
					"usuario" => $this->session->userdata('usuario'),
					'modificacion'=> $query,
					"departamento1" => $this->Unidad_Model->departamento(),
					"permiso" => $this->session->userdata('permiso'),
					"nombre" => $this->session->userdata('nombre'),
					"id_unidad" => $id,
					"denominacion" => $this->session->userdata('denominacion'),
			);
			$this->parser->parse('Index/head.php',$data, FALSE);		
			$this->parser->parse('Index/menu.php',$data, FALSE); 
			$this->parser->parse('Unidad/unidad_edit.php',$data, FALSE); 
			
			$this->load->view('Index/pie.php'); 
		}else{
			return false;
		}
		

	

	}
	// guardar lo editado
	public function save_edit(){
		
		$id_unidad= $this->uri->segment(4,0);
		$denominacion = $this->input->post('denominacion');
		
		$id_departamento = $this->input->post('departamento1');
		$id_distrito = $this->input->post('distrito');
		$tipo = $this->input->post('tipo');

		$data = array(
			"id_departamento" => $id_departamento,
			"id_distrito" => $id_distrito,
			
			"denominacion" => $denominacion,
			"tipo" => $tipo,

							
		);
		$this->Unidad_Model->save_edit($id_unidad,$data);
		redirect('/Unidad/unidad/index/');
			
	}

	// dar de baja o elminar
	public function delete(){
		$id=$this->uri->segment(4,0);
 		$this->Unidad_Model->delete($id);
		redirect('/Unidad/unidad/index/');	
	}
	////////////////////
	public function llena_departamento()
	{

			$departamento = $this->input->post('departamento');	
			$data = array 
					(				
					'distrito' =>  $this->Unidad_Model->distrito($departamento)
					);
			$this->parser->parse('Unidad/select_distrito.php',$data);
			
			
		
	}
	

	
	

}