<?php
class Reporte_Model extends CI_Model {
 
    function __construct()
    {
        parent::__construct();
    }
 
    /* Devuelve la lista de alumnos que se encuentran en la tabla tblalumno */
    function llamarcaja($fecha_buscar)
    {
        ob_end_clean();
        $this->load->database();
		
		$cajas = $this->db->query('select case debe_haber  when 1 then "Ingreso" when 2 then "Egreso" end as entrada,id_caja,importe,num_factura,debe_haber,cierre,descripcion, fecha
		 from caja where fecha='.'\''.$fecha_buscar.'\'');
		return $cajas->result();
    }
	 function llamarcaja2($fecha_buscar)
    {
        //ob_end_clean();
        $this->load->database();
		
		$cajas2 = $this->db->query('select  debe_haber, sum( importe) as importe,fecha from caja where fecha=\''.$fecha_buscar.' \' group by debe_haber ');
		return $cajas2->result();
    }

    function caja_por_mes($anho_caja,$mes_caja)
    {
        ob_end_clean();
        $this->load->database();
        
        $cajas = $this->db->query('select case debe_haber  when 1 then "Ingreso" when 2 then "Egreso" end as entrada,id_caja,importe,num_factura,debe_haber,cierre,descripcion, fecha
         from caja where  MONTH(fecha)=\''.$mes_caja.'\' and YEAR(fecha)=\''.$anho_caja.'\'' );
        return $cajas->result();
    }

     function caja_por_mes2($anho_caja,$mes_caja)
    {
        //ob_end_clean();
        $this->load->database();
        
        $cajas2 = $this->db->query('select debe_haber, sum( importe) as importe,fecha from caja where MONTH(fecha) = \''.$mes_caja.'\' and YEAR(fecha) = \''.$anho_caja.'\' group by debe_haber ');
        return $cajas2->result();
    }
     function caja_rango_fecha($fecha_desde,$fecha_hasta)
    {
        ob_end_clean();
        $this->load->database();
        
        $cajas = $this->db->query('select case debe_haber  when 1 then "Ingreso" when 2 then "Egreso" end as entrada,id_caja,importe,num_factura,debe_haber,cierre,descripcion,fecha
         from caja where  fecha BETWEEN  \''.$fecha_desde.'\' and \''.$fecha_hasta.'\'' );
        return $cajas->result();
    }

     function caja_rango_fecha2($fecha_desde,$fecha_hasta)
    {
        //ob_end_clean();
        $this->load->database();
        
        $cajas2 = $this->db->query('select debe_haber, sum( importe) as importe,fecha from caja where fecha  BETWEEN \''.$fecha_desde.'\' and  \''.$fecha_hasta.'\' group by debe_haber ');
        return $cajas2->result();
    }

    function imprimir_ticket($num_factura)
    {
        $this->db->select("producto.codigo as codigo, detalle_factura.cantidad as cantidad_producto, producto.descripcion as descripcion_producto, detalle_factura.precio as precio_unitario, (detalle_factura.precio*detalle_factura.cantidad) as subtotal");
        $this->db->from("detalle_factura");
       // $this->db->join('factura', 'factura.num_factura = detalle_factura.num_factura');
       // $this->db->join('cliente', 'cliente.id_cliente = factura.id_cliente');
        $this->db->join('producto', 'producto.id_producto = detalle_factura.id_producto');
        $this->db->where('detalle_factura.num_factura',$num_factura);
        $imprimir_ticket = $this->db->get();
        return $imprimir_ticket->result();
    }
    function total_subtotal($num_factura)
    {

        $total_subtotal = $this->db->query("select sum(total_iva) as total_iva, Sum(detalle_factura.precio*detalle_factura.cantidad) as total_factura FROM detalle_factura,factura where detalle_factura.num_factura=factura.num_factura and detalle_factura.num_factura=".$num_factura);
        return $total_subtotal->result();
    }
    function efectivo_vuelto($num_factura)
    {
        $this->db->select("monto_efectivo, forma_pago, monto_vuelto");
        $this->db->from("factura");
      
        $this->db->where('factura.num_factura',$num_factura);
        $efectivo_vuelto = $this->db->get();
        return $efectivo_vuelto->result();
    }


    function cliente_ticket($num_factura)
    {
         $this->db->select("cliente.cedula_ruc as cedula_ruc, CONCAT(cliente.nombre,' ',cliente.apellido) as cliente, CASE factura.tipo_venta WHEN  1 then 'Contado'  when 2 then 'Crédito' end as tipo_venta,CASE factura.forma_pago WHEN  1 then 'Efectivo'  when 2 then 'Tarjeta' end as forma_pago");
         $this->db->from("factura");
         $this->db->join('cliente', 'cliente.id_cliente = factura.id_cliente');
         $this->db->where('factura.num_factura',$num_factura);
          $cliente_ticket = $this->db->get();
        return $cliente_ticket->result();
    }




	
	
}
?>;