<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Caja extends CI_Controller {

	public function __construct()
	{
		parent::__construct();
		$this->load->library('form_validation');
		$this->load->model("Caja_model");
		$this->load->model("Proveedor_model");
		
		if(!$this->session->userdata('id_usuario'))
		{
		redirect('/Login/');
		}
	}


	public function index()
	{
			date_default_timezone_set("America/Asuncion");

			$datestring = "%Y-%m-%d";
			$time = time();
			$unix = mdate($datestring,$time);
			$data  = $this->Caja_model->inicio_caja($unix);
				if ($data == null) 
				{
					
					$_data       = array
					(
					"titulo"      => "Caja",
					"usuario"    => $this->session->userdata('usuario'),
					"id_usuario"    => $this->session->userdata('id_usuario'),
					"proveedor_lista" => $this->Proveedor_model->lista_proveedor()

					);
					$this->parser->parse('Index/head.php', $_data, FALSE);	// carga todos las url de estilo i js hom
					$this->parser->parse('Index/menu.php',$_data , false); // esta seria la barra de navegacion horizontal
					$this->load->view('Caja/caja_vista_encabezado.php');
					//$this->parser->parse('Caja/caja_vista2.php',$_data,false);
					$this->parser->parse('Caja/caja_vista_apertura.php',$_data,false);
					//$this->parser->parse('Caja/fin.php',$_data,false);
					$this->load->view('Index/pie.php');
				}
				else
				{
					$t_de=$this->db->query(" select SUM(importe) as total_debe from caja 	where cierre =0 and debe_haber=1 and fecha ='".$unix."'");
					$row_debe=$t_de->row_array();
					$total_debe=$row_debe['total_debe'];

					$t_ha=$this->db->query(" select SUM(importe) as total_haber from caja 	where cierre =0 and debe_haber=2 and fecha ='".$unix."'");
					$row_haber=$t_ha->row_array();
					$total_haber=$row_haber['total_haber'];
					$total=$total_debe-$total_haber;
					$_data       = array
					(
					"titulo"      => "Caja",
					"total_debe" =>	$total_debe,
					"total_haber" =>	$total_haber,
					"total" =>	$total,
					"get_haber" =>	$this->Caja_model->get_haber($unix),
					"get_debe" =>	$this->Caja_model->get_debe($unix),
					//"formulario3" =>	$this->Caja_model->get_facturas($unix),
					"usuario"    => $this->session->userdata('usuario'),
					"proveedor_lista" => $this->Proveedor_model->lista_proveedor()
					);
					$this->parser->parse('Index/head.php', $_data, FALSE);	// carga todos las url de estilo i js home	
					$this->parser->parse('Index/menu.php',$_data , false); // esta seria la barra de navegacion horizontal
					$this->load->view('Caja/caja_vista_encabezado.php');
					$this->parser->parse('Caja/caja_vista_contenido.php',$_data,false);
					//$this->parser->parse('Caja/caja_vista_cerrar.php',$_data,false);
					$this->load->view('Caja/caja_vista_cerrar.php');
					//$this->parser->parse('Caja/script.php',$_data,false);
					//$this->parser->parse('Caja/fin.php',$_data,false);
					$this->load->view('Index/pie.php');

				}
	}
		public function index2()
	{
		$datestring = "%Y-%m-%d";
		$time = time();
		$unix = mdate($datestring,$time);
		$data  = $this->Caja_model->inicio_caja($unix);
			/*if ($data != $unix) {
				$_data       = array
				(
				"usuario"    => $this->session->userdata('usuario'),
				"horaAcceso" => $this->session->userdata('horaAcceso'));
				//////////////actenemos los resultado de la paginacion por ajax///////////////
				$this->parser->parse('Caja/caja_vista2.php',$_data,false);
				$this->parser->parse('Caja/caja_vista_apertura.php',$_data,false);
				$this->parser->parse('Caja/script.php',$_data,false);
			}else{
				# code...
				$_data       = array
				(
					"formulario" =>	$this->Caja_model->vista($unix),
					"get_haber" =>	$this->Caja_model->get_haber($unix),
					"get_debe" =>	$this->Caja_model->get_debe($unix),
					"formulario3" =>	$this->Caja_model->get_facturas($unix),
				"usuario"    => $this->session->userdata('usuario'),
				"horaAcceso" => $this->session->userdata('horaAcceso'));
				//////////////actenemos los resultado de la paginacion por ajax///////////////
				$this->parser->parse('Caja/caja_vista.php',$_data,false);
				$this->parser->parse('Caja/caja_vista_cerrar.php',$_data,false);
				$this->parser->parse('Caja/script.php',$_data,false);
			}*/
			
				# code...
				$_data       = array
				(
					"formulario" =>	$this->Caja_model->vista($unix),
					"get_haber" =>	$this->Caja_model->get_haber($unix),
					"get_debe" =>	$this->Caja_model->get_debe($unix),
					"formulario3" =>	$this->Caja_model->get_facturas($unix),
				"usuario"    => $this->session->userdata('usuario'),
				"id_usuario"    => $this->session->userdata('id_usuario')
			);
				//////////////actenemos los resultado de la paginacion por ajax///////////////
				$this->parser->parse('Caja/caja_vista.php',$_data,false);
				$this->parser->parse('Caja/caja_vista_cerrar.php',$_data,false);
				$this->parser->parse('Caja/script.php',$_data,false);
			
	}
    //////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    public function abrir_Cerrar_Caja()
    {
		if($this->input->is_ajax_request()){
			date_default_timezone_set("America/Asuncion");
			$time = time();
			$unix = mdate($time);
			$data  = $this->Caja_model->abrir_Cerrar_Caja($unix);
			echo json_encode($data);

		}else{
			show_404();
		}
    }
    public function add ()
    {
    	date_default_timezone_set("America/Asuncion");
    	$valor=$this->input->post('importe');
    	$datestring = "%Y-%m-%d";
		$time = time();
		$unix = mdate($datestring,$time);
		if ($valor>99)
		{
			$data = array(
				'descripcion'  => 'Apertura de caja',
				'importe'  => $valor,
				'num_factura'  => 0,
				'fecha'  => $unix,
				'debe_haber'=>1,
				'cierre'  => 0
				);
				$this->Caja_model->add($data);
				redirect('/Caja/caja');
		}
		else
		{
			
			$consulta= $this->db->query(" select * from caja where fecha='".$unix."' and num_factura=0 and cierre=1");
			if ($consulta->num_rows() > 0)
			{
				
				$datos=array ('cierre'=>0);
				$this->db->where('fecha',$unix);
				$this->db->update ('caja',$datos);
				
			}
			else
			{
				$data = array(
				'descripcion'  => 'Apertura de caja',
				'importe'  => $valor,
				'num_factura'  => 0,
				'fecha'  => $unix,
				'debe_haber'=>1,
				'cierre'  => 0
				);
				$this->Caja_model->add($data);

				$datos=array ('cierre'=>0);
				$this->db->where('fecha',$unix);
				$this->db->update ('caja',$datos);

				
			}
			redirect('/Caja/caja');
			
		}
    }
    
   
    

     
	public function cerrar()
    {
		date_default_timezone_set("America/Asuncion");
		$unix = mdate('%Y-%m-%d');
		$datos=array 
			(
			'cierre'=>1
			);
		//$this->db->set ('cierre'=>1);
		$this->db->where('fecha',$unix);
		$this->db->update ('caja',$datos);
		redirect('/Caja/caja');
	}


	function fetch_cobro_cuota(){  

                  

           $fetch_data = $this->Caja_model->consulta_cobro_cuota(); 
           

           $data = array();  
           foreach($fetch_data as $row)  
           {  
           		$ver_detalle="";
           		$edit="";
           		$delete="";
           		$cobrar="";

                $sub_array = array();  
                $sub_array[] =  $row->num_factura;  
                $sub_array[] = $row->nombre.' '.$row->apellido;  
                $sub_array[] = $row->importe;

                $ver_detalle='<a class="btn btn-success btn-sm" data-toggle="modal" href="#'.$row->num_factura.'"  ><i ></i>Ver</a>&nbsp;';
                $edit='<a class="btn btn-success btn-sm" href="../Producto/producto/edit/'.$row->num_factura.'"><i class="glyphicon glyphicon-edit"></i></a>&nbsp;';

                $delete='<a class="btn btn-danger btn-sm" onclick="return delete_row('.$this->session->userdata('id_usuario').')" href="../Producto/producto/delete/'.$row->num_factura.'"><i class="glyphicon glyphicon-trash"></i></a>&nbsp;';




                 $sub_array[] =$ver_detalle.$edit.$delete ; 
                 

             
                /*

                $sub_array[] =
                '<div class="modal fade" style="z-index: 100000" id="'.$row->id_producto.'"><div class="modal-dialog"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-times-circle-o"></i></button><h4 class="modal-title">Detalles de '.$row->descripcion.'</h4></div><div class="modal-body">
                <p class="text-info"> Precio Costo:  &nbsp;'.$row->precio_costo.' </p>
                <p class="text-info"> Valor IVA:  &nbsp;'.$row->iva.'% </p>
                <p class="text-info"> Precio Crédito:  &nbsp;'.$row->precio_credito.' </p>
                <p class="text-info"> Usuario:  &nbsp;'.$row->usuario.' </p>


                </div><div class="modal-footer"><button type="button" class="btn btn-default btn-sm" data-dismiss="modal">Cerrar</button></div></div></div></div>';
                */
                $data[] = $sub_array;  
           }

                $output = array(  
                "draw"                    =>     intval($this->input->post("draw")),  
                "recordsTotal"          =>      $this->Caja_model->get_all_data_cobro_cuota(),  
                "recordsFiltered"     =>     	$this->Caja_model->get_filtered_cobro_cuota(),  
                "data"                    =>     $data  
           );  
           echo json_encode($output);  
      }  
    /////////////////////////////////////////////////////////////////////////////////////// 
}

