<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Examen extends CI_Controller {

	public function __construct()
	{
		parent::__construct();
				
		$this->load->model("Examen_model");
		$this->load->library('form_validation');

		if(!$this->session->userdata('id_usuario'))
		{
		redirect('/Login');
		} 

	}
	
	public function index()
	{
		$data = array();

        $limit_per_page = 10;
        $start_index = ($this->uri->segment(3)) ? $this->uri->segment(3) : 0;

        $total_records =$this->Examen_model->get_all_acta();  
        $id_institucion=$id_profesor=$id_evaluador=$carrera="";

        $data["ENCABEZADO"] ='Registros de Exámenes';
         $data["id_usuario"] = $this->session->userdata('id_usuario');
        $data["usuario"] = $this->session->userdata('usuario');
        $data["nombre"] = $this->session->userdata('nombre');
        $data["rol"] = $this->session->userdata('rol');
        
	    $data["institucion"] = $this->Examen_model->get_institucion($id_institucion);
        $data["profesor"] = $this->Examen_model->get_profesor($id_profesor);
        $data["evaluador"] = $this->Examen_model->get_profesor($id_evaluador);
        $data["carrera"] = $this->Examen_model->get_carrera($carrera);
        $data["total_records"] =$total_records;
         
        $data["results"] = $this->Examen_model->get_acta_examen(  $limit_per_page, $start_index );
           
             
            $config['base_url'] = base_url() . 'index.php/Examen/index';
            $config['total_rows'] = $total_records;
            $config['per_page'] = $limit_per_page;
            $config["uri_segment"] = 3;
            $config['full_tag_open'] = '<ul class="pagination">';
            $config['full_tag_close'] = '</ul>'; 
            $config['first_link'] = 'Primero';
            $config['last_link'] = 'Último';
            $config['first_tag_open'] = '<li>';        
            $config['first_tag_close'] = '</li>';        
            $config['prev_link'] = '&laquo';        
            $config['prev_tag_open'] = '<li class="prev">';        
            $config['prev_tag_close'] = '</li>';        
            $config['next_link'] = '&raquo';        
            $config['next_tag_open'] = '<li>';        
            $config['next_tag_close'] = '</li>';        
            $config['last_tag_open'] = '<li>';        
            $config['last_tag_close'] = '</li>';        
            $config['cur_tag_open'] = '<li class="active"><a href="#">';        
            $config['cur_tag_close'] = '</a></li>';        
            $config['num_tag_open'] = '<li>';        
            $config['num_tag_close'] = '</li>';
            
            $this->pagination->initialize($config);  //inicicalia nuetra paginacion
            // build paging links
            $data["links"] = $this->pagination->create_links();
           //llamamos de nuestras vistas
              $this->parser->parse('Index/head.php',$data, FALSE);  //encabezado con nuestro css
             if ($this->session->userdata('id_rol')==5)
			 {
					$this->parser->parse('Index/menu_director.php',$data, FALSE);
				}
				
			if ($this->session->userdata('id_rol')==3)
			 {
					$this->parser->parse('Index/menu_alumno.php',$data, FALSE);
				}	
		    if ($this->session->userdata('id_rol')==1)
				{
					$this->parser->parse('Index/menu.php',$data, FALSE);
				}
              $this->parser->parse('Examen/examen_vista.php',$data, FALSE);  //contenedor o cueppo
              $this->load->view('Index/pie.php');   // llamar pie de pagina
        
       
	}
/////////////////////////////////////////////////////////////
	public function ver_examen()
	{
	    $num_acta=$this->uri->segment(3);
		$data = array();
        $data["ENCABEZADO"] ='Acta N° '.$num_acta;
        $data["id_usuario"] = $this->session->userdata('id_usuario');
        $data["usuario"] = $this->session->userdata('usuario');
        $data["nombre"] = $this->session->userdata('nombre');
        $data["rol"] = $this->session->userdata('rol');
	   
      
        
        $data["results"] = $this->Examen_model->get_ver_examen($num_acta );
        
              $this->parser->parse('Index/head.php',$data, FALSE);  
             if ($this->session->userdata('id_rol')==5)
			 {
					$this->parser->parse('Index/menu_director.php',$data, FALSE);
				}
				
			if ($this->session->userdata('id_rol')==3)
			 {
					$this->parser->parse('Index/menu_alumno.php',$data, FALSE);
				}	
		    if ($this->session->userdata('id_rol')==1)
				{
					$this->parser->parse('Index/menu.php',$data, FALSE);
				}  
              $this->parser->parse('Examen/ver_examen.php',$data, FALSE);  
              $this->load->view('Index/pie.php');   

	}
    
 ///////////////////////////////////////////////////////////////

	public function resultado_detalle_alumno ()
	{
	    
	    $anho=$this->input->post('anho');
		$carrera=$this->input->post('carrera_examen');
		
		$id_institucion=$this->input->post('institucion');
		$periodo=$this->input->post('periodo');
	
		$id_profesor=$this->input->post('profesor');
		$id_evaluador=$this->input->post('evaluador');
		
		$num_acta=$this->input->post('num_acta');
		$fecha_acta=$this->input->post('fecha_acta');
		$lugar_acta=$this->input->post('lugar_acta');
		
		$libro=$this->input->post('libro');
		$num_folio=$this->input->post('num_folio');
		$tipo_examen=$this->input->post('tipo_examen');
		
		$institucion= $this->Examen_model->get_institucion($id_institucion);
		$profesor= $this->Examen_model->get_profesor($id_profesor);
		$evaluador= $this->Examen_model->get_profesor($id_evaluador);
		$carrera1=$this->Examen_model->get_carrera($carrera);

		foreach($institucion as $fila1)	{  $institucion=$fila1 -> nombre; 	}
		foreach($profesor as $fila1)	{  $profesor=$fila1 -> nombre." ".$fila1 -> apellido; 	}
		foreach($evaluador as $fila1)	{  $evaluador=$fila1 -> nombre." ".$fila1 -> apellido; 	}
		foreach($carrera1 as $fila1)	{  $carrera1=$fila1 -> carrera; 	}

        $data = array(
            'resultado_detalle_alumno' => $this->Examen_model->resultado_detalle_alumno($anho,$carrera),
            "usuario"    => $this->session->userdata('usuario'),
            "ENCABEZADO" =>'Nuevo Registro de Examen',
      		"anho"    => $anho,
      		"id_institucion"    => $id_institucion,
      		"periodo"    => $periodo,
      		"id_profesor"    => $id_profesor,
      		"id_evaluador"    => $id_evaluador,
      		"fecha_acta"    => $fecha_acta,
      		"lugar_acta"    => $lugar_acta,
      		"tipo_examen" => $tipo_examen,
      		"id_carrera"    => $carrera,
      		
            );
        $data["institucion"] = $institucion;
        $data["profesor"] =$profesor;
        $data["evaluador"] = $evaluador;
        $data["carrera"] = $carrera1;
        $data["num_acta"] = $num_acta;
        $data["num_folio"] = $num_folio;
        $data["libro"] = $libro;
        
 
         
	    $this->parser->parse('Index/head.php', $data, FALSE);
        $this->parser->parse('Index/menu.php',$data );
        $this->parser->parse('Examen/add_examen.php',$data, FALSE);  //contenedor o cueppo
        $this->load->view('Index/pie.php');
	    
	}
	public function adding ()
	{
	  date_default_timezone_set("America/Asuncion");
	  $id_institucion = $this->input->post('id_institucion');
	  $id_filial =  $this->input->get_post('id_filial',true); 
	  $anho = $this->input->post('anho');
	  $periodo = $this->input->post('periodo');
	  $fecha_acta = $this->input->post('fecha_acta');
	  $lugar_acta = $this->input->post('lugar_acta');
	  $tipo_examen = $this->input->post('tipo_examen');
	  $id_profesor = $this->input->post('id_profesor');
	  $id_evaluador = $this->input->post('id_evaluador');
	  $id_carrera = $this->input->post('id_carrera');
	  $id_alumno =  $this->input->get_post('id_alumno',true); 
	  $id_materia= $this->input->get_post('id_materia',true); 
	  $num_acta=$this->input->post('num_acta');
	  $curso= $this->input->get_post('curso',true); 
	  $calificacion= $this->input->get_post('calificacion',true); 
	  $calificacion_observacion= $this->input->get_post('calificacion_observacion',true); 
	  $num_orden= $this->input->get_post('num_orden',true); 
	  $num_folio= $this->input->get_post('num_folio',true); 
	  $libro= $this->input->get_post('libro',true); 
	 
	  //$options = set_value('id_filial[]');
	  
	  
	   $data_acta = array
	      (
	          'id_acta'=> '',
	           'libro'=> $libro,
	          'num_acta'=> $num_acta,
	          'lugar_acta'=> $lugar_acta,
	          'fecha_acta'=> $fecha_acta,
	          'observacion'=> "",
	          );
	 $this->Examen_model->add_acta($data_acta);
	 
	  $cantidad_registro = $this->input->post('cantidad_registro');
	  for ($i=0; $i < $cantidad_registro; $i++)    
	  {
	      $data = array
	      (
	          'id_examen'=> '',
	          'id_institucion'=> $id_institucion,
	          'id_filial'=>intval( $id_filial[$i]),
	          'id_profesor'=> $id_profesor,
	          'id_evaluador'=> $id_evaluador,
	          'periodo'=> $periodo,
	          'tipo_examen'=> $tipo_examen[$i],
	          'id_carrera'=> $id_carrera,
	          'id_alumno'=> intval($id_alumno[$i]),
	          'id_materia'=> intval ($id_materia[$i]),
	          'curso'=> intval($curso[$i]),
	          'calificacion'=>  $calificacion[$i],
	          'calificacion_observacion'=> $calificacion_observacion[$i],
	          'num_acta'=> $num_acta,
	          'num_orden'=> intval($num_orden[$i]),
	          'num_folio'=> intval( $num_folio[$i]),
	          );
	        
	        $this->Examen_model->add_examen($data);
	  }
	  
	 
	  redirect('/Examen');
	 }

	public function edit_carrera()
	{
		$id_carrera=$this->uri->segment(4,0);
		
		$data = array 
				(
					"id_tipo_carrera" => $this->input->get_post('id_tipo_carrera',true),
          "codigo_carrera" => $this->input->get_post('codigo_carrera',true),
          "carrera" => $this->input->get_post('carrera',true),
          "duracion" => $this->input->get_post('duracion',true),
           "tipo_duracion" => $this->input->get_post('tipo_duracion',true),
          "regimen" => $this->input->get_post('regimen',true),
          "observacion_regimen" => $this->input->get_post('observacion_regimen',true),
          "modalidad" => $this->input->get_post('modalidad',true),
          "nivel" => $this->input->get_post('nivel',true),
          "observacion" => $this->input->get_post('observacion',true),
          "fecha_habilitacion" => $this->input->get_post('fecha_habilitacion',true),
          "estado" => $this->input->get_post('estado',true),
          "resolucion" => $this->input->get_post('resolucion',true) 
				);			
			$this->Carrera_Model->save_edit($id_carrera,$data);
			redirect('/Carrera/carrera');	
	}


	// dar de baja o elminar
	function eliminar_carrera()
	{
		$control=0;
		$id_carrera=$this->uri->segment(4,0);
		$this->db->from("inscripcion");
		$this->db->where("id_carrera", $id_carrera);
		$query = $this->db->get();

		if ($query->num_rows() > 0) 
		{
                $control=1;
        }
       
        if ($control!=1)
        {
        	$this->Carrera_Model->eliminar_carrera($id_carrera);
        	redirect('/Carrera/carrera');
        }
        else
        {
      
            $data = array 
      			(
      			    'ENCABEZADO'=> 'Carrera',
      			    "usuario"    => $this->session->userdata('usuario'),
      			    "id_usuario"    => $this->session->userdata('id_usuario'),
           
      									
      			);
             $this->parser->parse('Index/head.php', $data);	
      			 $this->parser->parse('Index/menu.php',$data ); 
      	     $this->parser->parse('Carrera/carrera_error.php',$data);
      	     $this->load->view('Index/pie.php');
        }
	}
	//////////////////
	function eliminar_examen()
	{
		$control=0;
		$num_acta=$this->uri->segment(3,0);
		$this->Examen_model->eliminar_examen($num_acta);
		redirect('/Examen');
        
	}
	///////////////////
	

	public  function cart_destroy() 
	{
		
	
		$this->cart->destroy();
		
		redirect('Examen/add_examen');
	}
	 
	
}
