<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Home extends CI_Controller {
	public function __construct()
	{
		parent::__construct();
		$this->load->model("Producto_model");
		$this->load->model("Proveedor_model");
		if(!$this->session->userdata('id_usuario'))
		{
			redirect('Login');
		}
	}

	public	function index()
	{
		
		$data = array 
			(
					"titulo" => "Home",
					"usuario" => $this->session->userdata('usuario'),
					"id_usuario" => $this->session->userdata('id_usuario'),	
					"nombre" => $this->session->userdata('nombre'),
					"rol" => $this->session->userdata('rol'),
			);
			
			$this->parser->parse('Index/head.php',$data, FALSE);
			if ($this->session->userdata('id_rol')==5)
			 {
					$this->parser->parse('Index/menu_director.php',$data, FALSE);
				}
				
			if ($this->session->userdata('id_rol')==3)
			 {
					$this->parser->parse('Index/menu_alumno.php',$data, FALSE);
				}	
		    if ($this->session->userdata('id_rol')==1)
				{
					$this->parser->parse('Index/menu.php',$data, FALSE);
				}
			
			$this->parser->parse('Index/contenedor.php',$data, FALSE); 
	 	 	$this->load->view('Index/pie.php'); 
	 	 	//$this->load->view('Index/modal_select_mes_reporte_caja.php');
	} 
	
	


}

