<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
  

class Reporte_ticket extends CI_Controller {
    function __construct()
    {
        parent::__construct();
        $this->load->library("EscPos.php");

        $this->load->helper('url');
        $this->load->model("Reporte_Model");

    }

 
    public function index()
    {

       $num_factura    = $this->uri->segment(4,0); 
        $num_factura    = 53;
       try {
        $connector = new Escpos\PrintConnectors\WindowsPrintConnector("EPSON TM-U220 Receipt");

            $printer = new Escpos\Printer($connector);
            //para centrar 1; derecha 1; izquierada 2
                $printer->setJustification(1);
                $printer->text("\n"."Bienvenidos" . "\n");
                $printer->text("\n"."DESPENSA SAMI" . "\n");
                $printer->text("R.U.C.: Nº 4687727-7" . "\n");
                $printer->text("Bº VILLA NUEVA" . "\n");
                $printer->text("TRINIDAD-ITAPÚA" . "\n");
                $printer->text("*No válido como comprobante fiscal*" . "\n");
                #La fecha también
                date_default_timezone_set("America/Asuncion");
                $printer->text(date("d-m-Y H:i:s") . "\n");
                $printer->text("------------------------------------------" . "\n");
                $printer->setJustification(0);
                $printer->text("DESCRIPCION.\n");
                 $printer->text("CANT                P.U   Subtotal.\n");
                $printer->text("------------------------------------------"."\n");

                $imprimir_ticket = $this->Reporte_Model->imprimir_ticket($num_factura);
                foreach ($imprimir_ticket as $producto) 
                {
                    $printer->text( trim($producto->descripcion_producto)."\n");
                    $printer->text( $producto->cantidad_producto."          ".$producto->precio_unitario."\n");

                }               

                $printer->text("------------------------------------------"."\n");
                $printer->setJustification(2);
                
                $total_subtotal = $this->Reporte_Model->total_subtotal($num_factura);
                foreach($total_subtotal as $fila1)
                    {
                     $total_iva=$fila1 -> total_iva; 
                     $total_factura=$fila1 -> total_factura; 
                    }
                $printer->text("IVA: ".$total_iva."\n");
                $printer->text("TOTAL: ".$total_factura."\n");

                $printer->setJustification(1);
                $printer->text("Muchas gracias por su compra\n");



                /*Alimentamos el papel 3 veces*/
                $printer->feed(3);

                /*
                    Cortamos el papel. Si nuestra impresora
                    no tiene soporte para ello, no generará
                    ningún error
                */
                $printer->cut();

                /*
                    Por medio de la impresora mandamos un pulso.
                    Esto es útil cuando la tenemos conectada
                    por ejemplo a un cajón
                */
                $printer->pulse();

                /*
                    Para imprimir realmente, tenemos que "cerrar"
                    la conexión con la impresora. Recuerda incluir esto al final de todos los archivos
                */
                $printer->close();
        } catch (Exception $e) {
            echo "Couldn't print to this printer: " . $e -> getMessage() . "\n";
        }



    }
	
	
}
