<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
 
class Reporte2 extends CI_Controller {
 
    public function index()
    {
		$id_credito = $this->input->get_post('id_cred',true); 
		$pago = $this->input->get_post('pago',true); 
		if ($pago==0)
		{
			$this->load->model('reporte_modelo2');
        // Se carga la libreria fpdf
        $this->load->library('pdf2');
 
        // Se obtienen los clientes de la base de datos
        $credito = $this->reporte_modelo2->cargar_recibo($id_credito);
		
		$clientes = $this->reporte_modelo2->obtenerListaClientes();
        $this->pdf2 = new Pdf2();
        // Agregamos una página
        $this->pdf2->AddPage();
        
        $this->pdf2->AliasNbPages();
 
        $this->pdf2->SetTitle("Lista de clientes");
        $this->pdf2->SetLeftMargin(15);
        $this->pdf2->SetRightMargin(15);
        $this->pdf2->SetFillColor(200,200,200);
 
        // Se define el formato de fuente: Arial, negritas, tamaño 9
        $this->pdf2->SetFont('Arial', 'B', 9);
		$this->pdf2->Cell(0,7,'Aun no se ha abonado...Cobre esta cuota primeramente.',0,0,'C','1');
		 $this->pdf2->Output("Recibo de dinero.pdf", 'I');
		}
		else
		{
		
        // Se carga el modelo cliente
        $this->load->model('reporte_modelo2');
        // Se carga la libreria fpdf
        $this->load->library('pdf2');
 
        // Se obtienen los clientes de la base de datos
        $credito = $this->reporte_modelo2->cargar_recibo($id_credito);
		
		$clientes = $this->reporte_modelo2->obtenerListaClientes();
        $this->pdf2 = new Pdf2();
        // Agregamos una página
        $this->pdf2->AddPage();
        // Define el alias para el número de página que se imprimirá en el pie
        $this->pdf2->AliasNbPages();
 
        /* Se define el titulo, márgenes izquierdo, derecho y
         * el color de relleno predeterminado
         */
        $this->pdf2->SetTitle("Lista de clientes");
        $this->pdf2->SetLeftMargin(15);
        $this->pdf2->SetRightMargin(15);
        $this->pdf2->SetFillColor(200,200,200);
 
        // Se define el formato de fuente: Arial, negritas, tamaño 9
        $this->pdf2->SetFont('Arial', 'B', 9);
        /*
         * TITULOS DE COLUMNAS
         *
         * $this->pdf->Cell(Ancho, Alto,texto,borde,posición,alineación,relleno);
         */
		 foreach ($credito as $credit) 
		 {
		 $this->pdf2->Cell(0,7,'Detalles de Recibo Nro: '.$credit->num_recibo,0,0,'C','1');
		 $this->pdf2->Ln();
		 $this->pdf2->Cell(140,7,'Fecha: '.$credit->fecha_pago,0,'L',false);
		$this->pdf2->Ln();
        $this->pdf2->Cell(140,7,'Nombre o Razon Social: '.$credit->nombre.' '.$credit->apellido,0,'L',false);
		$this->pdf2->Ln();
		$this->pdf2->Cell(25,7,'R.U.C.: '.$credit->ci,0,'L',false);
		$this->pdf2->Ln();
		$this->pdf2->Cell(25,7,'Direccion: '.$credit->direccion,0,'L',false);
		$this->pdf2->Ln();
		 }
		$this->pdf2->Cell(15,5,'Nro.','TB',0,'L','1');
        $this->pdf2->Cell(100,5,'Descripcion','TB',0,'C','1');
         $this->pdf2->Cell(0,5,'Importe','TB',0,'C','1');
		
        $this->pdf2->Ln(7);
        // La variable $x se utiliza para mostrar un número consecutivo
        $x = 1;
		 $credito = $this->reporte_modelo2->cargar_recibo($id_credito);
        foreach ($credito as $credit) {
            // se imprime el numero actual y despues se incrementa el valor de $x en uno
            $this->pdf2->Cell(15,5,$x++,'BL',0,'C',0);
            // Se imprimen los datos de cada cliente
            $this->pdf2->Cell(100,5,'Cuota:'.$credit->num_cuota.', segun Fact. Cred. Nro: '.$credit->num_factura,'B',0,'L',0);
            $this->pdf2->Cell(0,5,$credit->importe,'B',0,'R',0);
             $this->pdf2->Ln(5);
        }
       $this->pdf2->Cell(0,5,'TOTAL: '. $credit->importe,'B',0,'R',0);
        $this->pdf2->Output("Recibo de dinero.pdf".$credit->num_recibo, 'I');
		}
    }
	
	
}
