<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
 
class Reporte3 extends CI_Controller {
 
    public function index()
    {
        // Se carga el modelo cliente
        $this->load->model('reporte_modelo3');
        // Se carga la libreria fpdf
        $this->load->library('pdf3');
 
        // Se obtienen los clientes de la base de datos
       // $stocks = $this->reporte_modelo3->produtos();
         $this->pdf3 = new Pdf3();
        // Agregamos una página
        $this->pdf3->AddPage();
        
        $this->pdf3->AliasNbPages();
 
        $this->pdf3->SetTitle("Stock");
        $this->pdf3->SetLeftMargin(15);
        $this->pdf3->SetRightMargin(15);
        $this->pdf3->SetFillColor(200,200,200);
 
        // Se define el formato de fuente: Arial, negritas, tamaño 9
        $this->pdf3->SetFont('Arial', 'B', 7);
        
		$this->pdf3->Cell(0,7,'REPORTE DE STOCK DE PRODUCTOS','TBL',0,'C','1');
		 $this->pdf3->Ln(7);
		$this->pdf3->Cell(10,7,'Nro','TBL',0,'C','1');
        $this->pdf3->Cell(35,7,'CODIGO','TBL',0,'C','1');
        $this->pdf3->Cell(65,7,'PRODUCTO','TBL',0,'C','1');
       
        $this->pdf3->Cell(25,7,'STOCK','TBL',0,'C','1');
        $this->pdf3->Cell(0,7,'MINIMO','TBL',0,'C','1');
        
        $this->pdf3->Ln(7);
        // La variable $x se utiliza para mostrar un número consecutivo
        $x = 1;
        
        
        $this->pdf3->Output("Stock.pdf", 'I');
    }
	
	
}
