<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
 
class Reporte_mensual extends CI_Controller {
 
    public function index()
    {
	
	$this->load->model('Reporte_Model');
	$this->load->library('pdf');
	$num_referencia=1;
	$resultado = $this->Reporte_Model->resultado($num_referencia);
	$examenes=$this->Reporte_Model->obtener_examen($num_referencia);
	$result = $this->Reporte_Model->resultado_mensual();
	$this->pdf = new Pdf();
	$this->pdf->AddPage();
		$this->pdf->AliasNbPages();
	    $this->pdf->SetLeftMargin(15);

        $this->pdf->SetRightMargin(15);

        $this->pdf->SetFillColor(200,200,200);
        $this->pdf->SetFont('Arial', 'B', 9);       
        $this->pdf->Cell(0,7,'Reporte Mensual de Resultados',0,0,'C','1');
		$this->pdf->Ln();
		$mes = array("","Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Setiembre","Octubre","Noviembre","Diciembre");
        
		$this->pdf->Cell(25,7,'Mes: '.$mes[ intval(date('m')) ],0,'L',false);
		$this->pdf->Ln();
		$this->pdf->Cell(8,7,'Nro',0,'L',false);
		$this->pdf->Cell(20,7,'Nro Ref.',0,'L',false);
		$this->pdf->Cell(70,7,'Paciente',0,'L',false);
		$this->pdf->Cell(70,7,'Profesional',0,'L',false);
		$this->pdf->Cell(30,7,'Retiro',0,'L',false);

		$this->pdf->Ln();

		foreach ($result as $x=> $value) 
		{
			$this->pdf->Cell(10,7,($x+1).")",0,'L',false);
			$this->pdf->Cell(20,7,$value->num_referencia,0,'L',false);
			$this->pdf->Cell(70,7,$value->paciente,0,'L',false);
			$this->pdf->Cell(70,7,$value->profesional,0,'L',false);
			$this->pdf->Cell(10,7,'',1,0,'C','0');
			$this->pdf->Ln(); 
		}
       

        $this->pdf->Output("ReporteResultado.pdf", 'I');
		
    }
	
	
	
}
?>