
<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
 
class Reporte_x_paciente_determinacion extends CI_Controller {
 
 public function index()
 {
	
	$mes = $this->input->post('mes');
    $tipo = $this->input->post('tipo_reporte');
    $this->load->model('Reporte_Model');
	$this->load->library('pdf');
	$num_referencia=1;
	$resultado = $this->Reporte_Model->resultado($num_referencia);
	$fechas = $this->Reporte_Model->fechas($mes);
	$mes_numero=$mes;
	if ($mes==1) $mes="Enero";
			if ($mes==2) $mes="Febrero";
			if ($mes==3) $mes="Marzo";
			if ($mes==4) $mes="Abril";
			if ($mes==5) $mes="Mayo";
			if ($mes==6) $mes="Junio";
			if ($mes==7) $mes="Julio";
			if ($mes==8) $mes="Agosto";
			if ($mes==9) $mes="Setiembre";
			if ($mes==10) $mes="Octubre";
			if ($mes==11) $mes="Noviembre";
			if ($mes==12) $mes="Diciembre";
			date_default_timezone_set("America/Asuncion");


	if ($tipo==1)
	{
		
		if (!empty($fechas))
		{

			$this->pdf = new Pdf();

			$this->pdf->AddPage();
			$this->pdf->AliasNbPages();
			$this->pdf->SetLeftMargin(15);

			$this->pdf->SetRightMargin(15);
			
			
			
			$this->pdf->SetFillColor(200,200,200);
			$this->pdf->SetFont('Arial', 'B', 9);       
			$this->pdf->Cell(0,7,'Reporte cantidad de pacientes por mes',0,0,'C','1');
			$this->pdf->Ln();
			$this->pdf->Cell(25,7,'Mes: '. $mes  ,0,'L',false);
			$this->pdf->Ln();
			$this->pdf->Cell(30,7,'Dia/mes',0,'L',false);
			$this->pdf->Cell(40,7,'Cantidad de pacientes',0,'C',false);
			$this->pdf->Ln();

			foreach ($fechas as $fecha) 
			{
				$cantidad_x_fechas = $this->Reporte_Model->cantidad_x_fecha($fecha->fecha);
				if (!empty($cantidad_x_fechas))
				{
					foreach ($cantidad_x_fechas as $x=> $cantidad_x_fecha) 
					{
						$date = date_create(date("Y").'-'.$cantidad_x_fecha->mes.'-'.$cantidad_x_fecha->dia);
						$d= date_format($date, 'l');
						switch ($d) {
						    case "Sunday":$d="Domingo"; break;
						    case "Monday":$d="Lunes";break;
						    case "Tuesday":  $d="Martes";  break;
						    case "Wednesday": $d="Miercoles";break;
						    case "Thursday":$d="Jueves"; break;
						    case "Friday": $d="Viernes"; break;
						    case "Saturday":$d="Sabado";  break;
						}


						$this->pdf->Cell(30,7,utf8_decode($d)." ".utf8_decode($cantidad_x_fecha->dia)."/".utf8_decode($cantidad_x_fecha->mes),0,'L',false);
						$this->pdf->Cell(40,7,utf8_decode($cantidad_x_fecha->cantidad),0,'C',false);
						$this->pdf->Ln();

					}

				        
				}
				else
				{
					 echo "NO EXITEN REGISTROS QUE MOSTRAR. VERIFIQUE!"; 
		        echo '<br><a href="../Reporte/reporte_otros">Volver</a>';
				}
				
			}
			$this->pdf->Output("ReporteResultado.pdf", 'I');

		}
		else
		{
			echo "NO EXITEN REGISTROS QUE MOSTRAR. VERIFIQUE!"; 
	        echo '<br><a href="../Reporte/reporte_otros">Volver</a>';
		}

	}
	else
	{
	////sie s tipo 2 seria por determinacion y por dia. en una matriz 	

		
		$this->pdf = new Pdf();
		$this->pdf->FPDF('L','mm','oficio');
		$this->pdf->AddPage();
		$this->pdf->AliasNbPages();
		$this->pdf->SetLeftMargin(15);

		$this->pdf->SetRightMargin(15);
				
		$this->pdf->SetFillColor(200,200,200);
		$this->pdf->SetFont('Arial', 'B', 9);       
		$this->pdf->Cell(0,7,'Reporte cantidad de pacientes por determinacion',0,0,'C','1');
		$this->pdf->Ln();
		$this->pdf->Cell(25,7,'Mes: '. $mes  ,0,'L',false);
		$this->pdf->Ln();
		$this->pdf->Cell(30,7,'Dia/mes',0,'L',false);
		$this->pdf->Cell(40,7,'Cantidad de determinaciones',0,'C',false);
		$this->pdf->Ln();
		$examen = $this->Reporte_Model->examen();
		foreach ($examen as $value) 
		{
			$id_examen=$value->id_examen;
			$examen=$value->descripcion;
		
			for  ($dia=1; $dia < 32; $dia++) 
			{
				$cantidades = $this->Reporte_Model->cantidades_x_determinacion($mes_numero,$id_examen, $dia );

				if (!empty($cantidades))
					{
						foreach ($cantidades as  $val) 
						{
							$this->pdf->SetWidths(array(20));
							$this->pdf->Row(array(utf8_decode($val->id_examen)));
							break;
						}
						
							
					        
					}
					else
					{

					}
										
			}
		}
		

		$this->pdf->Output("ReporteResultado.pdf", 'I');

		
		/* ahora no usaremos esto jajaja
		}
		else
		{
			echo "NO EXITEN REGISTROS QUE MOSTRAR. VERIFIQUE!"; 
	        echo '<br><a href="../Reporte/reporte_otros">Volver</a>';
		}
		*/

	}	
		
				
				
	    
	
 }	
}
?>