<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Resultado extends CI_Controller {
	public function __construct()
	{
		parent::__construct();
		// Cargamos las librerias, model, helper;
		$this->load->library('form_validation');
		$this->load->model('Resultado_Model');
		 $this->load->library("Udp_cart");//load library
    $this->shop1 = new Udp_cart("shop1");//cart1
   

		


		if(!$this->session->userdata('id_usuario'))
		{
		redirect('/Login/login/');
		} 

	}
	
	public	function index()
	{
				
		$data = array //arreglo para mandar datos a la vista
			(
					'titulo'=> 'Resultados de An&aacute;lisis',
					'resultado' => $this->Resultado_Model->resultado(),
					"usuario" => $this->session->userdata('usuario'),
					"id_permiso" => $this->session->userdata('id_permiso'),
					"permiso" => $this->session->userdata('permiso'),
					"id_permiso" => $this->session->userdata('id_permiso'),
					"nombre" => $this->session->userdata('nombre'),
					"denominacion" => $this->session->userdata('denominacion'),

			);
			
			$this->parser->parse('Index/head.php',$data, FALSE);
			if ($this->session->userdata('id_permiso')=='2')
			{
				$this->parser->parse('Index/menu_medico.php',$data, FALSE); 
			}
			else 
			{
					$this->parser->parse('Index/menu.php',$data, FALSE); 
				}

			
	 	 	$this->parser->parse('Resultado/resultado_lista.php',$data, FALSE);
			$this->load->view('Index/pie.php'); // pie con los js
	}
	
	/////////////////////////////////////////////
	public function ver_resultado()
	{
		$num_referencia    = $this->uri->segment(4,0);
		if ($this->session->userdata('id_permiso')=='2')
			{
				$paciente = $this->db->query('select DATE_FORMAT(fecha,"%d-%m-%Y") as fecha ,hora,concat( profesional.nombre," ", profesional.apellido," - Mat.: ", profesional.matricula)	AS profesional	,
				concat(paciente.nombre," ", paciente.apellido," - CI.: ", paciente.cedula," - Ficha N&deg;: ",paciente.ficha," ",paciente.direccion_ficha)	AS datos_paciente	
				, unidad_salud.denominacion as denominacion
				from ( SELECT *,DATE_ADD(fecha, INTERVAL 15 DAY) as otro from paciente_examen
				) as paciente_examen
				inner join paciente on paciente.id_paciente=paciente_examen.id_paciente
				inner join profesional on profesional.id_profesional=paciente_examen.id_profesional
				inner join unidad_salud on unidad_salud.id_unidad=paciente_examen.id_unidad

				where num_referencia= '.$num_referencia.' and otro >= CURDATE()  ');
				if($paciente->num_rows()<=0 )
				{

					redirect('/Resultado/resultado');
				}

				
					$fila = $paciente->row_array(); 
					$paciente= $fila['datos_paciente'];
					$profesional= $fila['profesional'];
					
					$dia=date('l',strtotime($fila['fecha']));
					if ($dia=="Monday") $dia="Lunes";
					if ($dia=="Tuesday") $dia="Martes";
					if ($dia=="Wednesday") $dia="Mi&eacutercoles";
					if ($dia=="Thursday") $dia="Jueves";
					if ($dia=="Friday") $dia="Viernes";
					if ($dia=="Saturday") $dia="S&aacute;bado";
					if ($dia=="Sunday") $dia="Domingo";
					$fecha=$dia." ".date(' d/m/Y',strtotime($fila['fecha'])); 

					$formulario=$this->Resultado_Model->ver_resultado($num_referencia);
					

					if($formulario != false )
					{
						$data = array 
						(
								
								'titulo'=> $num_referencia,//mi titulo 
								"usuario" => $this->session->userdata('usuario'),
								"datos_paciente"=> $paciente,
								"profesional"=> $profesional,
								"fecha"=> $fecha ." / ".$fila['hora'],
								'formulario'=> $formulario,
								"id_permiso" => $this->session->userdata('id_permiso'),
								"permiso" => $this->session->userdata('permiso'),
								"nombre" => $this->session->userdata('nombre'),
								"denominacion" => $this->session->userdata('denominacion'),

						);
						$this->parser->parse('Index/head.php',$data, FALSE);
						$this->parser->parse('Index/menu_medico.php',$data, FALSE); 
						$this->parser->parse('Resultado/resultado_paciente_vista.php',$data, FALSE); 
						$this->load->view('Index/pie.php'); // pie con los js
					}
					else
					{
						$this->Resultado_Model->delete_sobrante($num_referencia);
						redirect('/Resultado/resultado/index/');
					}
				
				
			}
			else
			{
				$paciente = $this->db->query('select DATE_FORMAT(fecha,"%d-%m-%Y") as fecha ,hora,concat( profesional.nombre," ", profesional.apellido," - Mat.: ", profesional.matricula)	AS profesional	,
				concat(paciente.nombre," ", paciente.apellido," - CI.: ", paciente.cedula," - Ficha N&deg;: ",
					paciente.ficha," ",paciente.direccion_ficha)	AS datos_paciente
						
		    	from paciente_examen
				inner join paciente on paciente.id_paciente=paciente_examen.id_paciente
				inner join profesional on profesional.id_profesional=paciente_examen.id_profesional
				inner join unidad_salud on unidad_salud.id_unidad=paciente_examen.id_unidad

				where num_referencia='.$num_referencia.' ');

				$fila = $paciente->row_array(); 
				$paciente= $fila['datos_paciente'];
				$profesional= $fila['profesional'];
				
				$dia=date('l',strtotime($fila['fecha']));
				if ($dia=="Monday") $dia="Lunes";
				if ($dia=="Tuesday") $dia="Martes";
				if ($dia=="Wednesday") $dia="Mi&eacutercoles";
				if ($dia=="Thursday") $dia="Jueves";
				if ($dia=="Friday") $dia="Viernes";
				if ($dia=="Saturday") $dia="S&aacute;bado";
				if ($dia=="Sunday") $dia="Domingo";
				$fecha=$dia." ".date(' d/m/Y',strtotime($fila['fecha'])); 

				$formulario=$this->Resultado_Model->ver_resultado($num_referencia);
				

				if($formulario != false )
				{
					$data = array 
					(
							
							'titulo'=> $num_referencia,//mi titulo 
							"usuario" => $this->session->userdata('usuario'),
							"datos_paciente"=> $paciente,
							"profesional"=> $profesional,
							"fecha"=> $fecha ." / ".$fila['hora'],
							'formulario'=> $formulario,
							"id_permiso" => $this->session->userdata('id_permiso'),
							"permiso" => $this->session->userdata('permiso'),
							"nombre" => $this->session->userdata('nombre'),
							"denominacion" => $this->session->userdata('denominacion'),

					);
					$this->parser->parse('Index/head.php',$data, FALSE);
					$this->parser->parse('Index/menu.php',$data, FALSE); 
					$this->parser->parse('Resultado/resultado_paciente_vista.php',$data, FALSE); 
					$this->load->view('Index/pie.php'); // pie con los js
				}
				else
				{
					$this->Resultado_Model->delete_sobrante($num_referencia);
					redirect('/Resultado/resultado');
				}
			}
	}
//////////////////////////////////////////////////////
	public function add()
	{
		$query= $this->db->query("select * from pp_temp");
		$fila = $query->row_array(); 
		$id_paciente= $fila['id_paciente'];
		$id_profesional= $fila['id_profesional'];

		$query1=  $this->db->query("select * from paciente where id_paciente=".$id_paciente);
		$fila1 = $query1->row_array();
		$paciente= $fila1['nombre']." ".$fila1['apellido']."/CI: ".$fila1['cedula'];
		
		$query2= $this->db->query("select * from profesional where id_profesional=".$id_profesional);
		$fila2 = $query2->row_array();
		$profesional= $fila2['nombre']." ".$fila2['apellido']."/Mat: ".$fila2['matricula'];
		$paciente=$paciente.", solicitado por: ".$profesional;
		
				
		
		if ($this->session->userdata('id_permiso')=='2')
			{
				redirect('/Resultado/resultado/index/'); 
			}
			
				
		$data = array 
			(
					'titulo'=> 'Cargar Resultados para: ',
					"usuario" => $this->session->userdata('usuario'),
					//'grupo_examen' =>  $this->Resultado_Model->grupo_examen(),	
					'determinaciones' =>  $this->Resultado_Model->determinaciones(),	
					'id_paciente' => $id_paciente,
					'paciente' => $paciente,
					'id_profesional' => $id_profesional,
					"permiso" => $this->session->userdata('permiso'),
					"nombre" => $this->session->userdata('nombre'),
					"id_usuario" => $this->session->userdata('id_usuario'),
					"id_unidad" => $this->session->userdata('id_unidad'),
					"denominacion" => $this->session->userdata('denominacion'),
			);
			$this->parser->parse('Index/head_multiselect.php',$data, FALSE);	
			$this->parser->parse('Index/menu.php',$data, FALSE); 
			$this->parser->parse('Resultado/resultado_add.php',$data, FALSE); 
			$this->load->view('Index/pie_multiselect.php'); // pie con los js
	}
	///////////////////////////////////////
	//////////////////////////////////////////////////////
	public function add_paciente_profesional()
	{
		

		if ($this->session->userdata('id_permiso')=='2')
			{
				redirect('/Resultado/resultado/index/'); 
			}
			
				
		$data = array 
			(
					'titulo'=> 'Seleccionar',
					"usuario" => $this->session->userdata('usuario'),
					//'grupo_examen' =>  $this->Resultado_Model->grupo_examen(),	
					'paciente' => $this->Resultado_Model->paciente(),
					'profesional' => $this->Resultado_Model->profesional(),
					"permiso" => $this->session->userdata('permiso'),
					"nombre" => $this->session->userdata('nombre'),
					"id_usuario" => $this->session->userdata('id_usuario'),
					"id_unidad" => $this->session->userdata('id_unidad'),
					"denominacion" => $this->session->userdata('denominacion'),
			);
			$this->parser->parse('Index/head.php',$data, FALSE);	
			$this->parser->parse('Index/menu.php',$data, FALSE); 
			$this->parser->parse('Resultado/resultado_add_paciente_profesional.php',$data, FALSE); 
			$this->load->view('Index/pie.php'); // pie con los js
	}
	///////////////////////////////////////


	public function add_mas_examen($max_num_referencia)
	{	
		if ($this->session->userdata('id_permiso')=='2')
			{
				redirect('/Resultado/resultado/ver_resultado/'.$max_num_referencia); 
			}


		$data = array //arreglo para mandar datos a la vista
			(
					'titulo'=> 'Agregar m&aacute;s ex&aacute;menes para:',
					"usuario" => $this->session->userdata('usuario'),
					"resultados" => $this->Resultado_Model->buscar_datos ($max_num_referencia),
					"num_referencia" => $max_num_referencia,
					'determinaciones' =>  $this->Resultado_Model->determinaciones(),
					"permiso" => $this->session->userdata('permiso'),
					"nombre" => $this->session->userdata('nombre'),
					"denominacion" => $this->session->userdata('denominacion'),

			);
			$this->parser->parse('Index/head_multiselect.php',$data, FALSE);	// carga todos las url de estilo i js home
			$this->parser->parse('Index/menu.php',$data, FALSE); // esta seria la barra de navegacion horizontal
			$this->parser->parse('Resultado/resultado_add_mas_examen.php',$data, FALSE); // este seria todo el contenido central
			$this->load->view('Index/pie_multiselect.php'); // pie con los js
	}

	//////////////////////////////////////////

	public function cargar_subgrupo_examen()
	{

			$id_grupo_examen = $this->input->post('id_grupo_examen');
			$query=$this->Resultado_Model->subgrupo_examen_resultado($id_grupo_examen);
			
			
				$data = array 
					(				
					'subgrupo_examen_resultado' =>  $query,
					);
			$this->parser->parse('Resultado/select_subgrupo_examen_resultado.php',$data);
	}

	public function cargar_examen()
	{

			$id_grupo_examen = $this->input->post('id_grupo_examen');	
			$data2 = array 
					(				
					'examen_resultado' =>  $this->Resultado_Model->examen($id_grupo_examen)
					);
			$this->parser->parse('Resultado/select_examen_resultado.php',$data2);
		
	}
	public function cargar_examen2()
	{

			$id_subgrupo_examen = $this->input->post('id_subgrupo_examen');	
			$data3 = array 
					(				
					'examen_resultado' =>  $this->Resultado_Model->examen2($id_subgrupo_examen)
					);
			$this->parser->parse('Resultado/select_examen_resultado.php',$data3);
		
	}
	public function cargar_input()
	{
		$id_grupo_examen = $this->input->post('id_grupo_examen');
		$id_grupo = $this->input->post('id_grupo_examen');	
		$grupo=$this->Resultado_Model->cargar_input_examen($id_grupo);

		if ($grupo != false)
		{
			$data = array 
			(	
				'cargar_input_examen' =>  	$grupo,
				'cargar_input_subgrupo' =>  $this->Resultado_Model->cargar_input_subgrupo($id_grupo_examen),	
			);
			$this->parser->parse('Resultado/cargar_input.php',$data);
		}
		else
		{
			return false;
		}
		
	}



	public function edit()
	{
		$id    = $this->uri->segment(4,0);
		if ($this->session->userdata('id_permiso')=='2')
			{
				redirect('/Resultado/resultado'  ); 
			}

			// OCTENGO EL ID QUE LE ENVIO A TRAVES DE LA VISTA I LE PASO AL MODELO	 
		$data = array //arreglo para mandar datos a la vista
			(

					'titulo'=> 'Modificar',//mi titulo 
					"usuario" => $this->session->userdata('usuario'),
					"modificar" => $this->Resultado_Model->edit($id),
					"permiso" => $this->session->userdata('permiso'),
					"nombre" => $this->session->userdata('nombre'),
					"denominacion" => $this->session->userdata('denominacion'),
			);
			$this->parser->parse('Index/head.php',$data, FALSE);	// carga todos las url de estilo i js home
			$this->parser->parse('Index/menu.php',$data, FALSE); // esta seria la barra de navegacion horizontal
			$this->parser->parse('Resultado/resultado_edit.php',$data, FALSE); // este seria todo el contenido central
			$this->load->view('Index/pie.php'); // pie con los js
			 // este seria todo el contenido central

	}
	public function edit_paciente_examen()
	{
		if ($this->session->userdata('id_permiso')=='2')
			{
				
				redirect('/Resultado/resultado'); 
			}

		$id    = $this->uri->segment(4,0);	// OCTENGO EL ID QUE LE ENVIO A TRAVES DE LA VISTA I LE PASO AL MODELO	 
		$data = array //arreglo para mandar datos a la vista
			(

					'titulo'=> 'Modificar',//mi titulo 
					"usuario" => $this->session->userdata('usuario'),
					"modificar" => $this->Resultado_Model->edit_paciente_examen($id),
					'paciente' => $this->Resultado_Model->paciente(),
					'profesional' => $this->Resultado_Model->profesional(),
					"permiso" => $this->session->userdata('permiso'),
					"nombre" => $this->session->userdata('nombre'),
					"denominacion" => $this->session->userdata('denominacion'),

			);
			$this->parser->parse('Index/head.php',$data, FALSE);	// carga todos las url de estilo i js home
			$this->parser->parse('Index/menu.php',$data, FALSE); // esta seria la barra de navegacion horizontal
			$this->parser->parse('Resultado/resultado_edit_paciente_examen.php',$data, FALSE); // este seria todo el contenido central
			$this->load->view('Index/pie.php'); // pie con los js
			 // este seria todo el contenido central

	}

	// guardar lo editado
	public function save_edit()
	{
		$id_referencia_grupo = $this->input->post('id_referencia_grupo');
    	$resultado = $this->input->post('resultado');
    	$resultado2 = $this->input->post('resultado2');
    	$resultado3 = $this->input->post('resultado3');
    	
    	$data = array(
    	 	'resultado' =>$resultado , 
    	 	'resultado2' =>$resultado2 , 
    	 	'resultado3' =>$resultado3 , 
    	 	);

		$this->Resultado_Model->save_edit($id_referencia_grupo,$data);
		$num_referencia = $this->input->post('num_referencia');
		redirect('/Resultado/resultado/ver_resultado/'.$num_referencia);
			
	}
	

	public function save_edit_paciente_examen()
	{
		$num_referencia = $this->input->post('num_referencia');
    	$paciente = $this->input->post('paciente');
    	$profesional = $this->input->post('profesional');
    	$hora = $this->input->post('hora');
    	$fecha = $this->input->post('fecha');
    	
    	$data = array(
    		
    	 	'id_paciente' =>$paciente , 
    	 	'id_profesional' =>$profesional , 
    	 	'fecha' =>$fecha , 
    	 	'hora' =>$hora , 

    	 	);

		$this->Resultado_Model->save_edit_paciente_examen($num_referencia,$data);
		
		redirect('/Resultado/resultado');
			
	}



	// dar de baja o elminar
	public function delete(){
		$id=$this->uri->segment(4,0);
 		$this->Resultado_Model->delete($id);
		redirect('/Resultado/resultado/index/');	
	}
	////////////////////
	public function delete_examen(){
		$id=$this->uri->segment(4,0);
		$num_referencia = $this->db->query(' select num_referencia from referencia_grupo where id_referencia_grupo='.$id);

		$fila = $num_referencia->row_array(); 
		$num_referencia= $fila['num_referencia'];


 		$this->Resultado_Model->delete_examen($id);
 		


		redirect('/Resultado/resultado/ver_resultado/'.$num_referencia);	
	}
	///////////////

	


	public function llena_examen()
	{

			$id_grupo_examen = $this->input->post('id_grupo_examen');	
			$data2 = array 
					(				
					'examen' =>  $this->Examen_Model->examen($id_grupo_examen)
					);
			$this->parser->parse('Examen/select_examen.php',$data2);
		
	}
	public function error()
	{
		
		$data2 = array 
					(				
					'nota' =>  'Resultados Vacios. VERIFIQUE!'
					);
		$this->parser->parse('Resultado/error.php',$data2);
	}

	public function llena_subgrupo()
	{

			$id_grupo_examen = $this->input->post('id_grupo_examen');	
			$data = array 
					(				
					'subgrupo_examen' =>  $this->Resultado_Model->subgrupo_examen($id_grupo_examen)
					);
			$this->parser->parse('Resultado/select_subgrupo.php',$data);
		
	}
	public function llena_examen2()
	{

			$id_grupo_examen = $this->input->post('id_grupo_examen');
			$id_subgrupo_examen = $this->input->post('id_subgrupo_examen');

			$data = array 
					(				
					'examenes' =>  $this->Resultado_Model->examenes($id_grupo_examen,$id_subgrupo_examen)
					);
			$this->parser->parse('Resultado/select_examen.php',$data);
		
	}

public function llena_examen3()
	{

			$id_grupo_examen = $this->input->post('id_grupo_examen');
			$id_subgrupo_examen = $this->input->post('id_subgrupo_examen');

			$data = array 
					(				
					'examenes' =>  $this->Resultado_Model->examenes1($id_grupo_examen,$id_subgrupo_examen)
					);
			$this->parser->parse('Resultado/select_examen.php',$data);
		
	}
	public function llena_examen4()
	{

			$id_grupo_examen = $this->input->post('id_grupo_examen');
			$id_subgrupo_examen = $this->input->post('id_subgrupo_examen');

			$data = array 
					(				
					'examenes' =>  $this->Resultado_Model->examenes($id_grupo_examen,$id_subgrupo_examen)
					);
			$this->parser->parse('Resultado/select_examen.php',$data);
		
	}





	function add_carro()
	{
		
		$determinaciones = $this->input->post('determinaciones');
		$num_referencia = $this->input->post('num_referencia');
		$consulta="";
		for ($i=0;$i<count($determinaciones);$i++)    
		{
			
			$this->db->where("id_examen", $determinaciones[$i]);
			$query=$this->db->get("examen");

			foreach ($query ->result() as $items )
			{
				$descripcion=$items -> descripcion;
				$tipo= $items -> tipo;
				$id_grupo_examen=$items -> id_grupo_examen;
				$id_subgrupo_examen=$items -> id_subgrupo_examen;

			}

				$this->db->where('id',$determinaciones[$i]);
				$query1=$this->db->get('resultado_temp');
				if($query1->num_rows()==0)
				{
					$article = array(
					'id_resultado_temp' => '',
					'id' => $determinaciones[$i],
					'name' => $descripcion,
					'price' => $tipo,
					'qty' => 1,
					'resultado' => '',
					'resultado2' => '',
					'resultado3' => '',
					'id_grupo_examen' => $id_grupo_examen,
					'id_subgrupo_examen' => $id_subgrupo_examen
					); 
					$this->db->insert('resultado_temp',$article); 
					$article = array();  
				//break;
				}
				
			
		}
		
		
		redirect('Resultado/resultado/add');

			
	}

	
	 ////////////////////////////////////////////
	function add_pp_temp()
	{
		$id_paciente = $this->input->post('paciente');
		$id_profesional = $this->input->post('profesional');
		$this->db->query(' truncate table pp_temp ');


		$data = array(
				'id_pp_temp' => '',
				'id_paciente' => $id_paciente,
				'id_profesional' => $id_profesional
				
				);   
			
			$this->db->insert('pp_temp',$data);  
		
		redirect('Resultado/resultado/add');
			
	}

	///////////////////////////////////////////////////////////////
	function add_carro2()
	{
		$determinaciones = $this->input->post('determinaciones');
		$num_referencia = $this->input->post('num_referencia');
		$consulta="";
		for ($i=0;$i<count($determinaciones);$i++)    
		{
			$this->db->where("num_referencia", $num_referencia);
			$this->db->where("id_examen", $determinaciones[$i]);
			$no_repetir=$this->db->get('referencia_grupo');
			if ($no_repetir->num_rows()==0) 
			{
						
				$this->db->where("id_examen", $determinaciones[$i]);
				$query=$this->db->get("examen");

				foreach ($query ->result() as $items )
				{
					$descripcion=$items -> descripcion;
					$tipo= $items -> tipo;
					$id_grupo_examen=$items -> id_grupo_examen;
					$id_subgrupo_examen=$items -> id_subgrupo_examen;

				}

					$this->db->where('id',$determinaciones[$i]);
					$query1=$this->db->get('resultado_temp');
					if($query1->num_rows()==0)
					{
						$article = array(
						'id_resultado_temp' => '',
						'id' => $determinaciones[$i],
						'name' => $descripcion,
						'price' => $tipo,
						'qty' => 1,
						'resultado' => '',
						'resultado2' => '',
						'resultado3' => '',
						'id_grupo_examen' => $id_grupo_examen,
						'id_subgrupo_examen' => $id_subgrupo_examen
						); 
						$this->db->insert('resultado_temp',$article); 
						$article = array();  
					
					}
				
			}
			else
			{
				redirect('Resultado/resultado/error_al_repetir/'.$num_referencia );
			}
		}
		redirect('Resultado/resultado/add_mas_examen/'.$num_referencia );
	

		
	}
	 ////////////////////////////////////////////

	function actualizar_carro($id)
	{
		$cart_info = $_POST['cart'] ;
		

		foreach( $cart_info as $id => $cart)
		{
			$id=$cart['id'];
			//$this->db->query(" select * from cliente9 id_clinte=".$resultado);
			

			$data = array(
			'id' => $cart['id'],
			'name'=>$cart['name'],
			'qty'=>$cart['qty'],
			'price'=> $cart['price'],
			'resultado' => $cart['resultado'],
			'resultado2' => $cart['resultado2'],
			'resultado3' => $cart['resultado3']
			);
			$this->db->where('id',$id);
			$this->db->update('resultado_temp',$data);
			$data = array();

		}
		redirect('Resultado/resultado/add');
	}
	//////////////////////////////////
	 public function actualizar_carro2()
	{
		$cart_info = $_POST['cart'] ;
		

		foreach( $cart_info as $id => $cart)
		{
			$id=$cart['id'];
			$data = array(
			'id' => $cart['id'],
			'name'=>$cart['name'],
			'qty'=>$cart['qty'],
			'price'=> $cart['price'],
			'resultado' => $cart['resultado'],
			'resultado2' => $cart['resultado2'],
			'resultado3' => $cart['resultado3']
			);
			//throw new Exception("The total cart must be an numbers".$cart['resultado'], 1);
			$this->db->where('id',$id);
			$this->db->update('resultado_temp',$data);
			$data = array();

		}
		redirect('Resultado/resultado/add_mas_examen/'.$this->input->post('num_ref'));
		
	}


	/////////////////////////////////////////////////
	public function adding()
	{
		
		$query=$this->db->query("select * from resultado_temp order by id asc");
         if ($query->num_rows() > 0)  
         {
	        $id_paciente = $this->uri->segment(4,0);
			$id_profesional =  $this->uri->segment(5,0);

			$mayor =$this->Resultado_Model->maximo_num_referencia();

			foreach($mayor as $fila1)
				{
				 $num_referencia=intval(  ($fila1 -> num_referencia+1) ); 
				}
				 date_default_timezone_set('America/Asuncion');
    			$timestamp = time()+date("Z");
    //gmdate('d-m-Y  H:i:s',$timestamp);


			$detalle = array(
				'id_paciente_examen' => "",
				'observaciones' => '',
				'num_referencia' => $num_referencia,
				'id_profesional' => $id_profesional,
				'id_paciente' => $id_paciente,
				'fecha' =>  gmdate("Y-m-d",$timestamp),
				'hora' =>  gmdate("H:i:s",$timestamp),
				'id_usuario' => $this->session->userdata('id_usuario'),
				'id_unidad' => $this->session->userdata('id_unidad')
			);
			$this->Resultado_Model->adding_paciente_examen($detalle);
	    	
			foreach ($query->result() as $row)
			{
				$id_examen =$this->Resultado_Model->buscar_datos_examen($row->id);
				foreach($id_examen as $fila1)
					{
					 $id_grupo_examen=intval(  ($fila1 -> id_grupo_examen) ); 
					  $id_subgrupo_examen=intval(  ($fila1 -> id_subgrupo_examen) ); 
					}
				if ($row->resultado<>'' || $row->resultado2<>"" || $row->resultado3<>"") 
				{
					$detalle1 = array(
					'id_referencia_grupo' => "",
					'num_referencia' => $num_referencia, 
					'id_grupo_examen' => $id_grupo_examen,
					'id_subgrupo_examen' => $id_subgrupo_examen,
					'id_examen' => $row->id,
					'resultado' => $row->resultado,
					'resultado2' => $row->resultado2,
					'resultado3' => $row->resultado3,
					);
					$this->Resultado_Model->adding_detalle_resultado($detalle1);
				}
				
			}
			$this->db->from('resultado_temp'); 
			$this->db->truncate();
			
			redirect('/Resultado/resultado/ver_resultado/'.$num_referencia);

          }
          else
          {
          	 show_404();
          }


		
		
			
	}
	//////////////////////////////////

	/////////////////////////////////////////////////
	public function adding2()
	{
		
		$query=$this->db->query("select * from resultado_temp order by id asc");
         if ($query->num_rows() > 0)  
         {
	        $id_paciente = $this->uri->segment(4,0);
			$id_profesional =  $this->uri->segment(5,0);

			$num_referencia =  $this->uri->segment(6,0);
			
			 foreach ($query->result() as $row)
			 {
				$id_examen =$this->Resultado_Model->buscar_datos_examen($row->id);
				foreach($id_examen as $fila1)
					{
					 $id_grupo_examen=intval(  ($fila1 -> id_grupo_examen) ); 
					  $id_subgrupo_examen=intval(  ($fila1 -> id_subgrupo_examen) ); 
					}
				if ($row->resultado<>'' || $row->resultado2<>"" || $row->resultado3<>"") 
				{

					$detalle1 = array(
					'id_referencia_grupo' => "",
					'num_referencia' => $num_referencia, 
					'id_grupo_examen' => $id_grupo_examen,
					'id_subgrupo_examen' => $id_subgrupo_examen,
					'id_examen' => $row->id,
					'resultado' => $row->resultado,
					'resultado2' => $row->resultado2,
					'resultado3' => $row->resultado3,
					);
						$this->Resultado_Model->adding_detalle_resultado($detalle1);
				}
			}
			$this->db->from('resultado_temp'); 
			$this->db->truncate();
			
			redirect('/Resultado/resultado/ver_resultado/'.$num_referencia);

          }
          else
          {
          	 show_404();
          }


		
		
			
	}
	//////////////////////////////////
	function eliminar($id) 
	{
		if ($id==="all"){
			$this->db->from('resultado_temp'); 
			$this->db->truncate();

		}
		else
		{		
			$this->db->where('id',$id);
			$this->db->delete('resultado_temp');//mi consulta sql
			$this->db->get('resultado_temp');//mi consulta sql
		}
		redirect('Resultado/resultado/add');
	}
	////////////////////////////////////

	//////////////////////////////////
	function eliminar2($id) 
	{
		if ($id==="all"){
			$this->db->from('resultado_temp'); 
			$this->db->truncate();
			//redirect('Resultado/resultado/add_mas_examen');
			header('Location: ' . $_SERVER['HTTP_REFERER']);
		}
		else
		{		
			$this->db->where('id',$id);
			$this->db->delete('resultado_temp');//mi consulta sql
			$this->db->get('resultado_temp');//mi consulta sql

			header('Location: ' . $_SERVER['HTTP_REFERER']);

			//redirect('Resultado/resultado/add_mas_examen/'.$num_referencia);

		}
	}
	////////////////////////////////////

	public function error_al_repetir()
	{
		
		$data2 = array 
					(				
					'nota' =>  'Ya se encuentra la determinación. VERIFIQUE!'
					);
		$this->parser->parse('Resultado/error_al_repetir.php',$data2);
	}




	
	

}




