<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Caja_model extends CI_Model {

	public $variable;

	public function __construct()
	{
		parent::__construct();
	}
	function abrir_Cerrar_Caja($unix)
	{
		//$query = $this->db->query('UPDATE  caja SET  cierre =1  WHERE  fecha ='.$unix);
		$this->db->select("caja.cierre as cierre");
		$this->db->where('fecha',$unix);
		$this->db->from('caja');
		$query = $this->db->get();
		return $query->result_array();
	}
	// inicio control de caja
	function inicio_caja($unix)
	{	
		$this->db->select("id_caja,importe,num_factura,debe_haber,cierre,descripcion");
		$this->db->select("DATE_FORMAT(fecha, '%d/%m/%Y') AS fecha", FALSE);
		
		$this->db->where('fecha',$unix);
		
		$this->db->where('cierre',0);
		$this->db->from('caja');
		$query = $this->db->get();
	
		foreach($query->result_array() as $d)
		{
			return( $d['fecha']);
		}
	}
	// consulta para vista caja
		// inicio control de caja
	function vista($unix)
	{	//$id  = $this->	ultimoCaja();
		$this->db->select("sum(importe) as total");
		//$this->db->where('id_caja',$id);
		$this->db->where('fecha',$unix);
			$this->db->where('cierre',0);
		$this->db->from('caja');
		$query = $this->db->get();
		return $query->result_array();
	}
	// ultimo id caja
	function ultimoCaja($unix)
	{
		$query = $this->db->query('SELECT fecha from caja');
		$this->db->where('fecha',$unix);
		foreach($query->result_array() as $d)
	{
			return( $d['fecha']);
		}
	}
	// ultima fecha
	function ultimofecha()
	{
		$query = $this->db->query('SELECT MAX(id_caja) as id_caja, caja.fecha as fecha from caja,');
		foreach($query->result_array() as $d)
	{
			return( $d['fecha']);
		}
	}
	//	Insertar caja apertura
	function add($data)
	{
		
		$this->db->insert('caja',$data);
		$unix = mdate('%Y-%m-%d');

		$datos=array ('cierre'=>0);

		$this->db->where('fecha',$unix);
		$this->db->update ('caja',$datos);
		
		
	}
	// insertar caja cierre
	function add2()
	{/*
		//$time = time();
		$unix = date();
		$this->db->where('fecha',$unix);
		$this->db->update ('caja9', "cierre=1");
		//$this->db->query('UPDATE  caja SET  cierre =1  WHERE  fecha ='.$unix);
		//$this->db->insert('caja',$data);
*/
	}
	//	Insertar pago_agua apertura
	function add_pago_servicio($data)
	{

		$this->db->insert('pago_servicio',$data);

	}
	function get_haber($unix)
	{
		
		$this->db->select("id_caja,importe,num_factura,debe_haber,cierre,descripcion");
		$this->db->select("DATE_FORMAT(fecha, '%d/%m/%Y') AS fecha", FALSE);
		$this->db->from('caja');
		$this->db->where('fecha',$unix);
		$this->db->where('cierre',0);
		$this->db->where('debe_haber',2);
		$query = $this->db->get();
		return $query->result_array();
		
		
	}
	function get_debe($unix)
	{
		
		$this->db->select("id_caja,importe,num_factura,debe_haber,cierre,descripcion");
		$this->db->select("DATE_FORMAT(fecha, '%d/%m/%Y') AS fecha", FALSE);
		$this->db->from('caja');
		$this->db->where('fecha',$unix);
		$this->db->where('cierre',0);
		$this->db->where('debe_haber',1);
		$query = $this->db->get();
		return $query->result_array();
		
	}
	

	function get_facturas($unix)
	{
		$this->db->select("importe,num_factura, fecha");
			$this->db->from('caja');	
			$this->db->where('fecha',$unix);
			$query = $this->db->get();
		
		if ($query->num_rows()> 0) {
			
		
		
			return $query->result_array();
		/*}else{
			return $query->result_array();*/

		}
	}
	public function lista_pagados($limit, $start , $unix)
	{
			$this->db->where('fecha', $unix);
			$query = $this->db->get('caja_pago_detalle', $limit, $start);
			return $query->result_array();
	}
	public function lista_pagados1($unix)
	{
			$this->db->where('fecha', $unix);
			$query = $this->db->get('caja_pago_detalle');
			return $query->num_rows();
	}
	// editar pagados de servicio
	public function edit_pagos($id)
	{
		$this->db->where('id_caja_pago', $id);
		$query = $this->db->get('caja_pago_detalle');
					//VALIDAR 
		if ($query->num_rows() > 0) {
			return $query->result();
		}else{
			return false;
		}
	}
	public function save_edit_pagos($_data,$id)
	{
		$this->db->where('id_caja_pago', $id);
		$this->db->update('caja_pago_detalle', $_data);
	}
	public function delete_pago_servicio($id_pago_servicio)
	{
		date_default_timezone_set("America/Asuncion");

		$this->db->trans_start();

		$this->db->select_sum('importe');
		$this->db->from('caja');
		$this->db->where('id_pago_servicio', $id_pago_servicio);
		$query = $this->db->get();
		$row = $query->row();
		$importe=$row->importe;

		$this->db->select('descripcion');
		$this->db->from('pago_servicio');
		$this->db->where('id_pago_servicio', $id_pago_servicio);
		$query1 = $this->db->get();
		$row1 = $query1->row();
		$descripcion=$row1->descripcion;

		$this->db->where('id_pago_servicio', $id_pago_servicio);
		$this->db->delete('pago_servicio');
		$this->db->where('id_pago_servicio', $id_pago_servicio);
		$this->db->delete('caja');
		
		$_data         = array(						
						'id_caja'	=> "",
						'importe'	=> $importe,
						'num_factura'	=> 0,
						'id_compra_venta'	=> null,
						'debe_haber'	=> 1,						
						'fecha'			=>date("Y-m-d"),
						'cierre'		=>0,
						'descripcion'		=>"Devolución de Pago de Servicio: ".$descripcion,
						'id_pago_servicio'		=>$id_pago_servicio

						
				);

		$this->db->insert('caja', $_data);
		
		$this->db->trans_complete();
		 if  ( $this->db-> trans_status ()  ===  FALSE ) 
		 	{ 
		 		$this->db->trans_rollback ();
		 	} 
		 	else 
		 	{ 
		 		$this->db->trans_commit (); 
		 	}

	}
	////////////////////////////////////////////////////
	////////////////cobros de creditos/////////////////
	///////////////////////////////////////////////////
	public function listar_credito() {
			
			$sql = "select *				
				from credito
				inner join cliente on cliente.id_cliente=credito.id_cliente
				where credito.pago=0
				Order by num_factura desc

				";
		
			$query = $this->db->query($sql);
			return $query->result_array();
		}
	public function listar_credito33($limit, $start) {
			$this->db->limit($limit, $start);
			$Value = 1;
			$this->db->select('credito.id_credito as id_credito,credito.id_cliente as id_cliente, credito.num_factura as id,
			credito.importe as inporte,credito.fecha_venc as fecha_venc,credito.pago as pago, credito.num_recibo as num_recibo,
			credito.fecha_pago as fecha_pago, credito.num_cuota as num_cuota,cliente.nombre as nombre, cliente.apellido as apellido,
			factura.num_factura as num_factura, factura.tipo_venta as tipo_venta');
			$this->db->from('credito, cliente, factura');
			$this->db->where('credito.id_cliente = cliente.id_cliente');
			$this->db->where('credito.num_factura = factura.num_factura');
			$this->db->where('pago', $Value);
			$query = $this->db->get('');
			return $query->result_array();
	}
	////////////////////////////////////////////////
	///////listadps pagados////////////////////////
	public function listar_credito2() {
			$Value = 0;
			$this->db->select('COUNT(num_cuota ) as num_cuota,sum(credito.importe) as monto_totales, cliente.id_cliente,sum(importe) as inporte_total,fecha_venc,fecha_pago,pago,nombre,apellido');
			$this->db->from('credito, cliente,factura');
			$this->db->where('credito.id_cliente = cliente.id_cliente');
			$this->db->where('pago', $Value);
			$this->db->group_by('cliente.id_cliente');
			$query = $this->db->get('');
			return $query->num_rows();
	}

	public function listar_credito3() {
			$id = 1;
			$this->db->select('*');
			$this->db->from('credito');
			$this->db->where('pago', $id);
			$query = $this->db->get('');
			return $query->num_rows();
	}
	// traer datos de credito referente al id para pagar
		public function estado($id) {
			$pago = 0;
			$this->db->select('credito.id_credito as id_credito,credito.id_cliente as id_cliente, credito.num_factura as id,
			credito.importe as importe,credito.fecha_venc as fecha_venc,credito.pago as pago, credito.num_recibo as num_recibo,
			credito.fecha_pago as fecha_pago, credito.num_cuota as num_cuota,cliente.nombre as nombre, cliente.apellido as apellido,
			factura.num_factura as num_factura, factura.tipo_venta as tipo_venta');
			$this->db->from('credito, cliente, factura');
			$this->db->where('credito.id_cliente = cliente.id_cliente');
			$this->db->where('credito.num_factura = factura.num_factura');
			$this->db->where('credito.id_cliente', $id);
			$this->db->where('pago', $pago);
			$query = $this->db->get('');
				return $query->num_rows();
		}
			// traer datos de credito referente al id para pagar
		public function estado2($id) {
			$sql="select *, case pago when 0 then 'A pagar' when 1 then 'Pagado' end as pagos,pago,id_credito from credito inner join 
			( select nombre, apellido,ci from cliente where ci=".$id.") as resultado on resultado.ci=credito.id_cliente 
			where credito.id_cliente=".$id;
			$query5 = $this->db->query($sql);
			return $query5->result();
		/////////////////////////
		
		}
		public function estado3($id) {
			$sql="select   distinct  resultado.nombre,resultado.apellido,credito.num_factura as num_factura from credito inner join 
			(select num_cuota,importe, fecha_venc,fecha_pago,pago,num_recibo,credito.id_cliente as cedula, cliente.nombre as nombre, 
			cliente.apellido as apellido  from credito inner join cliente on cliente.ci=credito.id_cliente
			)  as resultado on credito.id_cliente=resultado.cedula where credito.id_cliente=".$id;
			$query = $this->db->query($sql);			
			return $query->result_array();
		}
		
		
	// trar datos de  de credito referente al numero de recibo
	public function cobros($id)
	{	
			$this->db->select('*, credito.id_cliente as cliente');
			$this->db->from('credito');
			$this->db->where('id_credito', $id);
			$this->db->join('cliente', 'credito.id_cliente=cliente.id_cliente');
			$query = $this->db->get('');
			return $query->result_array();

			
	}
		// agregar cobros cuota
	public function add_cobros_cuota($data)
	{
		$this->db->insert('caja',$data);
	}
		// actualizar credito
	public function update_credito($data1,$id)
	{
		$this->db->where('id_credito',$id);
		$this->db->update('credito',$data1);
	}
	public function historial($num_factura)
	{
		$query  =   "SET @rownum=0 ;";
		$this->db->query($query);
		$query = $this->db->query("select @rownum:=@rownum+1 AS id, importe, DATE_FORMAT(fecha_pago,'%d-%m-%Y') as fecha_pago,
			CASE pago
  			WHEN 0 THEN 'A pagar'
  			WHEN 1 THEN 'Pagado'
 			END as pago,id_credito from credito inner join cliente on cliente.id_cliente=credito.id_cliente
			where credito.num_factura=".$num_factura." order by fecha_pago, importe desc");			
			return $query->result_array();
	}
	////////////////////////////////////////////////////////////////////
	function make_query_pago_servicio()  
      {  
           $this->db->select("*");  
           $this->db->from("pago_servicio"); 
           if(isset($_POST["search"]["value"]))  
           {  
                $this->db->like("descripcion", $_POST["search"]["value"]);  
                $this->db->or_like("observacion", $_POST["search"]["value"]);  
           }  
          if(isset($_POST["order"]))
           {  
               //$this->db->order_by($this->order_column[$_POST['order']['0']['column']], $_POST['order']['0']['dir']);  
           }  
           else  
           {  
                $this->db->order_by('id_pago_servicio', 'desc');  
           }  
      }

      function pago_servicio_datatables()
      {  
           $this->make_query_pago_servicio(); 
           if(  intval($this->input->post("length"))  != -1)  
           {  
                $this->db->limit(intval($this->input->post("length")), intval($this->input->post("start")));  
           }  
           $query = $this->db->get();  
           return $query->result();  
      } 

      function get_filtered_data_pago_servicio()
      {  
           $this->make_query_pago_servicio();  
           $query = $this->db->get();  
           return $query->num_rows();  
      }  

      function get_all_data_pago_servicio()  
      {  
           $this->db->select("*");  
           $this->db->from("pago_servicio");  
           return $this->db->count_all_results();  
      }  
     /////////////////////////////////////////////////////////////////////////

	////////////////////////////////////////////////////////////////////
	


}
