<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Examen_model extends CI_Model {

       
  public function __construct()
  {
    parent::__construct();

    
  }

   function get_all_acta()  
      { 
          $this->db->select("*");
          $this->db->from("acta"); 
          
          return $this->db->count_all_results();  
      }
      /////////////////////////////////
     function get_all_ver_examen($num_acta)  
      { 
          $this->db->select("*");
          $this->db->from("examen"); 
          $this->db->where('num_acta',$num_acta);
          return $this->db->count_all_results();  
      } 
    ////////////////////////
     public function get_ver_examen($num_acta ) 
    {
      $this->db->select("*");
      $this->db->from("examen");
      $this->db->where('num_acta',$num_acta);
      $this->db->order_by('curso ASC', 'id_alumno ASC'); 
      
      
      
      
      $codigo = $this->db->get();

      	if($codigo->num_rows()>0)
		{
			return $codigo->result();
		}
    }
    ////////////////////////////////////////
     function  resultado_detalle_alumno($anho,$carrera)
     {
      
       /* $codigo = $this->db->query("XX SELECT tabla2.id_alumno1, tabla2.nombre, tabla2.apellido, tabla2.cedula ,tabla2.id_inscripcion, tabla2.id_carrera, 
        tabla2.curso as curso, materia.materia, materia.sub_materia,materia.id_materia from (SELECT * FROM  (select alumno.id_alumno as 
        id_alumno1, `id_matricula` as id_matricula2, `alumno`.`nombre` as `nombre`, `alumno`.`apellido` as `apellido`,
        alumno.cedula as cedula from matricula inner join alumno on matricula.id_alumno=alumno.id_alumno where matricula.anho=".$anho." 
        and matricula.estado_matricula='ACTIVO') as tabla inner join inscripcion on
        tabla.id_matricula2=inscripcion.id_matricula where inscripcion.id_carrera=".$carrera." ) as tabla2 
        inner join materia on materia.curso=tabla2.curso and materia.id_carrera=tabla2.id_carrera order by curso asc, cedula asc");
        */
        
        $codigo = $this->db->query("select tabla2.id_alumno as id_alumno, tabla2.id_matricula as id_matricula,tabla2.cedula as cedula,tabla2.nombre as nombre, tabla2.apellido as apellido, 
       tabla2.curso as curso, materia.materia, materia.sub_materia,materia.id_materia, tabla2.id_carrera as id_carrera,
       tabla2.id_institucion as id_institucion, tabla2.id_filial as id_filial  from 
        (SELECT tabla.id_alumno as id_alumno, tabla.id_matricula as id_matricula,tabla.cedula as cedula,tabla.nombre as nombre, tabla.apellido as apellido,  
        inscripcion.curso as curso,
        inscripcion.id_carrera as id_carrera, inscripcion.id_institucion as id_institucion, inscripcion.id_filial as id_filial
        FROM (
            select alumno.id_alumno as id_alumno, `id_matricula` as id_matricula, alumno.cedula as cedula, `alumno`.`nombre` as `nombre`, `alumno`.`apellido` as 
            `apellido` from matricula inner join alumno on matricula.id_alumno=alumno.id_alumno where matricula.anho=".$anho." and 	
            matricula.estado_matricula='ACTIVO')
            as tabla 
            	inner join inscripcion on tabla.id_matricula=inscripcion.id_matricula where inscripcion.id_carrera=".$carrera.") as tabla2
                	inner join materia on materia.curso=tabla2.curso and materia.id_carrera=tabla2.id_carrera
                    order by tabla2.curso asc, tabla2.cedula asc");
		if($codigo->num_rows()>0)
		{
			return $codigo->result();
		}
      
     }
    
    
     
     
  function lista_tipo_carrera()
     {
     
      $tipo_carrera = $this->db->get('tipo_carrera');
      if ($tipo_carrera->num_rows()> 0) 
      {
        return $tipo_carrera->result();
         }
      }
      public function get_institucion($id_institucion)
     {
         if ($id_institucion!="")
         {
              $this->db->where('id_institucion',$id_institucion);
         }
      $lista_institucion = $this->db->get('institucion');
      if ($lista_institucion->num_rows()> 0) 
      {
        return $lista_institucion->result();
         }
      }


     public function get_carrera($carrera)
     {
     
     if ($carrera!="")
         {
              $this->db->where('id_carrera',$carrera);
         } 
          $lista_carrera = $this->db->get('carrera');
          if ($lista_carrera->num_rows()> 0) 
          {
            return $lista_carrera->result();
             }
      }
     public function get_profesor($id_profesor)
     {
     if ($id_profesor!="")
         {
              $this->db->where('id_profesor',$id_profesor);
         } 
      $lista_profesor = $this->db->get('profesor');
      if ($lista_profesor->num_rows()> 0) 
      {
        return $lista_profesor->result();
         }
      }



    public function get_acta_examen($limit, $start ) 
    {
      $this->db->select("*,DATE_FORMAT(fecha_acta,'%d-%m-%Y') as fecha_acta");
      $this->db->from("acta"); 

      $this->db->limit($limit, $start);

        $query = $this->db->get();
 
        if ($query->num_rows() > 0)  //la cantidad ed regitros consultados
        {
            foreach ($query->result() as $row) 
            {
                $data[] = $row;  /// row tien cada una de las liseas del registro y guardamos en otra varialble array como matriz y luego retornamos en nuestro controlador.
            }
             
            return $data;
        }
 
        return false;
    }
    public function add_examen($data) 
      {
        $this->db->insert("examen", $data);
      } 
     public function add_acta($data) 
      {
        $this->db->insert("acta", $data);
      } 

    function save_edit($id_carrera,$data)
    {
      //hacemos directamente where 
      $this->db->where('id_carrera',$id_carrera);
    $this->db->update('carrera',$data);
    }

    function eliminar_examen ($num_acta)
     {
        $this->db->where('num_acta',$num_acta);
        $this->db->delete('examen');
        $this->db->where('num_acta',$num_acta);
        $this->db->delete('acta');
       
        $query = $this->db->get('examen');
        
      } 






}

