<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Matricula_model extends CI_Model {

       
  public function __construct()
  {
    parent::__construct();

    
  }

   function get_all_data($anho)  
      {  
           $this->db->select("*");  
           $this->db->from("matricula");  
           $this->db->join('alumno', 'alumno.id_alumno=matricula.id_alumno');
           if($anho!="")
	      	{ 
	      	    $this->db->where('anho',$anho);
	      	}
	      	return $this->db->count_all_results(); 
      } 
     public function get_matricula($limit, $start,$anho ) 
    {
      $this->db->select("*,DATE_FORMAT(fecha_matricula,'%d-%m-%Y') as fecha_matricula");
      $this->db->from("matricula"); 
      $this->db->join('alumno', 'alumno.id_alumno=matricula.id_alumno');
      if($anho!="")
	      	{ 
	      	    $this->db->where('anho',$anho);
	      	}
	      	
      $this->db->limit($limit, $start);

        $query = $this->db->get();
 
        if ($query->num_rows() > 0)  //la cantidad ed regitros consultados
        {
            foreach ($query->result() as $row) 
            {
                $data[] = $row;  /// row tien cada una de las liseas del registro y guardamos en otra varialble array como matriz y luego retornamos en nuestro controlador.
            }
             
            return $data;
        }
 
        return false;
    }

  function lista_estado_matricula()
     {
     
      $lista_estado_matricula = $this->db->get('estado_matricula');
      if ($lista_estado_matricula->num_rows()> 0) 
      {
        return $lista_estado_matricula->result();
         }
      }

   
    function add_matricula($data) 
      {
       
        $this->db->insert("matricula", $data);
        

      }  

    function save_edit($id_carrera,$data)
    {
      //hacemos directamente where 
      $this->db->where('id_carrera',$id_carrera);
    $this->db->update('carrera',$data);
    }

    function eliminar_matricula ($id_matricula)
     {
        $this->db->where('id_matricula',$id_matricula);
        $this->db->delete('matricula');
        $this->db->where('id_matricula',$id_matricula);
        $this->db->delete('inscripcion');
        $query = $this->db->get('matricula');//mi consulta sql
          $query = $this->db->get('inscripcion');//mi consulta sql
        
      } 

      public function ultima_matricula()
      {
        $this->db->select_max('id_matricula');
        $id_matricula = $this->db->get('matricula');
        if($id_matricula->num_rows()>0)
        {
          return $id_matricula->row();
        }
        
      }
       function add_inscripcion($data) 
      {
         $this->db->insert("inscripcion", $data);
      }  
     public function filial()
    	{
    		
    		$consulta = "SELECT institucion.id_institucion,nombre, id_filial, nombre_filial FROM filial inner join institucion on filial.id_institucion=institucion.id_institucion";
    		$query = $this->db->query($consulta);										
    		if ($query->num_rows()> 0) 
    		{
    		    return $query->result();
    		}
    	}

}

