<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Paciente_Model extends CI_Model {

	public function __construct()
	{
		parent::__construct();
		
	}
	    
     function getPaciente()
     {
     	$sql='select *,DATE_FORMAT(fecha_nac,"%d-%m-%Y") as fecha_nac,
     	date_format(from_days( to_days( now( ) ) - to_days(fecha_nac) ), "%Y") +0 as edad
     	 from paciente 
     		inner join direccion 
     		on paciente.id_departamento=direccion.id_departamento 
     		and paciente.id_distrito=direccion.id_distrito 
     		and paciente.id_barrio=direccion.id_barrio order by apellido asc ';
          	$query = $this->db->query($sql);
          return $query->result_array();
     }

     ////////////////////////////////////////////////

	 function add_paciente($cedula,$nombre,$apellido,$fecha_nac,$id_barrio,$id_distrito,$id_departamento,$telefono,$ficha,$direccion_ficha,$etnia,$nacionalidad,$seguro)
	{
		$this->db->trans_start();

		$direccion = $this->db->query('select * from direccion where id_direccion='.$id_departamento.$id_distrito.$id_barrio);
		$fila = $direccion->row_array(); 
		$id_direccion= $fila['id_direccion'];
		if (!$id_direccion)		{			$id_direccion=1;			}

			$data = array(
			"cedula" => $cedula,
			"nombre" => $nombre,
			"apellido" => $apellido,
			"fecha_nac" => $fecha_nac,
			"id_direccion" => $id_direccion,
			"id_departamento" => $id_departamento,
			"id_distrito" => $id_distrito,
			"id_barrio" => $id_barrio,

			"telefono" => $telefono,
			"ficha" => $ficha,
			"direccion_ficha" => $direccion_ficha,
			"etnia" => $etnia,
			"nacionalidad" => $nacionalidad,
			"seguro" => $seguro
		 	);
			$this->db->insert('paciente',$data);
		$this->db->trans_complete();

	}
	 function edit ($id)
	{
		$sql='select * from paciente inner join direccion
		on paciente.id_direccion=direccion.id_direccion where id_paciente='.$id;
		     
     	$query = $this->db->query($sql);
			
			if ($query->num_rows() > 0) {
				return $query->result();
			} else
			{
				return false;
			}
	}
     function save_edit($id,$data,$ci_anterior,$data2)
    {
    	$this->db->trans_start();
    	$this->db->where('id_paciente',$id);
		$this->db->update('paciente',$data);

		$this->db->where('id_paciente',$ci_anterior);
		$this->db->update('paciente_examen',$data2);
		$this->db->trans_complete();

    }
     function delete($id)
    {
    	$this->db->trans_start();
    	$this->db->where('id_paciente',$id);
		$this->db->delete('paciente');
		$query = $this->db->get('paciente');
		$this->db->trans_complete();
    }
    function departamento()
    {
    	 $departamento = $this->db->get('departamento');
        if($departamento->num_rows()>0)
		{
			return $departamento->result();
		}
    }
    function distrito($departamento)
    {

    	$this->db->where('id_departamento',$departamento);
		$distrito = $this->db->get('distrito');
		if($distrito->num_rows()>0)
		{
			return $distrito->result();
		}
    }
    
    function barrio($distrito,$departamento)
    {
    	 $this->db->where('id_distrito',$distrito);
    	$this->db->where('id_departamento',$departamento);
		$barrio = $this->db->get('direccion');
		if($barrio->num_rows()>0)
		{
			return $barrio->result();
		}

    }
    function consulta($cedula)
    {
    	 $this->db->where('cedula',$cedula);
		$result = $this->db->get('paciente');
		if($result->num_rows()>0)
		{
			return $result->result();
		}

    }
    

}
